(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    303957,       6854]
NotebookOptionsPosition[    294218,       6744]
NotebookOutlinePosition[    294610,       6760]
CellTagsIndexPosition[    294567,       6757]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["\<\
read supporting data (substitute a directory path for \
\[OpenCurlyDoubleQuote]PATH\[CloseCurlyDoubleQuote])\
\>", "Text",
 CellChangeTimes->{{3.790285722934781*^9, 3.790285733348094*^9}, {
  3.7902873645359297`*^9, 3.79028737518073*^9}, {3.79184235736123*^9, 
  3.791842377729484*^9}},
 Background->GrayLevel[
  1],ExpressionUUID->"f5d4126b-7e68-43ea-a88a-806502ae34af"],

Cell[BoxData[{
 RowBox[{"<<", "PATH/defns.txt"}], "\n", 
 RowBox[{"<<", "PATH/quintic_defns.txt"}], "\n", 
 RowBox[{"<<", "PATH/31map_subs.txt"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "PATH/icos_group.txt"}], ";"}]}], "Input",
 CellChangeTimes->{{3.791842284470557*^9, 
  3.7918423076667223`*^9}},ExpressionUUID->"aaccf8a9-a638-4ada-b749-\
c2e3c575f35a"],

Cell["the icosahedral group", "Text",
 CellChangeTimes->{{3.790285722934781*^9, 3.790285733348094*^9}, {
  3.7902873645359297`*^9, 3.79028737518073*^9}, {3.790608834331656*^9, 
  3.790608840674465*^9}},
 Background->GrayLevel[
  1],ExpressionUUID->"e24ddfb8-f1f6-415a-9a77-4172260cf411"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"prec", "=", "150"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"nn", "[", "x_", "]"}], ":=", 
   RowBox[{"N", "[", 
    RowBox[{"x", ",", "prec"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"icosGAff0", "=", 
     RowBox[{
      RowBox[{"norm", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"icosG", "[", 
            RowBox[{"[", "i", "]"}], "]"}], "//", "nn"}], ")"}], ".", 
         RowBox[{"{", 
          RowBox[{"z", ",", "1"}], "}"}]}], ",", "2"}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"icosGAff0", "//", "Numerator"}], ")"}], "/.", 
         RowBox[{"z", "\[Rule]", "0"}]}], ")"}], "!=", "0"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"num", "=", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"icosGAff0", "//", "Numerator"}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"icosGAff0", "//", "Numerator"}], ")"}], "/.", 
             RowBox[{"z", "\[Rule]", "0"}]}], ")"}]}], "//", "ta"}], "//", 
         "Chop"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"denom", "=", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"icosGAff0", "//", "Denominator"}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"icosGAff0", "//", "Numerator"}], ")"}], "/.", 
             RowBox[{"z", "\[Rule]", "0"}]}], ")"}]}], "//", "ta"}], "//", 
         "Chop"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"icosGAff", "[", "i", "]"}], "=", 
        RowBox[{"num", "/", "denom"}]}]}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"icosGAff", "[", "i", "]"}], "=", "icosGAff0"}]}], "]"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "60"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.740773991623945*^9, 3.740774000620761*^9}, 
   3.74077412843491*^9, {3.740775191205741*^9, 3.740775191446814*^9}, {
   3.740775411424519*^9, 3.74077543522258*^9}, {3.740775509437505*^9, 
   3.7407755505052757`*^9}, {3.74079648289432*^9, 3.7407964837168694`*^9}, {
   3.7906088079058733`*^9, 3.790608814223732*^9}, {3.791239190451285*^9, 
   3.791239204030478*^9}},
 CellLabel->
  "In[1327]:=",ExpressionUUID->"765d7549-c3f9-4aea-84af-50d3b6089771"],

Cell[TextData[{
 "select a 31-map ",
 StyleBox["f ",
  FontSlant->"Italic"],
 "& compute its critical set"
}], "Text",
 CellChangeTimes->{{3.790285722934781*^9, 3.790285733348094*^9}, 
   3.790287380879805*^9, {3.7902876924877853`*^9, 3.790287731214097*^9}, {
   3.790287991029793*^9, 3.790287993663365*^9}},
 Background->GrayLevel[
  1],ExpressionUUID->"8f6e8601-3800-4d89-b013-b3ab95b41d42"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"f31fam", "=", 
   RowBox[{
    RowBox[{"a", "*", "Hh", "*", "phi"}], "+", 
    RowBox[{"b", "*", "Fh", "*", "eta"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"f31famqcritfixcondfac", "=", "\[IndentingNewLine]", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"f31famqcritfixcond", "[", 
      RowBox[{"[", "i", "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"f31famqcritfixcond", "//", "Length"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f31famqcritfixcondsol", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"NSolve", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"f31famqcritfixcondfac", "[", 
             RowBox[{"[", "i", "]"}], "]"}], "\[Equal]", "0"}], ",", "b", ",",
            "prec"}], "]"}], "//", "rat"}], "//", "Union"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"f31famqcritfixcond", "//", "Length"}]}], "}"}]}], "]"}], 
     ",", "1"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{
  3.644080059276436*^9, {3.644080316648205*^9, 3.644080318494939*^9}, 
   3.644501584754079*^9, {3.6448442552739067`*^9, 3.6448442692968493`*^9}, 
   3.66169604008414*^9, {3.661696105047553*^9, 3.661696108176054*^9}, {
   3.6642229908330173`*^9, 3.664222993048852*^9}, 3.734382142733062*^9, {
   3.734466317571333*^9, 3.734466341301709*^9}, {3.7349782537260723`*^9, 
   3.7349782664519978`*^9}, {3.736014502694202*^9, 3.7360145032755136`*^9}, {
   3.7360264321855*^9, 3.7360264325526047`*^9}, {3.736026517097987*^9, 
   3.7360265174814777`*^9}, {3.7374808149382467`*^9, 3.737480815007803*^9}, {
   3.738266520864992*^9, 3.738266521502397*^9}, {3.73826878934947*^9, 
   3.738268789899959*^9}, {3.740762175388548*^9, 3.740762176099064*^9}, {
   3.751839476536971*^9, 3.751839479455737*^9}, {3.7519989307570753`*^9, 
   3.751998931564253*^9}, {3.7902849997520742`*^9, 3.790285005269519*^9}, {
   3.7912391734647017`*^9, 3.79123920022206*^9}},
 CellLabel->
  "In[1330]:=",ExpressionUUID->"7a9253d0-2b30-45d2-bb6b-077196df0d4c"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"mapnum", "=", "7"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"g31", "[", "mapnum", "]"}], "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"f31fam", "/.", 
       RowBox[{"f31famqcritfixcondsol", "[", 
        RowBox[{"[", "mapnum", "]"}], "]"}]}], "/.", 
      RowBox[{"a", "\[Rule]", "19"}]}], "//", "fe"}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"g31C", "[", "mapnum", "]"}], "=", 
   RowBox[{
    RowBox[{"norm", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"g31", "[", "mapnum", "]"}], "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x", "\[Rule]", "z"}], ",", 
         RowBox[{"y", "\[Rule]", "1"}]}], "}"}]}], ",", "2"}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"g31Cmap", "[", "mapnum", "]"}], "[", "w_", "]"}], ":=", 
   RowBox[{"funcEval", "[", 
    RowBox[{
     RowBox[{"g31C", "[", "mapnum", "]"}], ",", 
     RowBox[{"{", "z", "}"}], ",", 
     RowBox[{"{", "w", "}"}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"g31csC", "[", "mapnum", "]"}], "=", 
   RowBox[{
    RowBox[{"z", "/.", 
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"diff", "[", 
             RowBox[{
              RowBox[{"g31", "[", "mapnum", "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y"}], "}"}]}], "]"}], "//", "Det"}], "//", 
           "ta"}], ")"}], "\[Equal]", "0"}], ")"}], "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x", "\[Rule]", "z"}], ",", 
         RowBox[{"y", "\[Rule]", "1"}]}], "}"}]}], "]"}]}], "//", "Union"}]}],
   ";"}]}], "Input",
 CellChangeTimes->{{3.644081202654681*^9, 3.644081202983554*^9}, {
   3.644081393355629*^9, 3.6440813940304832`*^9}, {3.644844381426922*^9, 
   3.6448443831018963`*^9}, {3.6448444240289497`*^9, 3.644844434357695*^9}, 
   3.678030937705617*^9, {3.691271269066144*^9, 3.691271279011795*^9}, {
   3.733056401720541*^9, 3.733056418750862*^9}, {3.733056472639271*^9, 
   3.733056610104541*^9}, {3.733056644251528*^9, 3.73305666075457*^9}, 
   3.733056876452717*^9, 3.733773738740732*^9, {3.73377384429493*^9, 
   3.73377385385369*^9}, {3.735421843888773*^9, 3.735421844862043*^9}, {
   3.735914752679912*^9, 3.735914753262169*^9}, {3.736015016152663*^9, 
   3.736015016582543*^9}, {3.7360956340940237`*^9, 3.7360956342025433`*^9}, {
   3.7361119731225767`*^9, 3.736111973225843*^9}, {3.736268660890984*^9, 
   3.736268662065847*^9}, {3.736274880563857*^9, 3.736274881778822*^9}, {
   3.736352124620502*^9, 3.7363521254183893`*^9}, {3.7366040047758627`*^9, 
   3.736604006214904*^9}, {3.736702025097024*^9, 3.7367020255758142`*^9}, {
   3.7367051510864067`*^9, 3.736705152013026*^9}, {3.737312711927554*^9, 
   3.7373127124939423`*^9}, {3.737382056972761*^9, 3.737382057436083*^9}, {
   3.73738365483799*^9, 3.73738365549905*^9}, {3.737394734231415*^9, 
   3.737394734556568*^9}, {3.737396211202016*^9, 3.737396211592559*^9}, {
   3.737398024774948*^9, 3.737398025333726*^9}, {3.737401612781369*^9, 
   3.737401613179422*^9}, {3.737403703383533*^9, 3.737403704182527*^9}, {
   3.737468912046275*^9, 3.7374689125727882`*^9}, {3.737480763281293*^9, 
   3.7374807633506527`*^9}, {3.73748280320982*^9, 3.737482803896723*^9}, {
   3.7374834152428007`*^9, 3.7374834161440573`*^9}},
 CellLabel->
  "In[1333]:=",ExpressionUUID->"539792b2-531b-4e89-87cd-ad6889eb2fe1"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"g31csS", "[", "mapnum", "]"}], "=", 
   RowBox[{"Table", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"C2s", "[", 
      RowBox[{
       RowBox[{"g31csC", "[", "mapnum", "]"}], "[", 
       RowBox[{"[", "i", "]"}], "]"}], "]"}], "\[IndentingNewLine]", ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Length", "[", 
        RowBox[{"g31csC", "[", "mapnum", "]"}], "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"csPlot", "=", 
   RowBox[{"Graphics3D", "[", "\[IndentingNewLine]", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Black", ",", 
        RowBox[{"PointSize", "[", ".015", "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"C2s", "[", 
          RowBox[{
           RowBox[{"g31csC", "[", "mapnum", "]"}], "[", 
           RowBox[{"[", "i", "]"}], "]"}], "]"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", 
        RowBox[{"Length", "[", 
         RowBox[{"g31csC", "[", "mapnum", "]"}], "]"}]}], "}"}]}], "]"}], 
    "\[IndentingNewLine]", "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.732634006568363*^9, 3.7326340555509043`*^9}, {
  3.732634089326974*^9, 3.7326340895110188`*^9}, {3.733772733010494*^9, 
  3.733772736184774*^9}, {3.733773864358734*^9, 3.73377386594909*^9}, {
  3.7337740993944283`*^9, 3.7337741026008177`*^9}, {3.733774346190134*^9, 
  3.733774364253378*^9}, {3.751809510201305*^9, 3.7518095130718117`*^9}},
 CellLabel->
  "In[1338]:=",ExpressionUUID->"1e8bc674-19cf-427f-a4d9-52a55d0ec602"],

Cell["obtain centers of 2, 3, 5-fold symmetry", "Text",
 CellChangeTimes->{{3.790285722934781*^9, 3.790285733348094*^9}, {
  3.790287546684679*^9, 3.79028761251433*^9}, {3.7912392171568327`*^9, 
  3.79123921882858*^9}},
 Background->GrayLevel[
  1],ExpressionUUID->"35ee4a62-3bd0-4782-94f9-78de77edd5a6"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"pentCent", "=", 
   RowBox[{"vS", "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"pentCent2triCentMin", "=", 
   RowBox[{
    RowBox[{"Table", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"eucNorm", "[", 
        RowBox[{"pentCent", "-", 
         RowBox[{"fS", "[", 
          RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "//", "nn"}], 
      "\[IndentingNewLine]", ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", 
        RowBox[{"Length", "[", "fS", "]"}]}], "}"}]}], "]"}], "//", "Min"}]}],
   ";"}], "\n", 
 RowBox[{
  RowBox[{"triCentAll", "=", 
   RowBox[{"Select", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"fS", "//", "nn"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"eucNorm", "[", 
        RowBox[{"pentCent", "-", "#"}], "]"}], "==", "pentCent2triCentMin"}], 
      "&"}]}], "\[IndentingNewLine]", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"triCent", "=", 
   RowBox[{"triCentAll", "[", 
    RowBox[{"[", "3", "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"pentCent2QuadCentMin", "=", 
   RowBox[{
    RowBox[{"Table", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"eucNorm", "[", 
        RowBox[{"pentCent", "-", 
         RowBox[{"eS", "[", 
          RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "//", "nn"}], 
      "\[IndentingNewLine]", ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", 
        RowBox[{"Length", "[", "eS", "]"}]}], "}"}]}], "]"}], "//", "Min"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"triCent2QuadCentMin", "=", 
   RowBox[{
    RowBox[{"Table", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"eucNorm", "[", 
        RowBox[{"triCent", "-", 
         RowBox[{"eS", "[", 
          RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "//", "nn"}], 
      "\[IndentingNewLine]", ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", 
        RowBox[{"Length", "[", "eS", "]"}]}], "}"}]}], "]"}], "//", "Min"}]}],
   ";"}], "\n", 
 RowBox[{
  RowBox[{"quadCentPentAll", "=", 
   RowBox[{"Select", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"eS", "//", "nn"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"eucNorm", "[", 
        RowBox[{"pentCent", "-", "#"}], "]"}], "==", "pentCent2QuadCentMin"}],
       "&"}]}], "\[IndentingNewLine]", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"quadCentTriAll", "=", 
   RowBox[{"Select", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"eS", "//", "nn"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"eucNorm", "[", 
        RowBox[{"triCent", "-", "#"}], "]"}], "\[Equal]", 
       "triCent2QuadCentMin"}], "&"}]}], "\[IndentingNewLine]", "]"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"quadCent", "=", 
   RowBox[{
    RowBox[{"Intersection", "[", 
     RowBox[{"quadCentPentAll", ",", "quadCentTriAll"}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.7326333925335817`*^9, 3.7326333980669928`*^9}, {
   3.73263355805792*^9, 3.732633558727069*^9}, {3.7326337876841516`*^9, 
   3.732633793077609*^9}, {3.7343821471255617`*^9, 3.734382147723987*^9}, {
   3.73670203738367*^9, 3.73670204540816*^9}, {3.737488460641844*^9, 
   3.737488460704566*^9}, 3.738249471752249*^9},
 CellLabel->
  "In[1340]:=",ExpressionUUID->"f83b3d8f-ae0f-4458-bec1-66c28025a6ec"],

Cell["plot critical set and centers of symmetry", "Text",
 CellChangeTimes->{{3.790285722934781*^9, 3.790285733348094*^9}, 
   3.790287679122603*^9, {3.7902877460192013`*^9, 3.790287779275194*^9}},
 Background->GrayLevel[
  1],ExpressionUUID->"74d4f6ba-c59f-4f4a-b41a-8328b0833305"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frameRadius", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "sphere", ",", "icosNet", ",", "csPlot", ",", "\[IndentingNewLine]", 
     RowBox[{"Graphics3D", "[", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"Black", ",", 
        RowBox[{"PointSize", "[", ".015", "]"}], ",", 
        RowBox[{"Point", "[", "pentCent", "]"}]}], "}"}], 
      "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Graphics3D", "[", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"Green", ",", 
        RowBox[{"PointSize", "[", ".015", "]"}], ",", 
        RowBox[{"Point", "[", "triCent", "]"}]}], "}"}], 
      "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Graphics3D", "[", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"Blue", ",", 
        RowBox[{"PointSize", "[", ".015", "]"}], ",", 
        RowBox[{"Point", "[", "quadCent", "]"}]}], "}"}], 
      "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "}"}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"Boxed", "->", "False"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Axes", "\[Rule]", "False"}], "\[IndentingNewLine]", ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "frameRadius"}], ",", "frameRadius"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "frameRadius"}], ",", "frameRadius"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "frameRadius"}], ",", "frameRadius"}], "}"}]}], "}"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"ViewPoint", "\[Rule]", 
    RowBox[{"pentCent", "+", "triCent", "+", "quadCent"}]}]}], 
  "\[IndentingNewLine]", "]"}]}], "Input",
 CellChangeTimes->{{3.64408092378539*^9, 3.644080931630412*^9}, {
   3.644080991447021*^9, 3.6440810333763847`*^9}, {3.644081456410843*^9, 
   3.644081466742628*^9}, {3.644350293605801*^9, 3.644350308799021*^9}, {
   3.644350344456847*^9, 3.644350349996841*^9}, {3.64435053917099*^9, 
   3.6443505548834887`*^9}, {3.6443510202908916`*^9, 3.64435106543583*^9}, {
   3.6443513495356293`*^9, 3.6443513587112083`*^9}, {3.644351526370121*^9, 
   3.644351537875588*^9}, {3.644351699508375*^9, 3.6443517143981867`*^9}, {
   3.644497069752078*^9, 3.644497097720701*^9}, {3.644497134606597*^9, 
   3.644497180174427*^9}, {3.6444972943523912`*^9, 3.644497368535273*^9}, {
   3.691262309522458*^9, 3.691262340224144*^9}, {3.7326334183986607`*^9, 
   3.73263354158514*^9}, {3.732633575098485*^9, 3.732633593566518*^9}, {
   3.732633802007248*^9, 3.732633809843762*^9}, {3.733772751276737*^9, 
   3.7337727588178577`*^9}, 3.733774341143413*^9, {3.73377437224547*^9, 
   3.7337743769576283`*^9}, {3.7338632976992693`*^9, 3.73386332213978*^9}, {
   3.7338638945088787`*^9, 3.7338639076391897`*^9}, {3.733864141506343*^9, 
   3.73386416896139*^9}},
 CellLabel->
  "In[1349]:=",ExpressionUUID->"3b619223-9040-4cd4-acb1-fe066972f1a0"],

Cell[TextData[{
 "compute & plot a pentagonal proto-edge ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["P", 
    RowBox[{"0", " "}]], TraditionalForm]],ExpressionUUID->
  "f66488db-17f3-4010-8e6c-c1d3bc897eac"],
 "& its image ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", 
    SubscriptBox["P", "0"]}], TraditionalForm]],ExpressionUUID->
  "df77bfef-094b-47ad-93e1-4820cce7e47c"],
 ")"
}], "Text",
 CellChangeTimes->{{3.790285722934781*^9, 3.790285733348094*^9}, {
  3.790287803889092*^9, 3.790287849639473*^9}, {3.790287969648219*^9, 
  3.790287972232267*^9}, {3.790288004012732*^9, 3.790288020702565*^9}},
 Background->GrayLevel[
  1],ExpressionUUID->"bf3a8c83-c809-42be-bcb0-bc8a7609692a"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"pentVertMin", "=", 
   RowBox[{
    RowBox[{"Table", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"eucNorm", "[", 
        RowBox[{"pentCent", "-", 
         RowBox[{
          RowBox[{"g31csS", "[", "mapnum", "]"}], "[", 
          RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "//", "nn"}], 
      "\[IndentingNewLine]", ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", 
        RowBox[{"Length", "[", 
         RowBox[{"g31csS", "[", "mapnum", "]"}], "]"}]}], "}"}]}], "]"}], "//",
     "Min"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"pentVert", "=", 
   RowBox[{"Select", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"g31csS", "[", "mapnum", "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"eucNorm", "[", 
        RowBox[{"pentCent", "-", "#"}], "]"}], "==", "pentVertMin"}], "&"}]}],
     "\[IndentingNewLine]", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"pentVert1", "=", 
   RowBox[{"pentVert", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"pentVertAdjMin", "=", 
   RowBox[{
    RowBox[{"Table", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"eucNorm", "[", 
       RowBox[{"pentVert1", "-", 
        RowBox[{"pentVert", "[", 
         RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "\[IndentingNewLine]", ",", 
      
      RowBox[{"{", 
       RowBox[{"i", ",", "2", ",", 
        RowBox[{"Length", "[", "pentVert", "]"}]}], "}"}]}], "]"}], "//", 
    "Min"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"pentVert2", "=", 
   RowBox[{
    RowBox[{"Select", "[", "\[IndentingNewLine]", 
     RowBox[{"pentVert", ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"eucNorm", "[", 
         RowBox[{"pentVert1", "-", "#"}], "]"}], "==", "pentVertAdjMin"}], 
       "&"}]}], "\[IndentingNewLine]", "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"pentVert1Img", "=", 
   RowBox[{"C2s", "[", 
    RowBox[{
     RowBox[{"g31Cmap", "[", "mapnum", "]"}], "[", 
     RowBox[{"s2C", "[", "pentVert1", "]"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pentVert2Img", "=", 
    RowBox[{"C2s", "[", 
     RowBox[{
      RowBox[{"g31Cmap", "[", "mapnum", "]"}], "[", 
      RowBox[{"s2C", "[", "pentVert2", "]"}], "]"}], "]"}]}], ";"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pentEdge0", "=", 
   RowBox[{
    RowBox[{"arc2pts", "[", 
     RowBox[{"pentVert1", ",", "pentVert2"}], "]"}], "//", "fs"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pentEdge0Plot", "=", 
    RowBox[{"ParametricPlot3D", "[", 
     RowBox[{"pentEdge0", ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "1"}], "}"}]}], "]"}]}], ";"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pentEdge0ImgC", "=", 
   RowBox[{
    RowBox[{"g31Cmap", "[", "mapnum", "]"}], "[", 
    RowBox[{"s2C", "[", "pentEdge0", "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pentEdge0Img", "=", 
   RowBox[{"C2s", "[", "pentEdge0ImgC", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pentEdge0ImgPlot", "=", 
   RowBox[{"ParametricPlot3D", "[", 
    RowBox[{"pentEdge0Img", ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "1"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Red"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.732633889116179*^9, 3.7326338914121923`*^9}, {
   3.732633926281184*^9, 3.732633975245926*^9}, {3.732634104039847*^9, 
   3.732634111223735*^9}, {3.733772773348345*^9, 3.733772780849927*^9}, {
   3.7343849787101088`*^9, 3.734384979907968*^9}, {3.734467055606675*^9, 
   3.734467056269989*^9}, {3.736604569595764*^9, 3.736604575497156*^9}, {
   3.7380807468569317`*^9, 3.738080781980763*^9}, 3.738249511697031*^9},
 CellLabel->
  "In[1351]:=",ExpressionUUID->"e6f0899a-2481-4f6d-95f4-1021393202a5"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frameRadius", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "sphere", ",", "icosNet", ",", "csPlot", ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Graphics3D", "[", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"Black", ",", 
        RowBox[{"PointSize", "[", ".015", "]"}], ",", 
        RowBox[{"Point", "[", "pentCent", "]"}]}], "}"}], 
      "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Graphics3D", "[", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"Green", ",", 
        RowBox[{"PointSize", "[", ".015", "]"}], ",", 
        RowBox[{"Point", "[", "triCent", "]"}]}], "}"}], 
      "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Graphics3D", "[", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"Blue", ",", 
        RowBox[{"PointSize", "[", ".015", "]"}], ",", 
        RowBox[{"Point", "[", "quadCent", "]"}]}], "}"}], 
      "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Graphics3D", "[", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Cyan", ",", 
          RowBox[{"PointSize", "[", ".015", "]"}], ",", 
          RowBox[{"Point", "[", "pentVert1", "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Magenta", ",", 
          RowBox[{"PointSize", "[", ".015", "]"}], ",", 
          RowBox[{"Point", "[", "pentVert2", "]"}]}], "}"}]}], 
       "\[IndentingNewLine]", "}"}], "]"}], "\[IndentingNewLine]", ",", 
     "pentEdge0Plot"}], "\[IndentingNewLine]", "}"}], "\[IndentingNewLine]", 
   ",", 
   RowBox[{"Boxed", "->", "False"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Axes", "\[Rule]", "False"}], "\[IndentingNewLine]", ",", 
   RowBox[{"ViewPoint", "\[Rule]", 
    RowBox[{"pentVert1", "+", "pentVert2"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"ViewVertical", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "frameRadius"}], ",", "frameRadius"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "frameRadius"}], ",", "frameRadius"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "frameRadius"}], ",", "frameRadius"}], "}"}]}], 
     "}"}]}]}], "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"frameRadius", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "sphere", ",", "icosNet", ",", "csPlot", ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Graphics3D", "[", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Cyan", ",", 
          RowBox[{"PointSize", "[", ".015", "]"}], ",", 
          RowBox[{"Point", "[", "pentVert1Img", "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Magenta", ",", 
          RowBox[{"PointSize", "[", ".015", "]"}], ",", 
          RowBox[{"Point", "[", "pentVert2Img", "]"}]}], "}"}]}], 
       "\[IndentingNewLine]", "}"}], "]"}], "\[IndentingNewLine]", ",", 
     "pentEdge0Plot", ",", "pentEdge0ImgPlot"}], "\[IndentingNewLine]", "}"}],
    "\[IndentingNewLine]", ",", 
   RowBox[{"Boxed", "->", "False"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Axes", "\[Rule]", "False"}], "\[IndentingNewLine]", ",", 
   RowBox[{
    RowBox[{"ViewPoint", "\[Rule]", 
     RowBox[{"1.5", "*", "pentEdge0Img"}]}], "/.", 
    RowBox[{"t", "\[Rule]", 
     RowBox[{"1", "/", "2"}]}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"ViewVertical", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "frameRadius"}], ",", "frameRadius"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "frameRadius"}], ",", "frameRadius"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "frameRadius"}], ",", "frameRadius"}], "}"}]}], 
     "}"}]}]}], "\[IndentingNewLine]", "]"}]}], "Input",
 CellChangeTimes->{{3.64408092378539*^9, 3.644080931630412*^9}, {
   3.644080991447021*^9, 3.6440810333763847`*^9}, {3.644081456410843*^9, 
   3.644081466742628*^9}, {3.644350293605801*^9, 3.644350308799021*^9}, {
   3.644350344456847*^9, 3.644350349996841*^9}, {3.64435053917099*^9, 
   3.6443505548834887`*^9}, {3.6443510202908916`*^9, 3.64435106543583*^9}, {
   3.6443513495356293`*^9, 3.6443513587112083`*^9}, {3.644351526370121*^9, 
   3.644351537875588*^9}, {3.644351699508375*^9, 3.6443517143981867`*^9}, {
   3.644497069752078*^9, 3.644497097720701*^9}, {3.644497134606597*^9, 
   3.644497180174427*^9}, {3.6444972943523912`*^9, 3.644497368535273*^9}, {
   3.691262309522458*^9, 3.691262340224144*^9}, {3.7326334183986607`*^9, 
   3.73263354158514*^9}, {3.732633575098485*^9, 3.732633593566518*^9}, {
   3.732633802007248*^9, 3.732633809843762*^9}, {3.732652360690555*^9, 
   3.732652384977139*^9}, {3.732652418387644*^9, 3.732652524867152*^9}, {
   3.733055450015073*^9, 3.733055454245358*^9}, {3.733056802323921*^9, 
   3.733056829198489*^9}, 3.733057172343244*^9, {3.733774203460084*^9, 
   3.7337742157872353`*^9}, {3.733774401383409*^9, 3.733774412127778*^9}, {
   3.733945102447356*^9, 3.7339451688371353`*^9}, {3.733945228521812*^9, 
   3.733945234158119*^9}, {3.733945272024934*^9, 3.73394528982304*^9}, {
   3.733945350145495*^9, 3.733945404120277*^9}, {3.733945667234139*^9, 
   3.733945677474777*^9}, {3.733945789997381*^9, 3.733945802206113*^9}, {
   3.733945888237503*^9, 3.733945902477573*^9}, {3.733946050190185*^9, 
   3.7339460790227947`*^9}, {3.7339461257668324`*^9, 
   3.7339461284788923`*^9}, {3.734266978443097*^9, 3.734266991617669*^9}, 
   3.734362683409854*^9, {3.734382910172639*^9, 3.7343829173535213`*^9}, {
   3.73540954665147*^9, 3.735409550584947*^9}, {3.740750005913578*^9, 
   3.740750006881505*^9}, 3.7453585336841393`*^9},
 CellLabel->
  "In[1363]:=",ExpressionUUID->"f65040fe-e54f-4a69-a74a-49595b2eb29e"],

Cell[TextData[{
 "find proto-edges that approximate ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", 
    SubscriptBox["P", "0"]}], TraditionalForm]],ExpressionUUID->
  "e579beb5-7efa-4089-a2f2-5d98387ab00d"],
 "); depends on the choice of map"
}], "Text",
 CellChangeTimes->{{3.790285722934781*^9, 3.790285733348094*^9}, 
   3.790287679122603*^9, {3.7902879280803432`*^9, 3.790287949884008*^9}, {
   3.790288037474517*^9, 3.7902880550277653`*^9}, {3.817857001468774*^9, 
   3.817857011799314*^9}},
 Background->GrayLevel[
  1],ExpressionUUID->"7e360106-6b72-4ee4-99b3-1a2c7b239427"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"pentEdgeImgVertLength", "=", "3"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"pentEdgeImgVert", "[", "0", "]"}], "=", "pentVert1Img"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pentEdgeImgVert", "[", "pentEdgeImgVertLength", "]"}], "=", 
   "pentVert2Img"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"pp", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pentCentImgVertMin", "[", "pp", "]"}], "=", 
   RowBox[{
    RowBox[{"Table", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"eucNorm", "[", 
       RowBox[{
        RowBox[{"pentEdgeImgVert", "[", 
         RowBox[{"pp", "-", "1"}], "]"}], "-", 
        RowBox[{"vS", "[", 
         RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "\[IndentingNewLine]", ",", 
      
      RowBox[{"{", 
       RowBox[{"i", ",", 
        RowBox[{"Length", "[", "vS", "]"}]}], "}"}]}], "]"}], "//", "Min"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pentCentImgVert", "[", "pp", "]"}], "=", 
   RowBox[{"N", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Select", "[", "\[IndentingNewLine]", 
       RowBox[{"vS", ",", 
        RowBox[{
         RowBox[{
          RowBox[{"rat", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"eucNorm", "[", 
             RowBox[{
              RowBox[{"pentEdgeImgVert", "[", 
               RowBox[{"pp", "-", "1"}], "]"}], "-", "#"}], "]"}], "-", 
            RowBox[{"pentCentImgVertMin", "[", "pp", "]"}]}], 
           "\[IndentingNewLine]", "]"}], "\[Equal]", "0"}], "&"}]}], 
       "\[IndentingNewLine]", "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}], ",", "prec"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"pentEdgeImgVert", "[", "pp", "]"}], "=", 
   RowBox[{"rat", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"rot3", "[", 
      RowBox[{
       RowBox[{"pentCentImgVert", "[", "pp", "]"}], ",", 
       RowBox[{"2", "*", 
        RowBox[{"Pi", "/", "5"}]}]}], "]"}], ".", 
     RowBox[{"pentEdgeImgVert", "[", 
      RowBox[{"pp", "-", "1"}], "]"}]}], "\[IndentingNewLine]", "]"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"pp", "=", 
   RowBox[{"pp", "+", "1"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"triCentImgVertMin", "[", "pp", "]"}], "=", 
   RowBox[{
    RowBox[{"Table", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"eucNorm", "[", 
       RowBox[{
        RowBox[{"pentEdgeImgVert", "[", 
         RowBox[{"pp", "-", "1"}], "]"}], "-", 
        RowBox[{"fS", "[", 
         RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "\[IndentingNewLine]", ",", 
      
      RowBox[{"{", 
       RowBox[{"i", ",", 
        RowBox[{"Length", "[", "fS", "]"}]}], "}"}]}], "]"}], "//", "Min"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"triCentImgVert", "[", "pp", "]"}], "=", 
   RowBox[{"N", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Select", "[", "\[IndentingNewLine]", 
       RowBox[{"fS", ",", 
        RowBox[{
         RowBox[{
          RowBox[{"rat", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"eucNorm", "[", 
             RowBox[{
              RowBox[{"pentEdgeImgVert", "[", 
               RowBox[{"pp", "-", "1"}], "]"}], "-", "#"}], "]"}], "-", 
            RowBox[{"triCentImgVertMin", "[", "pp", "]"}]}], 
           "\[IndentingNewLine]", "]"}], "\[Equal]", "0"}], "&"}]}], 
       "\[IndentingNewLine]", "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}], ",", "prec"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"pentEdgeImgVert", "[", "pp", "]"}], "=", 
   RowBox[{"rat", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"rot3", "[", 
      RowBox[{
       RowBox[{"triCentImgVert", "[", "pp", "]"}], ",", 
       RowBox[{
        RowBox[{"-", "2"}], "*", 
        RowBox[{"Pi", "/", "3"}]}]}], "]"}], ".", 
     RowBox[{"pentEdgeImgVert", "[", 
      RowBox[{"pp", "-", "1"}], "]"}]}], "\[IndentingNewLine]", "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.733948536909725*^9, 3.733948559755352*^9}, 
   3.7339514808744926`*^9, {3.734017040094248*^9, 3.7340170663896227`*^9}, {
   3.736026191897026*^9, 3.7360262077981873`*^9}, {3.736032237945506*^9, 
   3.736032244920189*^9}, {3.736096378275651*^9, 3.736096378385013*^9}, {
   3.736275531667321*^9, 3.7362755324576187`*^9}, {3.736604963121066*^9, 
   3.736604963656734*^9}, {3.7367055559400597`*^9, 3.736705555977398*^9}, {
   3.737313638728894*^9, 3.737313638790915*^9}, {3.73738243667052*^9, 
   3.737382440630529*^9}, {3.737383815441576*^9, 3.737383815519302*^9}, {
   3.737395070915058*^9, 3.737395074768107*^9}, {3.737396365476246*^9, 
   3.7373963689130573`*^9}, {3.737396412206458*^9, 3.737396412267447*^9}, {
   3.7373983475599833`*^9, 3.737398350284919*^9}, {3.7374019848259907`*^9, 
   3.737401985287182*^9}, {3.737404274664536*^9, 3.7374042774778214`*^9}, {
   3.7380809191852303`*^9, 3.738080922716679*^9}, {3.738249525167406*^9, 
   3.738249540014102*^9}, {3.738251107026534*^9, 3.738251112176476*^9}, {
   3.73825114612121*^9, 3.738251393867214*^9}, {3.738251426471689*^9, 
   3.73825152799609*^9}, 3.7382699125076647`*^9, {3.7453735168807364`*^9, 
   3.745373523175414*^9}},
 CellLabel->
  "In[1367]:=",ExpressionUUID->"47484a14-e8ee-462a-949e-f4475519b70c"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"pentEdgeImgTop", "=", 
   RowBox[{
    RowBox[{"Table", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"arc2pts", "[", 
       RowBox[{
        RowBox[{"pentEdgeImgVert", "[", 
         RowBox[{"i", "-", "1"}], "]"}], ",", 
        RowBox[{"pentEdgeImgVert", "[", "i", "]"}]}], "]"}], 
      "\[IndentingNewLine]", ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "pentEdgeImgVertLength"}], "}"}]}], "]"}], "//", 
    "simp"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"pentEdgeImgTopPlot", "=", 
   RowBox[{"ParametricPlot3D", "[", 
    RowBox[{"pentEdgeImgTop", ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "1"}], "}"}], "\[IndentingNewLine]", ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Black", ",", "Medium"}], "}"}]}]}], "]"}]}], ";"}]}], "Input",\

 CellChangeTimes->{{3.734017520802998*^9, 3.73401753298503*^9}, {
   3.734017575809513*^9, 3.7340177812202463`*^9}, {3.734017842013996*^9, 
   3.73401786365475*^9}, {3.734383487939828*^9, 3.734383492548478*^9}, {
   3.734383762831197*^9, 3.734383766774151*^9}, {3.736268772783181*^9, 
   3.7362687734590263`*^9}, 3.7367059084028053`*^9, 3.736705942522938*^9, {
   3.736706171116126*^9, 3.736706186772723*^9}, 3.7373137295750933`*^9, 
   3.737384021783044*^9, 3.737384118595965*^9},
 CellLabel->
  "In[1378]:=",ExpressionUUID->"ca8bf678-3276-440c-b6a1-9e026b5bc28a"],

Cell[BoxData[
 RowBox[{"Show", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "sphere", ",", "icosNet", ",", "csPlot", ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Graphics3D", "[", 
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"Black", ",", 
           RowBox[{"PointSize", "[", ".015", "]"}], ",", 
           RowBox[{"Point", "[", 
            RowBox[{"pentEdgeImgVert", "[", "i", "]"}], "]"}]}], "}"}], 
         "\[IndentingNewLine]", "}"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", 
         RowBox[{"pp", "+", "1"}]}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Graphics3D", "[", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Cyan", ",", 
          RowBox[{"PointSize", "[", ".015", "]"}], ",", 
          RowBox[{"Point", "[", "pentVert1Img", "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Magenta", ",", 
          RowBox[{"PointSize", "[", ".015", "]"}], ",", 
          RowBox[{"Point", "[", "pentVert2Img", "]"}]}], "}"}]}], 
       "\[IndentingNewLine]", "}"}], "]"}], "\[IndentingNewLine]", 
     "\[IndentingNewLine]", ",", "pentEdge0Plot", ",", "pentEdge0ImgPlot", 
     "\[IndentingNewLine]", ",", "pentEdgeImgTopPlot"}], 
    "\[IndentingNewLine]", "}"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Boxed", "->", "False"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Axes", "\[Rule]", "False"}], "\[IndentingNewLine]", ",", 
   RowBox[{
    RowBox[{"ViewPoint", "\[Rule]", 
     RowBox[{"1.5", "*", "pentEdge0Img"}]}], "/.", 
    RowBox[{"t", "\[Rule]", ".5"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"ViewVertical", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "frameRadius"}], ",", "frameRadius"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "frameRadius"}], ",", "frameRadius"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "frameRadius"}], ",", "frameRadius"}], "}"}]}], 
     "}"}]}]}], "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.733949418053794*^9, 3.733949514401534*^9}, {
   3.73395110110879*^9, 3.733951129460106*^9}, {3.733951453897284*^9, 
   3.733951456255124*^9}, {3.734008449129333*^9, 3.7340084616304693`*^9}, {
   3.734008586201334*^9, 3.7340086467622423`*^9}, {3.7340171738255377`*^9, 
   3.734017194272258*^9}, {3.734017336681568*^9, 3.734017338361373*^9}, {
   3.734267042489944*^9, 3.734267048978348*^9}, 3.734362703884644*^9, {
   3.734384386990728*^9, 3.7343843910544024`*^9}, {3.736012920276474*^9, 
   3.736012941404537*^9}, 3.736012995768711*^9, {3.736013164837904*^9, 
   3.736013195775285*^9}, {3.736013371614356*^9, 3.736013402017542*^9}, {
   3.73603241957502*^9, 3.736032454443143*^9}, {3.738081115095948*^9, 
   3.7380811393030987`*^9}, {3.738081176745308*^9, 3.7380811892878313`*^9}, {
   3.745357948217143*^9, 3.745357951407508*^9}, 3.7453580369304247`*^9, 
   3.745358079271208*^9},
 CellLabel->
  "In[1380]:=",ExpressionUUID->"e337eef2-ae11-4914-9fab-58eb43f60435"],

Cell[TextData[{
 "find proto-edges that approximate ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", 
    SubscriptBox["T", "0"]}], TraditionalForm]],ExpressionUUID->
  "ed4e0840-7636-4cd7-a1fb-394f1aa2c511"],
 "); depends on the choice of map"
}], "Text",
 CellChangeTimes->{{3.790285722934781*^9, 3.790285733348094*^9}, {
  3.790608456175333*^9, 3.790608461034782*^9}, {3.81785702553118*^9, 
  3.817857026829917*^9}},
 Background->GrayLevel[
  1],ExpressionUUID->"930ec698-b39c-45c8-95ae-b7a589e7cc15"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"triVertMin", "=", 
   RowBox[{
    RowBox[{"Table", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"eucNorm", "[", 
       RowBox[{"triCent", "-", 
        RowBox[{
         RowBox[{"g31csS", "[", "mapnum", "]"}], "[", 
         RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "\[IndentingNewLine]", ",", 
      
      RowBox[{"{", 
       RowBox[{"i", ",", 
        RowBox[{"Length", "[", 
         RowBox[{"g31csS", "[", "mapnum", "]"}], "]"}]}], "}"}]}], "]"}], "//",
     "Min"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"triVert", "=", 
   RowBox[{"Select", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"g31csS", "[", "mapnum", "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"eucNorm", "[", 
        RowBox[{"triCent", "-", "#"}], "]"}], "\[Equal]", "triVertMin"}], 
      "&"}]}], "\[IndentingNewLine]", "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.732633889116179*^9, 3.7326338914121923`*^9}, {
   3.732633926281184*^9, 3.732633975245926*^9}, {3.732634104039847*^9, 
   3.732634111223735*^9}, {3.733772773348345*^9, 3.733772780849927*^9}, {
   3.7343849787101088`*^9, 3.734384979907968*^9}, {3.734458532327352*^9, 
   3.73445857004702*^9}, {3.736605288572048*^9, 3.736605294677412*^9}, 
   3.738429922615382*^9},
 CellLabel->
  "In[1381]:=",ExpressionUUID->"c2b294cb-248d-4f88-82fd-67d2fdf217ae"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"triVert1", "=", 
   RowBox[{"triVert", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"triVert2", "=", 
    RowBox[{"triVert", "[", 
     RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"triVert1Img", "=", 
   RowBox[{"C2s", "[", 
    RowBox[{
     RowBox[{"g31Cmap", "[", "mapnum", "]"}], "[", 
     RowBox[{"s2C", "[", "triVert1", "]"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"triVert2Img", "=", 
    RowBox[{"C2s", "[", 
     RowBox[{
      RowBox[{"g31Cmap", "[", "mapnum", "]"}], "[", 
      RowBox[{"s2C", "[", "triVert2", "]"}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"triEdge0", "=", 
   RowBox[{
    RowBox[{"arc2pts", "[", 
     RowBox[{"triVert1", ",", "triVert2"}], "]"}], "//", "fs"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"triEdge0Plot", "=", 
    RowBox[{"ParametricPlot3D", "[", 
     RowBox[{"triEdge0", ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "1"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"triEdge0ImgC", "=", 
   RowBox[{
    RowBox[{"g31Cmap", "[", "mapnum", "]"}], "[", 
    RowBox[{"s2C", "[", "triEdge0", "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"triEdge0Img", "=", 
   RowBox[{"C2s", "[", "triEdge0ImgC", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"triEdge0ImgPlot", "=", 
   RowBox[{"ParametricPlot3D", "[", 
    RowBox[{"triEdge0Img", ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "1"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Red"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.732651469920216*^9, 3.732651493793685*^9}, 
   3.733950197539473*^9, {3.73446055003174*^9, 3.73446059028654*^9}, {
   3.736605318577259*^9, 3.736605329034089*^9}, {3.736702919989546*^9, 
   3.736702922458537*^9}, {3.736706744186811*^9, 3.736706746465374*^9}},
 CellLabel->
  "In[1383]:=",ExpressionUUID->"7b8b926f-ac40-4015-a2f1-b0c141792238"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rr", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "sphere", ",", "icosNet", ",", "csPlot", ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Graphics3D", "[", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"Black", ",", 
        RowBox[{"PointSize", "[", ".01", "]"}], ",", 
        RowBox[{"Point", "[", "pentCent", "]"}]}], "}"}], 
      "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Graphics3D", "[", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"Green", ",", 
        RowBox[{"PointSize", "[", ".01", "]"}], ",", 
        RowBox[{"Point", "[", "triCent", "]"}]}], "}"}], 
      "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Graphics3D", "[", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"Blue", ",", 
        RowBox[{"PointSize", "[", ".01", "]"}], ",", 
        RowBox[{"Point", "[", "quadCent", "]"}]}], "}"}], 
      "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Graphics3D", "[", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Cyan", ",", 
          RowBox[{"PointSize", "[", ".015", "]"}], ",", 
          RowBox[{"Point", "[", "triVert1", "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Magenta", ",", 
          RowBox[{"PointSize", "[", ".015", "]"}], ",", 
          RowBox[{"Point", "[", "triVert2", "]"}]}], "}"}]}], 
       "\[IndentingNewLine]", "}"}], "]"}], "\[IndentingNewLine]", ",", 
     "triEdge0Plot"}], "\[IndentingNewLine]", "}"}], "\[IndentingNewLine]", 
   ",", 
   RowBox[{"Boxed", "->", "False"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Axes", "\[Rule]", "False"}], "\[IndentingNewLine]", ",", 
   RowBox[{"ViewPoint", "\[Rule]", 
    RowBox[{"triVert1", "+", "triVert2"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"ViewVertical", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "rr"}], ",", "rr"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "rr"}], ",", "rr"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "rr"}], ",", "rr"}], "}"}]}], "}"}]}]}], 
  "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rr", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "sphere", ",", "icosNet", ",", "csPlot", ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Graphics3D", "[", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Cyan", ",", 
          RowBox[{"PointSize", "[", ".015", "]"}], ",", 
          RowBox[{"Point", "[", "triVert1Img", "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Magenta", ",", 
          RowBox[{"PointSize", "[", ".015", "]"}], ",", 
          RowBox[{"Point", "[", "triVert2Img", "]"}]}], "}"}]}], 
       "\[IndentingNewLine]", "}"}], "]"}], "\[IndentingNewLine]", ",", 
     "triEdge0Plot", ",", "triEdge0ImgPlot"}], "\[IndentingNewLine]", "}"}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"Boxed", "->", "False"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Axes", "\[Rule]", "False"}], "\[IndentingNewLine]", ",", 
   RowBox[{
    RowBox[{"ViewPoint", "\[Rule]", 
     RowBox[{"1.5", "*", "triEdge0Img"}]}], "/.", 
    RowBox[{"t", "\[Rule]", ".5"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"ViewVertical", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "rr"}], ",", "rr"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "rr"}], ",", "rr"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "rr"}], ",", "rr"}], "}"}]}], "}"}]}]}], 
  "\[IndentingNewLine]", "]"}]}], "Input",
 CellChangeTimes->{{3.64408092378539*^9, 3.644080931630412*^9}, {
   3.644080991447021*^9, 3.6440810333763847`*^9}, {3.644081456410843*^9, 
   3.644081466742628*^9}, {3.644350293605801*^9, 3.644350308799021*^9}, {
   3.644350344456847*^9, 3.644350349996841*^9}, {3.64435053917099*^9, 
   3.6443505548834887`*^9}, {3.6443510202908916`*^9, 3.64435106543583*^9}, {
   3.6443513495356293`*^9, 3.6443513587112083`*^9}, {3.644351526370121*^9, 
   3.644351537875588*^9}, {3.644351699508375*^9, 3.6443517143981867`*^9}, {
   3.644497069752078*^9, 3.644497097720701*^9}, {3.644497134606597*^9, 
   3.644497180174427*^9}, {3.6444972943523912`*^9, 3.644497368535273*^9}, {
   3.691262309522458*^9, 3.691262340224144*^9}, {3.7326334183986607`*^9, 
   3.73263354158514*^9}, {3.732633575098485*^9, 3.732633593566518*^9}, {
   3.732633802007248*^9, 3.732633809843762*^9}, {3.732652360690555*^9, 
   3.732652384977139*^9}, {3.732652418387644*^9, 3.732652524867152*^9}, {
   3.733055450015073*^9, 3.733055454245358*^9}, {3.733056802323921*^9, 
   3.733056829198489*^9}, 3.733057172343244*^9, {3.733774203460084*^9, 
   3.7337742157872353`*^9}, {3.733774401383409*^9, 3.733774412127778*^9}, {
   3.733945102447356*^9, 3.7339451688371353`*^9}, {3.733945228521812*^9, 
   3.733945234158119*^9}, {3.733945272024934*^9, 3.73394528982304*^9}, {
   3.733945350145495*^9, 3.733945404120277*^9}, {3.733945667234139*^9, 
   3.733945677474777*^9}, {3.733945789997381*^9, 3.733945802206113*^9}, {
   3.733945888237503*^9, 3.733945902477573*^9}, {3.733946050190185*^9, 
   3.7339460790227947`*^9}, {3.7339461257668324`*^9, 
   3.7339461284788923`*^9}, {3.734266978443097*^9, 3.734266991617669*^9}, 
   3.734362683409854*^9, {3.734382910172639*^9, 3.7343829173535213`*^9}, {
   3.7344646250803633`*^9, 3.73446462509356*^9}, {3.73542200104074*^9, 
   3.7354220017418337`*^9}, {3.738265235572789*^9, 3.7382652355833893`*^9}, {
   3.738430292025856*^9, 3.73843033445717*^9}, {3.745358444582368*^9, 
   3.7453584942053337`*^9}},
 CellLabel->
  "In[1392]:=",ExpressionUUID->"1d8dbee4-6ffd-47da-a009-0fdcce9daefb"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"triEdgeImgVertLength", "=", "5"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"triEdgeImgVert", "[", "0", "]"}], "=", "triVert1Img"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"triEdgeImgVert", "[", "triEdgeImgVertLength", "]"}], "=", 
   "triVert2Img"}], ";"}]}], "Input",
 CellChangeTimes->{{3.733948536909725*^9, 3.733948559755352*^9}, 
   3.7339514808744926`*^9, {3.734017040094248*^9, 3.7340170663896227`*^9}, {
   3.735398350213361*^9, 3.735398392492022*^9}, {3.7359326830077553`*^9, 
   3.7359326830541*^9}, {3.7359327861428003`*^9, 3.735932789743074*^9}, {
   3.73603354479593*^9, 3.736033569178459*^9}, {3.736096800230154*^9, 
   3.736096825196979*^9}, {3.736096861263874*^9, 3.7360968658053827`*^9}, {
   3.736355319496254*^9, 3.736355319534059*^9}, {3.736606685795885*^9, 
   3.736606685868191*^9}, {3.7367067033378983`*^9, 3.736706703632058*^9}, {
   3.737315380880705*^9, 3.737315381254798*^9}, {3.737382794569474*^9, 
   3.737382798319821*^9}, {3.737395190790174*^9, 3.737395191187622*^9}, {
   3.737395224894698*^9, 3.737395229356881*^9}, {3.7373965482942266`*^9, 
   3.7373965483784437`*^9}, {3.737398850476591*^9, 3.737398883962058*^9}, {
   3.737400062623351*^9, 3.737400062933576*^9}, {3.737402643495132*^9, 
   3.7374026466859827`*^9}, {3.737404571563017*^9, 3.7374045747367067`*^9}, {
   3.737470034623639*^9, 3.7374700347089233`*^9}, {3.737487873602676*^9, 
   3.737487873658044*^9}},
 CellLabel->
  "In[1396]:=",ExpressionUUID->"34efae5c-9985-4362-ad23-2e371d89329e"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"pp", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pentCentImgVertMin", "[", "pp", "]"}], "=", 
   RowBox[{
    RowBox[{"Table", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"eucNorm", "[", 
       RowBox[{
        RowBox[{"triEdgeImgVert", "[", 
         RowBox[{"pp", "-", "1"}], "]"}], "-", 
        RowBox[{"vS", "[", 
         RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "\[IndentingNewLine]", ",", 
      
      RowBox[{"{", 
       RowBox[{"i", ",", 
        RowBox[{"Length", "[", "vS", "]"}]}], "}"}]}], "]"}], "//", "Min"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pentCentImgVert", "[", "pp", "]"}], "=", 
   RowBox[{"N", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Select", "[", "\[IndentingNewLine]", 
       RowBox[{"vS", ",", 
        RowBox[{
         RowBox[{
          RowBox[{"rat", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"eucNorm", "[", 
             RowBox[{
              RowBox[{"triEdgeImgVert", "[", 
               RowBox[{"pp", "-", "1"}], "]"}], "-", "#"}], "]"}], "-", 
            RowBox[{"pentCentImgVertMin", "[", "pp", "]"}]}], 
           "\[IndentingNewLine]", "]"}], "\[Equal]", "0"}], "&"}]}], 
       "\[IndentingNewLine]", "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}], ",", "prec"}], "]"}]}], ";"}]}], "Input",\

 CellChangeTimes->{{3.7339511879315357`*^9, 3.733951206859869*^9}, 
   3.733951491239504*^9, {3.7339515411520357`*^9, 3.733951541886858*^9}, {
   3.734008292524609*^9, 3.734008302459951*^9}, {3.734017072623663*^9, 
   3.734017095789809*^9}, {3.735398422782258*^9, 3.735398506885133*^9}, {
   3.7360968728397627`*^9, 3.736096892484954*^9}, 3.7362695820138063`*^9, 
   3.73635535896502*^9, 3.7366067034382267`*^9, 3.737396572412569*^9, 
   3.73739942747336*^9, 3.7374045485966578`*^9, 3.73747005939885*^9, {
   3.737481357661717*^9, 3.7374813664560423`*^9}, 3.738429979837188*^9},
 CellLabel->
  "In[1399]:=",ExpressionUUID->"ffa1fda1-8f95-4806-8b24-7b956fa8ae55"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"triEdgeImgVert", "[", "pp", "]"}], "=", 
   RowBox[{"rat", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"rot3", "[", 
      RowBox[{
       RowBox[{"pentCentImgVert", "[", "pp", "]"}], ",", 
       RowBox[{
        RowBox[{"-", "2"}], "*", 
        RowBox[{"Pi", "/", "5"}]}]}], "]"}], ".", 
     RowBox[{"triEdgeImgVert", "[", 
      RowBox[{"pp", "-", "1"}], "]"}]}], "\[IndentingNewLine]", "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.737399471928652*^9, 3.7373994815418377`*^9}, {
   3.737399551846695*^9, 3.7373995561396*^9}, 3.737402677225745*^9, 
   3.737404630842141*^9, {3.737470075312529*^9, 3.737470101276173*^9}, {
   3.737481387152837*^9, 3.7374813971973333`*^9}, {3.7374878963750563`*^9, 
   3.737487916931067*^9}, 3.738429989982304*^9},
 CellLabel->
  "In[1402]:=",ExpressionUUID->"44a25ec6-32f4-44cd-9742-ebcf200a6518"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"pp", "=", 
   RowBox[{"pp", "+", "1"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"triCentImgVertMin", "[", "pp", "]"}], "=", 
   RowBox[{
    RowBox[{"Table", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"eucNorm", "[", 
       RowBox[{
        RowBox[{"triEdgeImgVert", "[", 
         RowBox[{"pp", "-", "1"}], "]"}], "-", 
        RowBox[{"fS", "[", 
         RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "\[IndentingNewLine]", ",", 
      
      RowBox[{"{", 
       RowBox[{"i", ",", 
        RowBox[{"Length", "[", "fS", "]"}]}], "}"}]}], "]"}], "//", "Min"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"triCentImgVert", "[", "pp", "]"}], "=", 
   RowBox[{"N", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Select", "[", "\[IndentingNewLine]", 
       RowBox[{"fS", ",", 
        RowBox[{
         RowBox[{
          RowBox[{"rat", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"eucNorm", "[", 
             RowBox[{
              RowBox[{"triEdgeImgVert", "[", 
               RowBox[{"pp", "-", "1"}], "]"}], "-", "#"}], "]"}], "-", 
            RowBox[{"triCentImgVertMin", "[", "pp", "]"}]}], 
           "\[IndentingNewLine]", "]"}], "\[Equal]", "0"}], "&"}]}], 
       "\[IndentingNewLine]", "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}], ",", "prec"}], "]"}]}], ";"}]}], "Input",\

 CellChangeTimes->{
  3.737399613421981*^9, {3.737404668890189*^9, 3.737404676746994*^9}, 
   3.73747023510048*^9, 3.738430001232004*^9},
 CellLabel->
  "In[1403]:=",ExpressionUUID->"ed70268d-065f-46f2-9ab6-6064086d2a4f"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"triEdgeImgVert", "[", "pp", "]"}], "=", 
   RowBox[{"rat", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"rot3", "[", 
      RowBox[{
       RowBox[{"triCentImgVert", "[", "pp", "]"}], ",", 
       RowBox[{"2", "*", 
        RowBox[{"Pi", "/", "3"}]}]}], "]"}], ".", 
     RowBox[{"triEdgeImgVert", "[", 
      RowBox[{"pp", "-", "1"}], "]"}]}], "\[IndentingNewLine]", "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.737400198804714*^9, {3.737402719689883*^9, 3.737402734568557*^9}, 
   3.737404704148219*^9, {3.73747025613616*^9, 3.7374702833924723`*^9}, 
   3.737479766807728*^9, {3.737481469495205*^9, 3.7374814882476683`*^9}, {
   3.7374887396749363`*^9, 3.737488741113007*^9}, 3.7384300103169317`*^9},
 CellLabel->
  "In[1406]:=",ExpressionUUID->"ee6bf1f0-3027-4f36-be30-017e42ebc50b"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"pp", "=", 
   RowBox[{"pp", "+", "1"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pentCentImgVertMin", "[", "pp", "]"}], "=", 
   RowBox[{
    RowBox[{"Table", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"eucNorm", "[", 
       RowBox[{
        RowBox[{"triEdgeImgVert", "[", 
         RowBox[{"pp", "-", "1"}], "]"}], "-", 
        RowBox[{"vS", "[", 
         RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "\[IndentingNewLine]", ",", 
      
      RowBox[{"{", 
       RowBox[{"i", ",", 
        RowBox[{"Length", "[", "vS", "]"}]}], "}"}]}], "]"}], "//", "Min"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pentCentImgVert", "[", "pp", "]"}], "=", 
   RowBox[{"N", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Select", "[", "\[IndentingNewLine]", 
       RowBox[{"vS", ",", 
        RowBox[{
         RowBox[{
          RowBox[{"rat", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"eucNorm", "[", 
             RowBox[{
              RowBox[{"triEdgeImgVert", "[", 
               RowBox[{"pp", "-", "1"}], "]"}], "-", "#"}], "]"}], "-", 
            RowBox[{"pentCentImgVertMin", "[", "pp", "]"}]}], 
           "\[IndentingNewLine]", "]"}], "\[Equal]", "0"}], "&"}]}], 
       "\[IndentingNewLine]", "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}], ",", "prec"}], "]"}]}], ";"}]}], "Input",\

 CellChangeTimes->{3.737488016243865*^9, 3.738430022845002*^9},
 CellLabel->
  "In[1407]:=",ExpressionUUID->"3b7a727d-5afc-4205-bf0c-77cefe577141"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"triEdgeImgVert", "[", "pp", "]"}], "=", 
   RowBox[{"rat", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"rot3", "[", 
      RowBox[{
       RowBox[{"pentCentImgVert", "[", "pp", "]"}], ",", 
       RowBox[{
        RowBox[{"-", "2"}], "*", 
        RowBox[{"Pi", "/", "5"}]}]}], "]"}], ".", 
     RowBox[{"triEdgeImgVert", "[", 
      RowBox[{"pp", "-", "1"}], "]"}]}], "\[IndentingNewLine]", "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{3.73748809952535*^9, 3.73748876073101*^9, 
  3.7384300470372257`*^9},
 CellLabel->
  "In[1410]:=",ExpressionUUID->"fb2b55d8-9177-4053-a99a-9122fbec26da"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"pp", "=", 
   RowBox[{"pp", "+", "1"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"triCentImgVertMin", "[", "pp", "]"}], "=", 
   RowBox[{
    RowBox[{"Table", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"eucNorm", "[", 
       RowBox[{
        RowBox[{"triEdgeImgVert", "[", 
         RowBox[{"pp", "-", "1"}], "]"}], "-", 
        RowBox[{"fS", "[", 
         RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "\[IndentingNewLine]", ",", 
      
      RowBox[{"{", 
       RowBox[{"i", ",", 
        RowBox[{"Length", "[", "fS", "]"}]}], "}"}]}], "]"}], "//", "Min"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"triCentImgVert", "[", "pp", "]"}], "=", 
   RowBox[{"N", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Select", "[", "\[IndentingNewLine]", 
       RowBox[{"fS", ",", 
        RowBox[{
         RowBox[{
          RowBox[{"rat", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"eucNorm", "[", 
             RowBox[{
              RowBox[{"triEdgeImgVert", "[", 
               RowBox[{"pp", "-", "1"}], "]"}], "-", "#"}], "]"}], "-", 
            RowBox[{"triCentImgVertMin", "[", "pp", "]"}]}], 
           "\[IndentingNewLine]", "]"}], "\[Equal]", "0"}], "&"}]}], 
       "\[IndentingNewLine]", "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}], ",", "prec"}], "]"}]}], ";"}]}], "Input",\

 CellChangeTimes->{3.738430060383163*^9},
 CellLabel->
  "In[1411]:=",ExpressionUUID->"cc7e98ef-96e4-4ffc-a130-6c35cb4c73db"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"triEdgeImgVert", "[", "pp", "]"}], "=", 
   RowBox[{"rat", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"rot3", "[", 
      RowBox[{
       RowBox[{"triCentImgVert", "[", "pp", "]"}], ",", 
       RowBox[{"2", "*", 
        RowBox[{"Pi", "/", "3"}]}]}], "]"}], ".", 
     RowBox[{"triEdgeImgVert", "[", 
      RowBox[{"pp", "-", "1"}], "]"}]}], "\[IndentingNewLine]", "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{3.73748827069471*^9, 3.737488773243308*^9, 
  3.738430069047841*^9},
 CellLabel->
  "In[1414]:=",ExpressionUUID->"9f8de00e-35a7-45c9-ba1c-f4fc6bad8ba3"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"triEdgeImgTop", "=", 
   RowBox[{"Table", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"arc2pts", "[", 
      RowBox[{
       RowBox[{"triEdgeImgVert", "[", 
        RowBox[{"i", "-", "1"}], "]"}], ",", 
       RowBox[{"triEdgeImgVert", "[", "i", "]"}]}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "triEdgeImgVertLength"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"triEdgeImgTopPlot", "=", 
   RowBox[{"ParametricPlot3D", "[", 
    RowBox[{"triEdgeImgTop", ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "1"}], "}"}], "\[IndentingNewLine]", ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Black", ",", "Medium"}], "}"}]}]}], "]"}]}], ";"}]}], "Input",\

 CellChangeTimes->{{3.734017520802998*^9, 3.73401753298503*^9}, {
  3.734017575809513*^9, 3.7340177812202463`*^9}, {3.734017842013996*^9, 
  3.73401786365475*^9}, {3.734383487939828*^9, 3.734383492548478*^9}, {
  3.734383762831197*^9, 3.734383766774151*^9}, {3.735399715057074*^9, 
  3.73539974411139*^9}},
 CellLabel->
  "In[1415]:=",ExpressionUUID->"8eb641b3-a080-488f-9b3f-7a8159d9582e"],

Cell[BoxData[
 RowBox[{"Show", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "sphere", ",", "icosNet", ",", "csPlot", ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Graphics3D", "[", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Cyan", ",", 
          RowBox[{"PointSize", "[", ".01", "]"}], ",", 
          RowBox[{"Point", "[", "triVert1", "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Magenta", ",", 
          RowBox[{"PointSize", "[", ".01", "]"}], ",", 
          RowBox[{"Point", "[", "triVert2", "]"}]}], "}"}]}], 
       "\[IndentingNewLine]", "}"}], "]"}], ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Graphics3D", "[", 
      RowBox[{"Table", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Black", ",", 
          RowBox[{"PointSize", "[", ".01", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"triEdgeImgVert", "[", "i", "]"}], "]"}]}], "}"}], 
        "\[IndentingNewLine]", ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "triEdgeImgVertLength"}], "}"}]}], "]"}], "]"}], 
     ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Graphics3D", "[", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Cyan", ",", 
          RowBox[{"PointSize", "[", ".015", "]"}], ",", 
          RowBox[{"Point", "[", "triVert1Img", "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Magenta", ",", 
          RowBox[{"PointSize", "[", ".015", "]"}], ",", 
          RowBox[{"Point", "[", "triVert2Img", "]"}]}], "}"}]}], 
       "\[IndentingNewLine]", "}"}], "]"}], "\[IndentingNewLine]", 
     "\[IndentingNewLine]", ",", "triEdge0Plot", ",", "triEdge0ImgPlot", ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "triEdgeImgTopPlot"}], 
    "\[IndentingNewLine]", "}"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Boxed", "->", "False"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Axes", "\[Rule]", "False"}], "\[IndentingNewLine]", ",", 
   RowBox[{
    RowBox[{"ViewPoint", "\[Rule]", 
     RowBox[{"1.5", "*", "triEdge0Img"}]}], "/.", 
    RowBox[{"t", "\[Rule]", ".5"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"ViewVertical", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "rr"}], ",", "rr"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "rr"}], ",", "rr"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "rr"}], ",", "rr"}], "}"}]}], "}"}]}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.733949418053794*^9, 3.733949514401534*^9}, {
   3.73395110110879*^9, 3.733951129460106*^9}, {3.733951453897284*^9, 
   3.733951456255124*^9}, {3.734017106169098*^9, 3.73401713131255*^9}, {
   3.734267014476108*^9, 3.734267019801873*^9}, 3.734362692760866*^9, {
   3.734382931963471*^9, 3.7343829359935627`*^9}, {3.735398530040269*^9, 
   3.735398584454043*^9}, {3.73539888328209*^9, 3.735398910167243*^9}, {
   3.735398956850093*^9, 3.7353989593701468`*^9}, {3.735932882074213*^9, 
   3.735932895915216*^9}, {3.735933107833935*^9, 3.7359331169953737`*^9}, {
   3.735933179045463*^9, 3.7359331832918253`*^9}, {3.735933275428993*^9, 
   3.735933276118191*^9}, {3.7360139489474487`*^9, 3.7360140365939302`*^9}, {
   3.736014226178*^9, 3.736014257921414*^9}, 3.736607359323991*^9, {
   3.736607393981064*^9, 3.7366073941244583`*^9}, {3.7382652356928387`*^9, 
   3.738265235697682*^9}, {3.738430320608451*^9, 3.7384303206174707`*^9}, {
   3.745358269567203*^9, 3.7453583234919043`*^9}},
 CellLabel->
  "In[1417]:=",ExpressionUUID->"6988af89-440d-482b-8287-df9b158e2f0a"],

Cell["push the pentagonal and triangular proto-edges", "Text",
 CellChangeTimes->{{3.74483840457795*^9, 3.744838412227428*^9}, {
  3.7906086520810633`*^9, 3.7906086731076603`*^9}, {3.790609079517218*^9, 
  3.790609110105756*^9}, {3.790610174341531*^9, 3.790610174701582*^9}},
 Background->GrayLevel[
  1],ExpressionUUID->"491a800e-e0a5-44fd-ab30-28bc64ae2bdb"],

Cell[BoxData[
 RowBox[{
  RowBox[{"csCPlot", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Graphics", "[", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{"Black", ",", 
        RowBox[{"PointSize", "[", ".01", "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Point", "[", 
         RowBox[{"C2rect", "[", 
          RowBox[{
           RowBox[{"g31csC", "[", "mapnum", "]"}], "[", 
           RowBox[{"[", "i", "]"}], "]"}], "]"}], "]"}]}], 
       "\[IndentingNewLine]", "}"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Length", "[", 
        RowBox[{"g31csC", "[", "mapnum", "]"}], "]"}]}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.751810420281241*^9, 3.7518104259297047`*^9}},
 CellLabel->
  "In[1418]:=",ExpressionUUID->"914d5624-e392-4469-af5d-bfd1f9119d02"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"pEpushSeq", "=", 
    RowBox[{"{", 
     RowBox[{"p", ",", "t", ",", "p"}], "}"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "selected", " ", "sequence", " ", "of", " ", "edge", " ", "types", " ", 
     "for", " ", "the", " ", "image", " ", "\[IndentingNewLine]", 
     "                     ", "of", " ", "a", " ", "pentagonal", " ", 
     "edge"}], ";", " ", 
    RowBox[{"(", 
     RowBox[{"pentagon", ",", " ", "triangle", ",", " ", "pentagon"}], 
     ")"}]}], " ", "*)"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pEpushLength0", "=", 
    RowBox[{"Length", "[", "pEpushSeq", "]"}]}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tEpushSeq", "=", 
    RowBox[{"{", 
     RowBox[{"p", ",", "t", ",", "p", ",", "t", ",", "p"}], "}"}]}], ";"}], 
  " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "selected", " ", "sequence", " ", "of", " ", "edge", " ", "types", " ", 
    "for", " ", "the", " ", "image", " ", "\[IndentingNewLine]", 
    "                           ", "of", " ", "a", " ", "pentagonal", " ", 
    "edge"}], " ", "*)"}], " "}], "\n", 
 RowBox[{
  RowBox[{"tEpushLength0", "=", 
   RowBox[{"Length", "[", "tEpushSeq", "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{
  3.74474211099573*^9, {3.7449019102391853`*^9, 3.74490198712532*^9}, {
   3.744902079659835*^9, 3.74490208019066*^9}, {3.748885126891223*^9, 
   3.748885129562069*^9}, {3.751745552658638*^9, 3.751745561067058*^9}, {
   3.7915043174808083`*^9, 3.791504535671085*^9}},
 CellLabel->
  "In[1419]:=",ExpressionUUID->"02db87cb-f04b-456c-a993-fa283be599d9"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"pV1", "=", 
   RowBox[{"s2C", "[", 
    RowBox[{
     RowBox[{"rot3", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", "Pi"}], "]"}], ".", 
     "pentVert1"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pV2", "=", 
    RowBox[{"s2C", "[", 
     RowBox[{
      RowBox[{"rot3", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", "Pi"}], "]"}], ".", 
      "pentVert2"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tV1", "=", 
   RowBox[{"s2C", "[", 
    RowBox[{
     RowBox[{"rot3", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", "Pi"}], "]"}], ".", 
     "triVert1"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tV2", "=", 
   RowBox[{"s2C", "[", 
    RowBox[{
     RowBox[{"rot3", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", "Pi"}], "]"}], ".", 
     "triVert2"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.741115030805499*^9, 3.741115052979135*^9}, {
   3.741115155141323*^9, 3.7411152302018642`*^9}, {3.74111550783986*^9, 
   3.741115523904006*^9}, 3.741115616717307*^9, {3.741115665084654*^9, 
   3.7411157192746897`*^9}, 3.741115750825554*^9, 3.741115793585841*^9, {
   3.7411158572753487`*^9, 3.741115874267601*^9}, {3.741116097752698*^9, 
   3.741116101545697*^9}, {3.74111624108967*^9, 3.7411162666795893`*^9}, {
   3.741116344568221*^9, 3.741116360928308*^9}, 3.7411171545350723`*^9, {
   3.741117189832315*^9, 3.7411171900959463`*^9}, {3.741117245695183*^9, 
   3.7411172599051743`*^9}, {3.741117458675888*^9, 3.741117462202754*^9}, 
   3.7411175070929193`*^9, 3.741117608932378*^9, {3.7413599240196133`*^9, 
   3.741359940829788*^9}, {3.7413623131705933`*^9, 3.741362313657319*^9}, {
   3.741380488570418*^9, 3.74138056040203*^9}, 3.741724955991192*^9, {
   3.7447421449234953`*^9, 3.744742173794587*^9}, {3.7447427438655863`*^9, 
   3.744742744296826*^9}, {3.744742776207046*^9, 3.744742805238552*^9}, {
   3.744743981934688*^9, 3.744744049570142*^9}, {3.748557410134819*^9, 
   3.74855741693826*^9}, {3.7488733784103413`*^9, 3.748873387540491*^9}},
 CellLabel->
  "In[1423]:=",ExpressionUUID->"daae84fc-1bbf-4c44-a57a-3c3774475ee7"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"circParam3pt", "[", 
    RowBox[{"p_", ",", "q_", ",", "r_"}], "]"}], "[", "t_", "]"}], ":=", 
  RowBox[{"Module", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"cc", "=", 
      RowBox[{
       RowBox[{"circCent3ptC", "[", 
        RowBox[{"p", ",", "q", ",", "r"}], "]"}], "//", "ce"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"p", "-", "cc"}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"1", "-", "t"}], ")"}]}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"r", "-", "cc"}], ")"}], "^", "t"}]}], "+", "cc"}]}], 
   "\[IndentingNewLine]", "]"}]}], "\n", 
 RowBox[{
  RowBox[{"arcMid", "[", 
   RowBox[{"a_", ",", "b_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"s2C", "[", 
    RowBox[{"arc2pts", "[", 
     RowBox[{
      RowBox[{"C2s", "[", "a", "]"}], ",", 
      RowBox[{"C2s", "[", "b", "]"}]}], "]"}], "]"}], "/.", 
   RowBox[{"t", "\[Rule]", 
    RowBox[{"1", "/", "2"}]}]}]}], "\n", 
 RowBox[{
  RowBox[{"edgeParam", "[", 
   RowBox[{"p_", ",", "q_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"circParam3pt", "[", 
    RowBox[{"p", ",", 
     RowBox[{"arcMid", "[", 
      RowBox[{"p", ",", "q"}], "]"}], ",", "q"}], "]"}], "[", "t", 
   "]"}]}]}], "Input",
 CellChangeTimes->{{3.741614239548196*^9, 3.741614251173209*^9}, {
   3.741614294061885*^9, 3.7416142961736603`*^9}, {3.741614330158471*^9, 
   3.7416144941117487`*^9}, {3.7416145559285707`*^9, 3.7416146074254713`*^9}, 
   3.7416147393156643`*^9, {3.7416150445326977`*^9, 3.741615053021097*^9}, {
   3.741615098439218*^9, 3.741615098508234*^9}, 3.741702412581561*^9, 
   3.74172001282483*^9},
 CellLabel->
  "In[1427]:=",ExpressionUUID->"2af72f83-0ce6-4255-806f-a6eee88dfe88"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"pE0", "=", 
   RowBox[{"edgeParam", "[", 
    RowBox[{"pV1", ",", "pV2"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tE0", "=", 
   RowBox[{"edgeParam", "[", 
    RowBox[{"tV1", ",", "tV2"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.751832801436645*^9, 3.751832819538899*^9}},
 CellLabel->
  "In[1430]:=",ExpressionUUID->"fd4f5ec4-c872-4c02-ba16-c2ce037b7252"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"pEplot0", "=", 
   RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"C2rect", "[", "pE0", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"PlotStyle", "\[Rule]", "Blue"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tEplot0", "=", 
   RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"C2rect", "[", "tE0", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"PlotStyle", "\[Rule]", "Black"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.7416095081194344`*^9, 3.741609556454627*^9}, {
   3.7416096664105053`*^9, 3.741609705280252*^9}, {3.741609812196261*^9, 
   3.741609831113204*^9}, {3.74160990021003*^9, 3.741609916867435*^9}, {
   3.741615245536838*^9, 3.7416152760803967`*^9}, 3.741615335288699*^9, 
   3.741615525425057*^9, 3.741702417495529*^9, 3.741720026372666*^9, {
   3.741720152858841*^9, 3.74172021715513*^9}, {3.741720257972248*^9, 
   3.7417202589795303`*^9}, {3.745411030550774*^9, 3.745411073005081*^9}, {
   3.7454150954643097`*^9, 3.745415209312261*^9}, {3.7454152719625053`*^9, 
   3.745415275968911*^9}, {3.7454153492114162`*^9, 3.745415356786002*^9}, {
   3.745415464516623*^9, 3.7454155006671257`*^9}, {3.748873419916209*^9, 
   3.748873429002214*^9}, {3.7488735324848623`*^9, 3.7488735377936497`*^9}, {
   3.74887474400002*^9, 3.748874772127331*^9}, 3.751832793323379*^9, {
   3.751832830379484*^9, 3.751832833387768*^9}, 3.7902851412835484`*^9},
 CellLabel->
  "In[1432]:=",ExpressionUUID->"9326c057-0d7f-4961-b89b-c1c6e020b3c9"],

Cell[BoxData[{
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"pEpushV", "[", "i", "]"}], "=", 
    RowBox[{"s2C", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"rot3", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", "Pi"}], "]"}], ".", 
      RowBox[{"pentEdgeImgVert", "[", "i", "]"}]}], "\[IndentingNewLine]", 
     "]"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "0", ",", "pEpushLength0"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"tEpushV", "[", "i", "]"}], "=", 
    RowBox[{"s2C", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"rot3", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", "Pi"}], "]"}], ".", 
      RowBox[{"triEdgeImgVert", "[", "i", "]"}]}], "\[IndentingNewLine]", 
     "]"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "0", ",", "tEpushLength0"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.7414610107293453`*^9, 3.7414610474339037`*^9}, {
  3.7488851526433496`*^9, 3.748885157292184*^9}},
 CellLabel->
  "In[1434]:=",ExpressionUUID->"f1cac8ae-9643-434e-a945-07acc6d7a8cb"],

Cell[BoxData[
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"pEpushTrf", "[", "i", "]"}], "=", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"pEpushSeq", "[", 
         RowBox[{"[", "i", "]"}], "]"}], "===", "p"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Select", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"icosGAff", "[", "j", "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "60"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Or", "[", 
           RowBox[{
            RowBox[{"And", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"rat", "[", 
                RowBox[{"simp", "[", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"funcEval", "[", 
                   RowBox[{"#", ",", 
                    RowBox[{"{", "z", "}"}], ",", 
                    RowBox[{"{", "pV1", "}"}]}], "]"}], "-", 
                  RowBox[{"pEpushV", "[", 
                   RowBox[{"i", "-", "1"}], "]"}]}], "\[IndentingNewLine]", 
                 "]"}], "]"}], "\[Equal]", "0"}], ",", "\[IndentingNewLine]", 
              
              RowBox[{
               RowBox[{"rat", "[", 
                RowBox[{"simp", "[", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"funcEval", "[", 
                   RowBox[{"#", ",", 
                    RowBox[{"{", "z", "}"}], ",", 
                    RowBox[{"{", "pV2", "}"}]}], "]"}], "-", 
                  RowBox[{"pEpushV", "[", "i", "]"}]}], "\[IndentingNewLine]",
                  "]"}], "]"}], "\[Equal]", "0"}]}], "\[IndentingNewLine]", 
             "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"And", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"rat", "[", 
                RowBox[{"simp", "[", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"funcEval", "[", 
                   RowBox[{"#", ",", 
                    RowBox[{"{", "z", "}"}], ",", 
                    RowBox[{"{", "pV2", "}"}]}], "]"}], "-", 
                  RowBox[{"pEpushV", "[", 
                   RowBox[{"i", "-", "1"}], "]"}]}], "\[IndentingNewLine]", 
                 "]"}], "]"}], "\[Equal]", "0"}], ",", "\[IndentingNewLine]", 
              
              RowBox[{
               RowBox[{"rat", "[", 
                RowBox[{"simp", "[", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"funcEval", "[", 
                   RowBox[{"#", ",", 
                    RowBox[{"{", "z", "}"}], ",", 
                    RowBox[{"{", "pV1", "}"}]}], "]"}], "-", 
                  RowBox[{"pEpushV", "[", "i", "]"}]}], "\[IndentingNewLine]",
                  "]"}], "]"}], "\[Equal]", "0"}]}], "\[IndentingNewLine]", 
             "]"}]}], "]"}], "\[IndentingNewLine]", "&"}]}], 
        "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Select", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"icosGAff", "[", "j", "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "60"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Or", "[", 
           RowBox[{
            RowBox[{"And", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"rat", "[", 
                RowBox[{"simp", "[", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"funcEval", "[", 
                   RowBox[{"#", ",", 
                    RowBox[{"{", "z", "}"}], ",", 
                    RowBox[{"{", "tV1", "}"}]}], "]"}], "-", 
                  RowBox[{"pEpushV", "[", 
                   RowBox[{"i", "-", "1"}], "]"}]}], "\[IndentingNewLine]", 
                 "]"}], "]"}], "\[Equal]", "0"}], ",", "\[IndentingNewLine]", 
              
              RowBox[{
               RowBox[{"rat", "[", 
                RowBox[{"simp", "[", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"funcEval", "[", 
                   RowBox[{"#", ",", 
                    RowBox[{"{", "z", "}"}], ",", 
                    RowBox[{"{", "tV2", "}"}]}], "]"}], "-", 
                  RowBox[{"pEpushV", "[", "i", "]"}]}], "\[IndentingNewLine]",
                  "]"}], "]"}], "\[Equal]", "0"}]}], "\[IndentingNewLine]", 
             "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"And", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"rat", "[", 
                RowBox[{"simp", "[", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"funcEval", "[", 
                   RowBox[{"#", ",", 
                    RowBox[{"{", "z", "}"}], ",", 
                    RowBox[{"{", "tV2", "}"}]}], "]"}], "-", 
                  RowBox[{"pEpushV", "[", 
                   RowBox[{"i", "-", "1"}], "]"}]}], "\[IndentingNewLine]", 
                 "]"}], "]"}], "\[Equal]", "0"}], ",", "\[IndentingNewLine]", 
              
              RowBox[{
               RowBox[{"rat", "[", 
                RowBox[{"simp", "[", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"funcEval", "[", 
                   RowBox[{"#", ",", 
                    RowBox[{"{", "z", "}"}], ",", 
                    RowBox[{"{", "tV1", "}"}]}], "]"}], "-", 
                  RowBox[{"pEpushV", "[", "i", "]"}]}], "\[IndentingNewLine]",
                  "]"}], "]"}], "\[Equal]", "0"}]}], "\[IndentingNewLine]", 
             "]"}]}], "]"}], "\[IndentingNewLine]", "&"}]}], 
        "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "pEpushLength0"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.740583751085266*^9, 3.740583816076106*^9}, {
   3.740583863299457*^9, 3.740583971021647*^9}, {3.740584208543714*^9, 
   3.740584343713867*^9}, {3.7405844246765947`*^9, 3.740584450858189*^9}, {
   3.740584569547894*^9, 3.7405845768033533`*^9}, {3.740584770230708*^9, 
   3.7405848578779078`*^9}, {3.740584970376656*^9, 3.7405850207836*^9}, {
   3.740586200770977*^9, 3.74058625677251*^9}, {3.740586330189287*^9, 
   3.740586334165434*^9}, {3.740586608360428*^9, 3.740586640384701*^9}, {
   3.7405867026086884`*^9, 3.740586715513803*^9}, {3.740586836012435*^9, 
   3.74058692311672*^9}, {3.7405870054375277`*^9, 3.7405870372938147`*^9}, {
   3.740587335177853*^9, 3.740587336824687*^9}, {3.7406045272732363`*^9, 
   3.7406045279528027`*^9}, {3.7406046144240847`*^9, 
   3.7406046160546293`*^9}, {3.740605940240045*^9, 3.740605946942823*^9}, {
   3.740606466903034*^9, 3.740606473678851*^9}, {3.74060654392105*^9, 
   3.740606544662469*^9}, {3.740607407632484*^9, 3.740607410102808*^9}, 
   3.7406079131655197`*^9, {3.741461198185025*^9, 3.74146128349004*^9}, {
   3.741461335236043*^9, 3.741461351755105*^9}, {3.741461470429047*^9, 
   3.741461529715673*^9}, {3.7414615688622932`*^9, 3.7414616705515614`*^9}, {
   3.741461707951529*^9, 3.74146171464745*^9}, {3.741725636601203*^9, 
   3.741725637195899*^9}, 3.745411454295476*^9, {3.748552999573992*^9, 
   3.748553003383069*^9}, 3.748885176844453*^9},
 CellLabel->
  "In[1436]:=",ExpressionUUID->"29f304c5-5965-4afd-a499-a54cd2c62c71"],

Cell[BoxData[
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"tEpushTrf", "[", "i", "]"}], "=", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"tEpushSeq", "[", 
         RowBox[{"[", "i", "]"}], "]"}], "===", "p"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Select", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"icosGAff", "[", "j", "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "60"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Or", "[", 
           RowBox[{
            RowBox[{"And", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"rat", "[", 
                RowBox[{"simp", "[", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"funcEval", "[", 
                   RowBox[{"#", ",", 
                    RowBox[{"{", "z", "}"}], ",", 
                    RowBox[{"{", "pV1", "}"}]}], "]"}], "-", 
                  RowBox[{"tEpushV", "[", 
                   RowBox[{"i", "-", "1"}], "]"}]}], "\[IndentingNewLine]", 
                 "]"}], "]"}], "\[Equal]", "0"}], ",", "\[IndentingNewLine]", 
              
              RowBox[{
               RowBox[{"rat", "[", 
                RowBox[{"simp", "[", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"funcEval", "[", 
                   RowBox[{"#", ",", 
                    RowBox[{"{", "z", "}"}], ",", 
                    RowBox[{"{", "pV2", "}"}]}], "]"}], "-", 
                  RowBox[{"tEpushV", "[", "i", "]"}]}], "\[IndentingNewLine]",
                  "]"}], "]"}], "\[Equal]", "0"}]}], "\[IndentingNewLine]", 
             "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"And", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"rat", "[", 
                RowBox[{"simp", "[", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"funcEval", "[", 
                   RowBox[{"#", ",", 
                    RowBox[{"{", "z", "}"}], ",", 
                    RowBox[{"{", "pV2", "}"}]}], "]"}], "-", 
                  RowBox[{"tEpushV", "[", 
                   RowBox[{"i", "-", "1"}], "]"}]}], "\[IndentingNewLine]", 
                 "]"}], "]"}], "\[Equal]", "0"}], ",", "\[IndentingNewLine]", 
              
              RowBox[{
               RowBox[{"rat", "[", 
                RowBox[{"simp", "[", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"funcEval", "[", 
                   RowBox[{"#", ",", 
                    RowBox[{"{", "z", "}"}], ",", 
                    RowBox[{"{", "pV1", "}"}]}], "]"}], "-", 
                  RowBox[{"tEpushV", "[", "i", "]"}]}], "\[IndentingNewLine]",
                  "]"}], "]"}], "\[Equal]", "0"}]}], "\[IndentingNewLine]", 
             "]"}]}], "]"}], "\[IndentingNewLine]", "&"}]}], 
        "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Select", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"icosGAff", "[", "j", "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "60"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Or", "[", 
           RowBox[{
            RowBox[{"And", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"rat", "[", 
                RowBox[{"simp", "[", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"funcEval", "[", 
                   RowBox[{"#", ",", 
                    RowBox[{"{", "z", "}"}], ",", 
                    RowBox[{"{", "tV1", "}"}]}], "]"}], "-", 
                  RowBox[{"tEpushV", "[", 
                   RowBox[{"i", "-", "1"}], "]"}]}], "\[IndentingNewLine]", 
                 "]"}], "]"}], "\[Equal]", "0"}], ",", "\[IndentingNewLine]", 
              
              RowBox[{
               RowBox[{"rat", "[", 
                RowBox[{"simp", "[", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"funcEval", "[", 
                   RowBox[{"#", ",", 
                    RowBox[{"{", "z", "}"}], ",", 
                    RowBox[{"{", "tV2", "}"}]}], "]"}], "-", 
                  RowBox[{"tEpushV", "[", "i", "]"}]}], "\[IndentingNewLine]",
                  "]"}], "]"}], "\[Equal]", "0"}]}], "\[IndentingNewLine]", 
             "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"And", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"rat", "[", 
                RowBox[{"simp", "[", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"funcEval", "[", 
                   RowBox[{"#", ",", 
                    RowBox[{"{", "z", "}"}], ",", 
                    RowBox[{"{", "tV2", "}"}]}], "]"}], "-", 
                  RowBox[{"tEpushV", "[", 
                   RowBox[{"i", "-", "1"}], "]"}]}], "\[IndentingNewLine]", 
                 "]"}], "]"}], "\[Equal]", "0"}], ",", "\[IndentingNewLine]", 
              
              RowBox[{
               RowBox[{"rat", "[", 
                RowBox[{"simp", "[", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"funcEval", "[", 
                   RowBox[{"#", ",", 
                    RowBox[{"{", "z", "}"}], ",", 
                    RowBox[{"{", "tV1", "}"}]}], "]"}], "-", 
                  RowBox[{"tEpushV", "[", "i", "]"}]}], "\[IndentingNewLine]",
                  "]"}], "]"}], "\[Equal]", "0"}]}], "\[IndentingNewLine]", 
             "]"}]}], "]"}], "\[IndentingNewLine]", "&"}]}], 
        "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "tEpushLength0"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.740583751085266*^9, 3.740583816076106*^9}, {
   3.740583863299457*^9, 3.740583971021647*^9}, {3.740584208543714*^9, 
   3.740584343713867*^9}, {3.7405844246765947`*^9, 3.740584450858189*^9}, {
   3.740584569547894*^9, 3.7405845768033533`*^9}, {3.740584770230708*^9, 
   3.7405848578779078`*^9}, {3.740584970376656*^9, 3.7405850207836*^9}, {
   3.740586200770977*^9, 3.74058625677251*^9}, {3.740586330189287*^9, 
   3.740586334165434*^9}, {3.740586608360428*^9, 3.740586640384701*^9}, {
   3.7405867026086884`*^9, 3.740586715513803*^9}, {3.740586836012435*^9, 
   3.74058692311672*^9}, {3.7405870054375277`*^9, 3.7405870372938147`*^9}, {
   3.740587335177853*^9, 3.740587336824687*^9}, {3.7406045272732363`*^9, 
   3.7406045279528027`*^9}, {3.7406046144240847`*^9, 
   3.7406046160546293`*^9}, {3.740605940240045*^9, 3.740605946942823*^9}, {
   3.740606466903034*^9, 3.740606473678851*^9}, {3.74060654392105*^9, 
   3.740606544662469*^9}, {3.740607407632484*^9, 3.740607410102808*^9}, 
   3.7406079131655197`*^9, {3.741461198185025*^9, 3.74146128349004*^9}, {
   3.741461335236043*^9, 3.741461351755105*^9}, {3.741461470429047*^9, 
   3.741461529715673*^9}, {3.7414615688622932`*^9, 3.7414616705515614`*^9}, {
   3.741461707951529*^9, 3.74146171464745*^9}, {3.741725636601203*^9, 
   3.741725637195899*^9}, 3.745411454295476*^9, 3.748552999573992*^9, 
   3.748557440725133*^9, 3.748885185276906*^9},
 CellLabel->
  "In[1437]:=",ExpressionUUID->"7035f417-9509-4091-871d-a4b3c80a67c1"],

Cell[BoxData[
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"pEpush", "[", "0", "]"}], "[", "i", "]"}], "=", 
    "\[IndentingNewLine]", 
    RowBox[{"If", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"pEpushSeq", "[", 
        RowBox[{"[", "i", "]"}], "]"}], "===", "p"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"funcEval", "[", 
       RowBox[{
        RowBox[{"pEpushTrf", "[", "i", "]"}], ",", 
        RowBox[{"{", "z", "}"}], ",", 
        RowBox[{"{", "pE0", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"funcEval", "[", 
       RowBox[{
        RowBox[{"pEpushTrf", "[", "i", "]"}], ",", 
        RowBox[{"{", "z", "}"}], ",", 
        RowBox[{"{", "tE0", "}"}]}], "]"}]}], "\[IndentingNewLine]", "]"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "pEpushLength0"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7417035190291*^9, 3.741703587657192*^9}, {
   3.741703653402763*^9, 3.741703654058386*^9}, {3.741703723499885*^9, 
   3.7417037668431683`*^9}, {3.741706108787332*^9, 3.741706247611661*^9}, {
   3.741706295855851*^9, 3.7417063215393963`*^9}, {3.7417063920925903`*^9, 
   3.741706392492886*^9}, {3.7417200668192673`*^9, 3.74172008175389*^9}, {
   3.74187353184513*^9, 3.7418735968435583`*^9}, {3.7418756901615973`*^9, 
   3.741875821808651*^9}, {3.745415588798327*^9, 3.7454156823584538`*^9}, {
   3.74541572362179*^9, 3.745415839230444*^9}, {3.7454158759021378`*^9, 
   3.74541589075082*^9}, {3.7454159274243383`*^9, 3.745415956816025*^9}, {
   3.7454160913154182`*^9, 3.74541610775283*^9}, {3.745520309229878*^9, 
   3.745520312155738*^9}, {3.7455209624600983`*^9, 3.745520966153532*^9}, {
   3.745521014337718*^9, 3.745521015283671*^9}, {3.745521303151084*^9, 
   3.745521304581357*^9}, {3.7455213748712893`*^9, 3.745521411758758*^9}, {
   3.747342844698483*^9, 3.747342846160853*^9}, 3.7473428887929497`*^9, {
   3.74734305255459*^9, 3.7473430532121162`*^9}, {3.747343107324327*^9, 
   3.7473431136015472`*^9}, {3.747356721549363*^9, 3.7473567223479223`*^9}, {
   3.7482697109313307`*^9, 3.748269711946072*^9}, {3.748873613789331*^9, 
   3.748873614443912*^9}, {3.748874791561898*^9, 3.748874791942975*^9}, 
   3.748885192174488*^9, 3.75183289177395*^9, 3.751833002993878*^9},
 CellLabel->
  "In[1438]:=",ExpressionUUID->"1539bedb-b994-452e-81f5-da0aca85310e"],

Cell[BoxData[
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"tEpush", "[", "0", "]"}], "[", "i", "]"}], "=", 
    "\[IndentingNewLine]", 
    RowBox[{"If", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"tEpushSeq", "[", 
        RowBox[{"[", "i", "]"}], "]"}], "===", "p"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"funcEval", "[", 
       RowBox[{
        RowBox[{"tEpushTrf", "[", "i", "]"}], ",", 
        RowBox[{"{", "z", "}"}], ",", 
        RowBox[{"{", "pE0", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"funcEval", "[", 
       RowBox[{
        RowBox[{"tEpushTrf", "[", "i", "]"}], ",", 
        RowBox[{"{", "z", "}"}], ",", 
        RowBox[{"{", "tE0", "}"}]}], "]"}]}], "\[IndentingNewLine]", "]"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "tEpushLength0"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.747356671651366*^9, 3.7473566820272617`*^9}, {
   3.747356725387854*^9, 3.747356731379848*^9}, {3.74826971825126*^9, 
   3.74826971881845*^9}, {3.7488736288001757`*^9, 3.748873629448792*^9}, {
   3.748874795922124*^9, 3.748874796366868*^9}, 3.748885196779529*^9, 
   3.751832894089486*^9, 3.7518330036487093`*^9},
 CellLabel->
  "In[1439]:=",ExpressionUUID->"4ee2446b-16d3-4489-8519-21400e9d8db1"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"pEpushPlot", "[", "0", "]"}], "=", 
   RowBox[{"Table", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"ParametricPlot", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"pEpush", "[", "0", "]"}], "[", "i", "]"}], "//", "C2rect"}],
        ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "1"}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", "Blue"}]}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "pEpushLength0"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tEpushPlot", "[", "0", "]"}], "=", 
   RowBox[{"Table", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"ParametricPlot", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"tEpush", "[", "0", "]"}], "[", "i", "]"}], "//", "C2rect"}],
        ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "1"}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", "Black"}]}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "tEpushLength0"}], "}"}]}], "]"}]}], ";"}]}], "Input",\

 CellChangeTimes->{{3.7417063000041103`*^9, 3.7417063001557217`*^9}, {
   3.7417063333801517`*^9, 3.741706333836143*^9}, {3.7417064056611032`*^9, 
   3.741706482314262*^9}, 3.741706525615478*^9, {3.7417200910754023`*^9, 
   3.741720101729994*^9}, {3.7417202799894648`*^9, 3.741720280844349*^9}, {
   3.7482697935647306`*^9, 3.748269799090961*^9}, {3.7488852020814962`*^9, 
   3.7488852076496277`*^9}},
 CellLabel->
  "In[1440]:=",ExpressionUUID->"22c735a3-566c-4e19-a288-fb2fc49c6eec"],

Cell["\<\
dots on proto and pushed edges indicate orientation (by size) due to action \
of the push transformations\
\>", "Text",
 CellChangeTimes->{{3.790285722934781*^9, 3.790285733348094*^9}, {
  3.7902873645359297`*^9, 3.79028737518073*^9}, {3.7906092485917664`*^9, 
  3.790609294050202*^9}, {3.790609415613975*^9, 3.790609415933531*^9}, {
  3.7906094925063*^9, 3.790609514871237*^9}, {3.7906095818216143`*^9, 
  3.790609586980872*^9}},
 Background->GrayLevel[
  1],ExpressionUUID->"82f0523d-e34f-4eb5-96f8-12e4aa3830c4"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rr", "=", ".6"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"csCPlot", ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Orange", ",", 
          RowBox[{"PointSize", "[", ".01", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"C2rect", "[", 
            RowBox[{"pE0", "/.", 
             RowBox[{"t", "\[Rule]", 
              RowBox[{"1", "/", "3"}]}]}], "]"}], "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Orange", ",", 
          RowBox[{"PointSize", "[", ".015", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"C2rect", "[", 
            RowBox[{"pE0", "/.", 
             RowBox[{"t", "\[Rule]", 
              RowBox[{"2", "/", "3"}]}]}], "]"}], "]"}]}], "}"}]}], 
       "\[IndentingNewLine]", "}"}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Blue", ",", 
          RowBox[{"PointSize", "[", ".01", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"C2rect", "[", 
            RowBox[{"tE0", "/.", 
             RowBox[{"t", "\[Rule]", 
              RowBox[{"1", "/", "3"}]}]}], "]"}], "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Blue", ",", 
          RowBox[{"PointSize", "[", ".015", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"C2rect", "[", 
            RowBox[{"tE0", "/.", 
             RowBox[{"t", "\[Rule]", 
              RowBox[{"2", "/", "3"}]}]}], "]"}], "]"}]}], "}"}]}], 
       "\[IndentingNewLine]", "}"}], "]"}], ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Cyan", ",", 
          RowBox[{"PointSize", "[", ".01", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"C2rect", "[", "pV1", "]"}], "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Magenta", ",", 
          RowBox[{"PointSize", "[", ".01", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"C2rect", "[", "pV2", "]"}], "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Magenta", ",", 
          RowBox[{"PointSize", "[", ".01", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"C2rect", "[", "tV2", "]"}], "]"}]}], "}"}]}], 
       "\[IndentingNewLine]", "}"}], "]"}], ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "pEplot0", ",", "tEplot0"}], 
    "\[IndentingNewLine]", "}"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Boxed", "->", "False"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Axes", "\[Rule]", "False"}], "\[IndentingNewLine]", ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "rr"}], ",", "rr"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "rr"}], ",", "rr"}], "}"}]}], "}"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"ImageSize", "\[Rule]", "500"}]}], "\[IndentingNewLine]", 
  "]"}], "\n", 
 RowBox[{
  RowBox[{"rr", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"csCPlot", ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Graphics", "[", 
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"Black", ",", 
           RowBox[{"PointSize", "[", ".01", "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Point", "[", 
            RowBox[{"C2rect", "[", 
             RowBox[{"pEpushV", "[", "i", "]"}], "]"}], "]"}]}], "}"}], 
         "\[IndentingNewLine]", "}"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", "pEpushLength0"}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Graphics", "[", 
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"White", ",", 
           RowBox[{"PointSize", "[", ".01", "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Point", "[", 
            RowBox[{"C2rect", "[", 
             RowBox[{"tEpushV", "[", "i", "]"}], "]"}], "]"}]}], "}"}], 
         "\[IndentingNewLine]", "}"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", "tEpushLength0"}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Orange", ",", 
          RowBox[{"PointSize", "[", ".01", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"C2rect", "[", 
            RowBox[{"pE0", "/.", 
             RowBox[{"t", "\[Rule]", 
              RowBox[{"1", "/", "3"}]}]}], "]"}], "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Orange", ",", 
          RowBox[{"PointSize", "[", ".015", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"C2rect", "[", 
            RowBox[{"pE0", "/.", 
             RowBox[{"t", "\[Rule]", 
              RowBox[{"2", "/", "3"}]}]}], "]"}], "]"}]}], "}"}]}], 
       "\[IndentingNewLine]", "}"}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Blue", ",", 
          RowBox[{"PointSize", "[", ".01", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"C2rect", "[", 
            RowBox[{"tE0", "/.", 
             RowBox[{"t", "\[Rule]", 
              RowBox[{"1", "/", "3"}]}]}], "]"}], "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Blue", ",", 
          RowBox[{"PointSize", "[", ".015", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"C2rect", "[", 
            RowBox[{"tE0", "/.", 
             RowBox[{"t", "\[Rule]", 
              RowBox[{"2", "/", "3"}]}]}], "]"}], "]"}]}], "}"}]}], 
       "\[IndentingNewLine]", "}"}], "]"}], ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{"Orange", ",", 
          RowBox[{"PointSize", "[", 
           RowBox[{
            RowBox[{".004", "*", "i"}], "+", 
            RowBox[{"j", "/", "300"}]}], "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Point", "[", 
           RowBox[{"C2rect", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"pEpush", "[", "0", "]"}], "[", "i", "]"}], "/.", 
             RowBox[{"t", "\[Rule]", 
              RowBox[{"j", "/", "3"}]}]}], "\[IndentingNewLine]", "]"}], 
           "]"}]}], "\[IndentingNewLine]", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "pEpushLength0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"j", ",", "2"}], "}"}]}], "]"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{"Blue", ",", 
          RowBox[{"PointSize", "[", 
           RowBox[{
            RowBox[{".003", "*", "i"}], "+", 
            RowBox[{"j", "/", "400"}]}], "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Point", "[", 
           RowBox[{"C2rect", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"tEpush", "[", "0", "]"}], "[", "i", "]"}], "/.", 
             RowBox[{"t", "\[Rule]", 
              RowBox[{"j", "/", "3"}]}]}], "\[IndentingNewLine]", "]"}], 
           "]"}]}], "\[IndentingNewLine]", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "tEpushLength0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"j", ",", "2"}], "}"}]}], "]"}], "]"}], ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Cyan", ",", 
          RowBox[{"PointSize", "[", ".01", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"C2rect", "[", "pV1", "]"}], "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Magenta", ",", 
          RowBox[{"PointSize", "[", ".01", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"C2rect", "[", "pV2", "]"}], "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Magenta", ",", 
          RowBox[{"PointSize", "[", ".01", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"C2rect", "[", "tV2", "]"}], "]"}]}], "}"}]}], 
       "\[IndentingNewLine]", "}"}], "]"}], ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "pEplot0", ",", 
     RowBox[{"pEpushPlot", "[", "0", "]"}], ",", "\[IndentingNewLine]", 
     "tEplot0", ",", 
     RowBox[{"tEpushPlot", "[", "0", "]"}]}], "\[IndentingNewLine]", "}"}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"Boxed", "->", "False"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Axes", "\[Rule]", "False"}], "\[IndentingNewLine]", ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "rr"}], ",", "rr"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "rr"}], ",", "rr"}], "}"}]}], "}"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"ImageSize", "\[Rule]", "400"}]}], "\[IndentingNewLine]", 
  "]"}]}], "Input",
 CellChangeTimes->{{3.741874328698966*^9, 3.741874389668174*^9}, {
   3.742394701176355*^9, 3.742394703531727*^9}, {3.7454310618586683`*^9, 
   3.745431082036256*^9}, {3.745520389390477*^9, 3.745520389836504*^9}, {
   3.745520428613142*^9, 3.74552056566453*^9}, {3.745520598000866*^9, 
   3.745520639783102*^9}, {3.74552068451507*^9, 3.7455207392890997`*^9}, {
   3.7455207721094723`*^9, 3.745520925611024*^9}, {3.745522176951133*^9, 
   3.745522193307509*^9}, {3.74552235860952*^9, 3.7455224238489428`*^9}, {
   3.745522502086924*^9, 3.745522517899234*^9}, {3.745522609987832*^9, 
   3.7455226270423098`*^9}, {3.7459412807593403`*^9, 3.745941373013973*^9}, {
   3.745941420922345*^9, 3.745941435471057*^9}, 3.745941476493455*^9, {
   3.74594153288804*^9, 3.745941621672275*^9}, {3.745941664072575*^9, 
   3.745941707178789*^9}, {3.745941742554281*^9, 3.745941751452899*^9}, {
   3.7470609462284803`*^9, 3.7470609499831047`*^9}, {3.7482697326868067`*^9, 
   3.7482697378060703`*^9}, {3.7485538599067163`*^9, 
   3.7485538607205153`*^9}, {3.748556351337985*^9, 3.748556371487123*^9}, 
   3.748556467686081*^9, {3.748871933610495*^9, 3.7488719670938787`*^9}, {
   3.748873676787353*^9, 3.74887371352507*^9}, {3.748874894706645*^9, 
   3.748874911171536*^9}, {3.748874961453817*^9, 3.7488749649602327`*^9}, {
   3.748875379114415*^9, 3.748875382226128*^9}, {3.748885214342493*^9, 
   3.74888521805494*^9}, {3.748885261923555*^9, 3.748885285684286*^9}, {
   3.7489798167130632`*^9, 3.748979825896286*^9}, {3.748979880752763*^9, 
   3.748979884117517*^9}, {3.7514857025850573`*^9, 3.751485702984252*^9}, {
   3.7517457599836283`*^9, 3.751745802005725*^9}, {3.751745841513026*^9, 
   3.75174591150771*^9}, {3.751832897776618*^9, 3.751832900759145*^9}, {
   3.7518330111955023`*^9, 3.751833013669038*^9}},
 CellLabel->
  "In[1442]:=",ExpressionUUID->"701bad5c-9589-4e3c-b1cd-be62e9b267f5"],

Cell["\<\
dots indicate points whose inverse images give centers of Taylor expansions\
\>", "Text",
 CellChangeTimes->{{3.790285722934781*^9, 3.790285733348094*^9}, {
  3.7902873645359297`*^9, 3.79028737518073*^9}, {3.790609537716161*^9, 
  3.790609538483265*^9}, {3.790609629190691*^9, 3.790609693318074*^9}, {
  3.791239278389348*^9, 3.791239280732911*^9}},
 Background->GrayLevel[
  1],ExpressionUUID->"12303041-0065-4e97-bce5-332ba19df1fb"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"pEMidFac", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pEpushLength", "=", 
   RowBox[{"pEMidFac", "*", "pEpushLength0"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tEMidFac", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tEpushLength", "=", 
   RowBox[{"tEMidFac", "*", "tEpushLength0"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.7488848405148067`*^9, 3.74888488540623*^9}, {
  3.748884919919113*^9, 3.748884939976432*^9}, {3.748885687102922*^9, 
  3.748885688669492*^9}, {3.751745935589301*^9, 3.7517459357151747`*^9}},
 CellLabel->
  "In[1446]:=",ExpressionUUID->"03fe1fc7-7d03-4b28-911a-1c2fcc3b794d"],

Cell[BoxData[{
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"pEpushPathLength", "[", "i", "]"}], "=", 
    RowBox[{
     RowBox[{"NIntegrate", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"pEpush", "[", "0", "]"}], "[", "i", "]"}], ",", "t"}], 
         "]"}], "]"}], "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "1"}], "}"}], ",", 
       RowBox[{"WorkingPrecision", "\[Rule]", "150"}]}], "]"}], "//", 
     "Quiet"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "pEpushLength"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"tEpushPathLength", "[", "i", "]"}], "=", 
    RowBox[{
     RowBox[{"NIntegrate", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"tEpush", "[", "0", "]"}], "[", "i", "]"}], ",", "t"}], 
         "]"}], "]"}], "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "1"}], "}"}], ",", 
       RowBox[{"WorkingPrecision", "\[Rule]", "150"}]}], "]"}], "//", 
     "Quiet"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "tEpushLength"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.741706670415702*^9, 3.7417067117879143`*^9}, {
  3.741706832409213*^9, 3.741706840737245*^9}, {3.74170717908412*^9, 
  3.7417072007317142`*^9}, {3.741709344682496*^9, 3.741709346121667*^9}, {
  3.741720310277788*^9, 3.741720322939863*^9}, {3.741720710609421*^9, 
  3.7417207166317987`*^9}, {3.748269853276846*^9, 3.748269863507862*^9}},
 CellLabel->
  "In[1450]:=",ExpressionUUID->"474cc022-e8db-448a-ae1a-7707c6e0daa9"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"pEpushPartPathLength", "[", 
   RowBox[{"i_", ",", "T_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"NIntegrate", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Abs", "[", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"pEpush", "[", "0", "]"}], "[", "i", "]"}], ",", "t"}], 
       "]"}], "]"}], "\[IndentingNewLine]", ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "T"}], "}"}], ",", 
     RowBox[{"WorkingPrecision", "\[Rule]", "150"}]}], "]"}], "//", 
   "Quiet"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tEpushPartPathLength", "[", 
   RowBox[{"i_", ",", "T_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"NIntegrate", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Abs", "[", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"tEpush", "[", "0", "]"}], "[", "i", "]"}], ",", "t"}], 
       "]"}], "]"}], "\[IndentingNewLine]", ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "T"}], "}"}], ",", 
     RowBox[{"WorkingPrecision", "\[Rule]", "150"}]}], "]"}], "//", 
   "Quiet"}]}]}], "Input",
 CellChangeTimes->{{3.741709415963303*^9, 3.7417094641066513`*^9}, {
  3.741709533299951*^9, 3.7417095560983057`*^9}, {3.741709770434884*^9, 
  3.7417098291735477`*^9}, {3.741720388837727*^9, 3.741720398931779*^9}, {
  3.741721524481249*^9, 3.741721528703656*^9}, {3.741721561847332*^9, 
  3.741721567168215*^9}, {3.748269872500956*^9, 3.74826987743601*^9}},
 CellLabel->
  "In[1452]:=",ExpressionUUID->"d652c538-a3df-4632-ae1b-2824775d4911"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"step", "=", 
    RowBox[{"1", "/", "50"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Do", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"pEpushSeq", "[", 
        RowBox[{"[", "j", "]"}], "]"}], "===", "p"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"pEpushMidLength0", "[", "j", "]"}], "=", "pEpushLength0"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"pEpushMidLength", "[", "j", "]"}], "=", "pEpushLength"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"Do", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"i", "=", "1"}], ";", "\[IndentingNewLine]", 
          RowBox[{"While", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"pEpushPartPathLength", "[", 
              RowBox[{"j", ",", 
               RowBox[{"i", "*", "step"}]}], "]"}], "<", 
             RowBox[{"k", "*", 
              RowBox[{
               RowBox[{"pEpushPathLength", "[", "j", "]"}], "/", 
               RowBox[{"(", 
                RowBox[{"pEpushLength", "+", "1"}], ")"}]}]}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"i", "++"}]}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"pEpushMid", "[", "0", "]"}], "[", 
            RowBox[{"j", ",", "k"}], "]"}], "=", "\[IndentingNewLine]", 
           RowBox[{"funcEval", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"pEpush", "[", "0", "]"}], "[", "j", "]"}], ",", 
             RowBox[{"{", "t", "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"i", "*", "step"}], "}"}]}], "]"}]}]}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", 
           RowBox[{"pEpushMidLength", "[", "j", "]"}]}], "}"}]}], "]"}]}], 
      "\[IndentingNewLine]", ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"pEpushMidLength0", "[", "j", "]"}], "=", "tEpushLength0"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"pEpushMidLength", "[", "j", "]"}], "=", "tEpushLength"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"Do", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"i", "=", "1"}], ";", "\[IndentingNewLine]", 
          RowBox[{"While", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"pEpushPartPathLength", "[", 
              RowBox[{"j", ",", 
               RowBox[{"i", "*", "step"}]}], "]"}], "<", 
             RowBox[{"k", "*", 
              RowBox[{
               RowBox[{"pEpushPathLength", "[", "j", "]"}], "/", 
               RowBox[{"(", 
                RowBox[{"tEpushLength", "+", "1"}], ")"}]}]}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"i", "++"}]}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"pEpushMid", "[", "0", "]"}], "[", 
            RowBox[{"j", ",", "k"}], "]"}], "=", "\[IndentingNewLine]", 
           RowBox[{"funcEval", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"pEpush", "[", "0", "]"}], "[", "j", "]"}], ",", 
             RowBox[{"{", "t", "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"i", "*", "step"}], "}"}]}], "]"}]}]}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", 
           RowBox[{"pEpushMidLength", "[", "j", "]"}]}], "}"}]}], "]"}]}]}], 
     "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "pEpushLength0"}], "}"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.741710499756689*^9, 3.741710526788293*^9}, {
   3.7417105583952627`*^9, 3.741710567620625*^9}, {3.741710599372588*^9, 
   3.741710643617058*^9}, {3.741710676029512*^9, 3.741710679781901*^9}, {
   3.741710744119766*^9, 3.741710763102165*^9}, {3.741710797928197*^9, 
   3.7417107991266212`*^9}, 3.7417108655245*^9, {3.741710895799286*^9, 
   3.7417109354329844`*^9}, {3.741710977283185*^9, 3.7417109897689753`*^9}, {
   3.741711042748693*^9, 3.741711064745302*^9}, {3.7417111338743343`*^9, 
   3.7417111345687313`*^9}, {3.741711165156855*^9, 3.7417111657861147`*^9}, {
   3.7417113244356422`*^9, 3.741711324996307*^9}, 3.741711357566553*^9, {
   3.741712995026868*^9, 3.7417129952115517`*^9}, {3.741713072683251*^9, 
   3.74171312602944*^9}, 3.741713285544339*^9, 3.7417133893438168`*^9, {
   3.741714111878793*^9, 3.741714130392971*^9}, {3.741714215777457*^9, 
   3.741714227568018*^9}, {3.7417143428836946`*^9, 3.741714344091951*^9}, {
   3.741714422833971*^9, 3.741714452428012*^9}, {3.7417145118756857`*^9, 
   3.7417145451493387`*^9}, {3.741714621012268*^9, 3.741714643357235*^9}, {
   3.741714676664489*^9, 3.7417146923580933`*^9}, {3.741718217170286*^9, 
   3.741718262213601*^9}, {3.74171845538721*^9, 3.7417184777555847`*^9}, {
   3.741719297827074*^9, 3.7417193521718273`*^9}, 3.7417193916726837`*^9, {
   3.741719475740717*^9, 3.741719547958761*^9}, 3.741719591954258*^9, 
   3.7417196395120487`*^9, 3.7417198896653757`*^9, 3.741720932749982*^9, {
   3.741722039223687*^9, 3.741722043870605*^9}, {3.741722089895599*^9, 
   3.741722100447583*^9}, {3.74179339939052*^9, 3.7417934578550463`*^9}, {
   3.741794250833529*^9, 3.741794266654904*^9}, {3.741804662789467*^9, 
   3.7418046818533*^9}, {3.741804730082698*^9, 3.741804730164192*^9}, {
   3.741804776855352*^9, 3.741804776965295*^9}, {3.741804846959544*^9, 
   3.741804853607142*^9}, {3.741804921656816*^9, 3.741804927023164*^9}, {
   3.741810008413753*^9, 3.741810017744134*^9}, {3.7479521352177057`*^9, 
   3.747952147697258*^9}, {3.747952211450893*^9, 3.747952220057728*^9}, {
   3.747952549598661*^9, 3.747952598949379*^9}, {3.747952694732095*^9, 
   3.747952700121936*^9}, {3.747952750716037*^9, 3.7479527568782988`*^9}, {
   3.747952829817115*^9, 3.747952846458474*^9}, 3.747960454607945*^9, {
   3.7479605137604094`*^9, 3.747960532752644*^9}, {3.7482698837416687`*^9, 
   3.748269890869275*^9}, 3.748885321507337*^9, {3.750884135299857*^9, 
   3.75088416386677*^9}, {3.751481369215515*^9, 3.751481382007061*^9}},
 CellLabel->
  "In[1454]:=",ExpressionUUID->"d7e789c4-07b4-4b60-8dd8-c8d21557aa8a"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"step", "=", 
    RowBox[{"1", "/", "50"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Do", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"tEpushSeq", "[", 
        RowBox[{"[", "j", "]"}], "]"}], "===", "p"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"tEpushMidLength0", "[", "j", "]"}], "=", "pEpushLength0"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"tEpushMidLength", "[", "j", "]"}], "=", "pEpushLength"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"Do", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"i", "=", "1"}], ";", "\[IndentingNewLine]", 
          RowBox[{"While", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"tEpushPartPathLength", "[", 
              RowBox[{"j", ",", 
               RowBox[{"i", "*", "step"}]}], "]"}], "<", 
             RowBox[{"k", "*", 
              RowBox[{
               RowBox[{"tEpushPathLength", "[", "j", "]"}], "/", 
               RowBox[{"(", 
                RowBox[{"pEpushLength", "+", "1"}], ")"}]}]}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"i", "++"}]}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"tEpushMid", "[", "0", "]"}], "[", 
            RowBox[{"j", ",", "k"}], "]"}], "=", "\[IndentingNewLine]", 
           RowBox[{"funcEval", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"tEpush", "[", "0", "]"}], "[", "j", "]"}], ",", 
             RowBox[{"{", "t", "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"i", "*", "step"}], "}"}]}], "]"}]}]}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", 
           RowBox[{"tEpushMidLength", "[", "j", "]"}]}], "}"}]}], "]"}]}], 
      "\[IndentingNewLine]", ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"tEpushMidLength0", "[", "j", "]"}], "=", "tEpushLength0"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"tEpushMidLength", "[", "j", "]"}], "=", "tEpushLength"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"Do", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"i", "=", "1"}], ";", "\[IndentingNewLine]", 
          RowBox[{"While", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"tEpushPartPathLength", "[", 
              RowBox[{"j", ",", 
               RowBox[{"i", "*", "step"}]}], "]"}], "<", 
             RowBox[{"k", "*", 
              RowBox[{
               RowBox[{"tEpushPathLength", "[", "j", "]"}], "/", 
               RowBox[{"(", 
                RowBox[{"tEpushLength", "+", "1"}], ")"}]}]}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"i", "++"}]}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"tEpushMid", "[", "0", "]"}], "[", 
            RowBox[{"j", ",", "k"}], "]"}], "=", "\[IndentingNewLine]", 
           RowBox[{"funcEval", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"tEpush", "[", "0", "]"}], "[", "j", "]"}], ",", 
             RowBox[{"{", "t", "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"i", "*", "step"}], "}"}]}], "]"}]}]}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", 
           RowBox[{"tEpushMidLength", "[", "j", "]"}]}], "}"}]}], "]"}]}]}], 
     "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "tEpushLength0"}], "}"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.741710499756689*^9, 3.741710526788293*^9}, {
   3.7417105583952627`*^9, 3.741710567620625*^9}, {3.741710599372588*^9, 
   3.741710643617058*^9}, {3.741710676029512*^9, 3.741710679781901*^9}, {
   3.741710744119766*^9, 3.741710763102165*^9}, {3.741710797928197*^9, 
   3.7417107991266212`*^9}, 3.7417108655245*^9, {3.741710895799286*^9, 
   3.7417109354329844`*^9}, {3.741710977283185*^9, 3.7417109897689753`*^9}, {
   3.741711042748693*^9, 3.741711064745302*^9}, {3.7417111338743343`*^9, 
   3.7417111345687313`*^9}, {3.741711165156855*^9, 3.7417111657861147`*^9}, {
   3.7417113244356422`*^9, 3.741711324996307*^9}, 3.741711357566553*^9, {
   3.741712995026868*^9, 3.7417129952115517`*^9}, {3.741713072683251*^9, 
   3.74171312602944*^9}, 3.741713285544339*^9, 3.7417133893438168`*^9, {
   3.741714111878793*^9, 3.741714130392971*^9}, {3.741714215777457*^9, 
   3.741714227568018*^9}, {3.7417143428836946`*^9, 3.741714344091951*^9}, {
   3.741714422833971*^9, 3.741714452428012*^9}, {3.7417145118756857`*^9, 
   3.7417145451493387`*^9}, {3.741714621012268*^9, 3.741714643357235*^9}, {
   3.741714676664489*^9, 3.7417146923580933`*^9}, {3.741718217170286*^9, 
   3.741718262213601*^9}, {3.74171845538721*^9, 3.7417184777555847`*^9}, {
   3.741719297827074*^9, 3.7417193521718273`*^9}, 3.7417193916726837`*^9, {
   3.741719475740717*^9, 3.741719547958761*^9}, 3.741719591954258*^9, 
   3.7417196395120487`*^9, 3.7417198896653757`*^9, 3.741720932749982*^9, {
   3.741722039223687*^9, 3.741722043870605*^9}, {3.741722089895599*^9, 
   3.741722100447583*^9}, {3.74179339939052*^9, 3.7417934578550463`*^9}, {
   3.741794250833529*^9, 3.741794266654904*^9}, {3.741804662789467*^9, 
   3.7418046818533*^9}, {3.741804730082698*^9, 3.741804730164192*^9}, {
   3.741804776855352*^9, 3.741804776965295*^9}, {3.741804846959544*^9, 
   3.741804853607142*^9}, {3.741804921656816*^9, 3.741804927023164*^9}, {
   3.741810008413753*^9, 3.741810017744134*^9}, {3.7479521352177057`*^9, 
   3.747952147697258*^9}, {3.747952211450893*^9, 3.747952220057728*^9}, {
   3.747952549598661*^9, 3.747952598949379*^9}, {3.747952694732095*^9, 
   3.747952700121936*^9}, {3.747952750716037*^9, 3.7479527568782988`*^9}, {
   3.747952829817115*^9, 3.747952846458474*^9}, 3.747960454607945*^9, {
   3.7479605137604094`*^9, 3.747960532752644*^9}, {3.7479611652343607`*^9, 
   3.7479612143741426`*^9}, {3.747961273255575*^9, 3.7479612928069143`*^9}, {
   3.747961759797633*^9, 3.747961759876648*^9}, {3.74826990118722*^9, 
   3.748269905522847*^9}, 3.748885329228258*^9, {3.75088417382615*^9, 
   3.7508841904999437`*^9}, {3.751481415667829*^9, 3.751481424162372*^9}},
 CellLabel->
  "In[1456]:=",ExpressionUUID->"904db43b-0ea1-4674-9aca-ef8051abac15"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rr", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"csCPlot", ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Graphics", "[", 
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"Black", ",", 
           RowBox[{"PointSize", "[", ".01", "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Point", "[", 
            RowBox[{"C2rect", "[", 
             RowBox[{"pEpushV", "[", "i", "]"}], "]"}], "]"}]}], "}"}], 
         "\[IndentingNewLine]", "}"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", "pEpushLength0"}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Graphics", "[", 
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"White", ",", 
           RowBox[{"PointSize", "[", ".01", "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Point", "[", 
            RowBox[{"C2rect", "[", 
             RowBox[{"tEpushV", "[", "i", "]"}], "]"}], "]"}]}], "}"}], 
         "\[IndentingNewLine]", "}"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", "tEpushLength0"}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{"Orange", ",", 
          RowBox[{"PointSize", "[", 
           RowBox[{
            RowBox[{".005", "*", "i"}], "+", 
            RowBox[{"j", "/", "300"}]}], "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Point", "[", 
           RowBox[{"C2rect", "[", 
            RowBox[{
             RowBox[{"pEpushMid", "[", "0", "]"}], "[", 
             RowBox[{"i", ",", "j"}], "]"}], "]"}], "]"}]}], "}"}], 
        "\[IndentingNewLine]", ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "pEpushLength0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"j", ",", 
          RowBox[{"pEpushMidLength", "[", "i", "]"}]}], "}"}]}], "]"}], 
      "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{"Blue", ",", 
          RowBox[{"PointSize", "[", 
           RowBox[{
            RowBox[{".005", "*", "i"}], "+", 
            RowBox[{"j", "/", "500"}]}], "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Point", "[", 
           RowBox[{"C2rect", "[", 
            RowBox[{
             RowBox[{"tEpushMid", "[", "0", "]"}], "[", 
             RowBox[{"i", ",", "j"}], "]"}], "]"}], "]"}]}], "}"}], 
        "\[IndentingNewLine]", ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "tEpushLength0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"j", ",", 
          RowBox[{"tEpushMidLength", "[", "i", "]"}]}], "}"}]}], "]"}], 
      "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"pEpushPlot", "[", "0", "]"}], ",", 
     RowBox[{"tEpushPlot", "[", "0", "]"}]}], "\[IndentingNewLine]", "}"}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"Boxed", "->", "False"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Axes", "\[Rule]", "False"}], "\[IndentingNewLine]", ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "rr"}], ",", "rr"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "rr"}], ",", "rr"}], "}"}]}], "}"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"ImageSize", "\[Rule]", "400"}]}], "\[IndentingNewLine]", 
  "]"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJwdzmkow2EAx/E5ihz7k1wrZ1KbvdDKSi32uJOIJJTlaGWSvWGtkWshV5jy
QpJcL9AiUUbRnMkrx7yRQiIPao7kCM/vefHt8/YbVakv0LqKRKIIFnwuCwoQ
riixVqxI4PL0jNT3mpJ7NydXaVq3n99R4iolu/CweaHc7Z6S6R0b92J8WAtP
U1cMMMRjywTlwmcLrG8c7IC5al0fPGo1D8L2/uUpaNWHq92ZYefSFBjfdlIE
e2TfGhh4YK+GnXsbNbBgLNkAR0srjHB73Lr5+kCJX6xuC/7kzZ/NPlKiaCt0
wK46lW2OeUyKuW+TyifYfVnOjRY+w+aZmsiHaNh0aldB5VJCMtf48X70REnk
1xdXHic26p4pmdvXN8K0Gs9ueNub0QN/M0csUJIim4CO/JjeOqaX0N8Hnf7v
Q1DmrbDAJlPQGsyxDXH9YpJmxpidStUszF5cCw51UlLb9SeBHwaFuPKVfXu4
CPAl1idJyzRrnGkwILFEdcNsf6niNjesZsH0gXXuP17qD70=
  "],
 CellLabel->
  "In[1458]:=",ExpressionUUID->"419eed9f-0d1c-4ff4-bd96-eb488d5eb411"],

Cell[TextData[{
 "pull the pushed edges back to the first generation edges ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["P", "1"], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "6170d0e1-7110-4949-ad2c-7afde2d53779"],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["T", "1"], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "929c4eff-5a61-4ba4-9a34-5c86ae96c28f"],
 " by applying a branch of the inverse of ",
 StyleBox["f",
  FontSlant->"Italic"],
 " given by inverting Taylor polynomials"
}], "Text",
 CellChangeTimes->{
  3.790285360424017*^9, 3.79028541421137*^9, {3.790609715843013*^9, 
   3.790609748286293*^9}, {3.790609804158787*^9, 3.7906099297416553`*^9}, {
   3.7906101597559853`*^9, 3.790610160108088*^9}, {3.7906367336996202`*^9, 
   3.790636753677318*^9}},
 Background->GrayLevel[
  1],ExpressionUUID->"a5852b2f-8b44-45cb-a7a6-f24a02386712"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ii", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Do", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"pEpullMidList", "[", "ii", "]"}], "[", 
      RowBox[{"i", ",", "j"}], "]"}], "=", 
     RowBox[{"z", "/.", 
      RowBox[{"Solve", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"g31C", "[", "mapnum", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"pEpushMid", "[", 
          RowBox[{"ii", "-", "1"}], "]"}], "[", 
         RowBox[{"i", ",", "j"}], "]"}]}], "\[IndentingNewLine]", "]"}]}]}], 
    "\[IndentingNewLine]", ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "pEpushLength0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", 
      RowBox[{"pEpushMidLength", "[", "i", "]"}]}], "}"}]}], "]"}], "//", 
  "Quiet"}]}], "Input",
 CellChangeTimes->{{3.740773991623945*^9, 3.740774000620761*^9}, 
   3.74077412843491*^9, {3.740775191205741*^9, 3.740775191446814*^9}, {
   3.740775411424519*^9, 3.7407754540642853`*^9}, {3.74135404512638*^9, 
   3.741354052931313*^9}, {3.741354098680603*^9, 3.741354145149066*^9}, {
   3.741354220134181*^9, 3.741354363443994*^9}, {3.741354562178336*^9, 
   3.741354684906056*^9}, {3.741357650628766*^9, 3.7413576602830477`*^9}, {
   3.741359118450185*^9, 3.741359120549417*^9}, 3.7455226752645807`*^9, {
   3.747061335647574*^9, 3.747061336429832*^9}, {3.7482667735609007`*^9, 
   3.748266779551776*^9}, {3.748266838610117*^9, 3.748266849200533*^9}, 
   3.748550140935758*^9, {3.7488867531041822`*^9, 3.748886764763154*^9}, {
   3.751481496507639*^9, 3.751481504281168*^9}, {3.7514818256880302`*^9, 
   3.751481852268259*^9}},
 CellLabel->
  "In[1460]:=",ExpressionUUID->"4125eaaf-1c18-47bb-af4e-a33e5157fe78"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Do", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"tEpullMidList", "[", "ii", "]"}], "[", 
      RowBox[{"i", ",", "j"}], "]"}], "=", 
     RowBox[{"z", "/.", 
      RowBox[{"Solve", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"g31C", "[", "mapnum", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"tEpushMid", "[", 
          RowBox[{"ii", "-", "1"}], "]"}], "[", 
         RowBox[{"i", ",", "j"}], "]"}]}], "\[IndentingNewLine]", "]"}]}]}], 
    "\[IndentingNewLine]", ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "tEpushLength0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", 
      RowBox[{"tEpushMidLength", "[", "i", "]"}]}], "}"}]}], "]"}], "//", 
  "Quiet"}]], "Input",
 CellChangeTimes->{{3.740773991623945*^9, 3.740774000620761*^9}, 
   3.74077412843491*^9, {3.740775191205741*^9, 3.740775191446814*^9}, {
   3.740775411424519*^9, 3.7407754540642853`*^9}, {3.74135404512638*^9, 
   3.741354052931313*^9}, {3.741354098680603*^9, 3.741354145149066*^9}, {
   3.741354220134181*^9, 3.741354363443994*^9}, {3.741354562178336*^9, 
   3.741354684906056*^9}, {3.741357650628766*^9, 3.7413576602830477`*^9}, {
   3.741359118450185*^9, 3.741359120549417*^9}, 3.7455226752645807`*^9, {
   3.747061335647574*^9, 3.747061336429832*^9}, {3.7482667735609007`*^9, 
   3.748266779551776*^9}, {3.748266838610117*^9, 3.748266849200533*^9}, 
   3.748550140935758*^9, {3.7488867531041822`*^9, 3.748886764763154*^9}, {
   3.751481540816535*^9, 3.751481546247704*^9}, {3.7514818586774397`*^9, 
   3.751481864556293*^9}},
 CellLabel->
  "In[1462]:=",ExpressionUUID->"b686a4f8-8ce2-4fd8-9a43-8699a90c235f"],

Cell[BoxData[{
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"pEpullMidMin", "[", "ii", "]"}], "[", 
     RowBox[{"i", ",", "j"}], "]"}], "=", 
    RowBox[{"Min", "[", 
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"Abs", "[", 
         RowBox[{"pV1", "-", 
          RowBox[{
           RowBox[{
            RowBox[{"pEpullMidList", "[", "ii", "]"}], "[", 
            RowBox[{"i", ",", "j"}], "]"}], "[", 
           RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "+", 
        "\[IndentingNewLine]", 
        RowBox[{"Abs", "[", 
         RowBox[{"pV2", "-", 
          RowBox[{
           RowBox[{
            RowBox[{"pEpullMidList", "[", "ii", "]"}], "[", 
            RowBox[{"i", ",", "j"}], "]"}], "[", 
           RowBox[{"[", "k", "]"}], "]"}]}], "]"}]}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", 
         RowBox[{"Length", "[", 
          RowBox[{
           RowBox[{"pEpullMidList", "[", "ii", "]"}], "[", 
           RowBox[{"i", ",", "j"}], "]"}], "]"}]}], "}"}]}], "]"}], "]"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "pEpushLength0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", 
     RowBox[{"pEpushMidLength", "[", "i", "]"}]}], "}"}]}], "]"}], "\n", 
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"tEpullMidMin", "[", "ii", "]"}], "[", 
     RowBox[{"i", ",", "j"}], "]"}], "=", 
    RowBox[{"Min", "[", 
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"Abs", "[", 
         RowBox[{"tV1", "-", 
          RowBox[{
           RowBox[{
            RowBox[{"tEpullMidList", "[", "ii", "]"}], "[", 
            RowBox[{"i", ",", "j"}], "]"}], "[", 
           RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "+", 
        "\[IndentingNewLine]", 
        RowBox[{"Abs", "[", 
         RowBox[{"tV2", "-", 
          RowBox[{
           RowBox[{
            RowBox[{"tEpullMidList", "[", "ii", "]"}], "[", 
            RowBox[{"i", ",", "j"}], "]"}], "[", 
           RowBox[{"[", "k", "]"}], "]"}]}], "]"}]}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", 
         RowBox[{"Length", "[", 
          RowBox[{
           RowBox[{"tEpullMidList", "[", "ii", "]"}], "[", 
           RowBox[{"i", ",", "j"}], "]"}], "]"}]}], "}"}]}], "]"}], "]"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "tEpushLength0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", 
     RowBox[{"tEpushMidLength", "[", "i", "]"}]}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.740773991623945*^9, 3.740774000620761*^9}, 
   3.74077412843491*^9, {3.740775191205741*^9, 3.740775191446814*^9}, {
   3.740775411424519*^9, 3.7407754540642853`*^9}, {3.74135404512638*^9, 
   3.741354052931313*^9}, {3.741354098680603*^9, 3.741354145149066*^9}, {
   3.741354220134181*^9, 3.741354363443994*^9}, {3.741354562178336*^9, 
   3.7413546969528017`*^9}, {3.741357629220471*^9, 3.741357632202745*^9}, {
   3.741359245438451*^9, 3.741359247166444*^9}, 3.741794360788785*^9, 
   3.748267099541132*^9, 3.748550151059256*^9, {3.75028271724926*^9, 
   3.7502827230939713`*^9}, {3.751481555033229*^9, 3.751481555759981*^9}, {
   3.751481643921442*^9, 3.751481674737084*^9}, {3.751481883035924*^9, 
   3.751481918811616*^9}, {3.751496300401857*^9, 3.75149631906349*^9}},
 CellLabel->
  "In[1465]:=",ExpressionUUID->"5c182688-da4c-4799-91a5-1ee7e03ba83d"],

Cell[BoxData[{
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"pEpullMid", "[", "ii", "]"}], "[", 
     RowBox[{"i", ",", "j"}], "]"}], "=", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Select", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"pEpullMidList", "[", "ii", "]"}], "[", 
        RowBox[{"i", ",", "j"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"rat", "[", 
          RowBox[{
           RowBox[{"Abs", "[", 
            RowBox[{"pV1", "-", "#"}], "]"}], "+", 
           RowBox[{"Abs", "[", 
            RowBox[{"pV2", "-", "#"}], "]"}], "-", " ", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"pEpullMidMin", "[", "ii", "]"}], "[", 
            RowBox[{"i", ",", "j"}], "]"}]}], "]"}], "\[Equal]", "0"}], 
        "\[IndentingNewLine]", "&"}]}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "pEpushLength0"}], "}"}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", 
     RowBox[{"pEpushMidLength", "[", "i", "]"}]}], "}"}]}], 
  "\[IndentingNewLine]", "]"}], "\n", 
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"tEpullMid", "[", "ii", "]"}], "[", 
     RowBox[{"i", ",", "j"}], "]"}], "=", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Select", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"tEpullMidList", "[", "ii", "]"}], "[", 
        RowBox[{"i", ",", "j"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"rat", "[", 
          RowBox[{
           RowBox[{"Abs", "[", 
            RowBox[{"tV1", "-", "#"}], "]"}], "+", 
           RowBox[{"Abs", "[", 
            RowBox[{"tV2", "-", "#"}], "]"}], "-", " ", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"tEpullMidMin", "[", "ii", "]"}], "[", 
            RowBox[{"i", ",", "j"}], "]"}]}], "]"}], "\[Equal]", "0"}], 
        "\[IndentingNewLine]", "&"}]}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "tEpushLength0"}], "}"}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", 
     RowBox[{"tEpushMidLength", "[", "i", "]"}]}], "}"}]}], 
  "\[IndentingNewLine]", "]"}]}], "Input",
 CellChangeTimes->{{3.740773991623945*^9, 3.740774000620761*^9}, 
   3.74077412843491*^9, {3.740775191205741*^9, 3.740775191446814*^9}, {
   3.740775411424519*^9, 3.7407754540642853`*^9}, {3.74135404512638*^9, 
   3.741354052931313*^9}, {3.741354098680603*^9, 3.741354145149066*^9}, {
   3.741354220134181*^9, 3.741354363443994*^9}, {3.741354562178336*^9, 
   3.7413546969528017`*^9}, {3.741354756715313*^9, 3.741354899724183*^9}, {
   3.7413576969172688`*^9, 3.7413577256361437`*^9}, {3.7413593679857388`*^9, 
   3.741359392736697*^9}, {3.748267201766481*^9, 3.748267208700086*^9}, {
   3.748267293126384*^9, 3.748267350495636*^9}, 3.7485501605393877`*^9, {
   3.750282732847784*^9, 3.7502827528861*^9}, {3.751481705062263*^9, 
   3.751481705387247*^9}, {3.7514817559353*^9, 3.751481790580414*^9}, 
   3.751481821790175*^9, {3.75148195089948*^9, 3.75148196003586*^9}},
 CellLabel->
  "In[1467]:=",ExpressionUUID->"1253eed7-52b6-487e-ae7a-470f2c1d6abe"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rr", "=", ".22"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"csCPlot", ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Cyan", ",", 
          RowBox[{"PointSize", "[", ".01", "]"}], ",", "\[IndentingNewLine]", 
          
          RowBox[{"Point", "[", 
           RowBox[{"C2rect", "[", 
            RowBox[{"s2C", "[", 
             RowBox[{
              RowBox[{"rot3", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", "Pi"}], "]"}],
               ".", "pentVert1"}], "]"}], "]"}], "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Magenta", ",", 
          RowBox[{"PointSize", "[", ".01", "]"}], ",", "\[IndentingNewLine]", 
          
          RowBox[{"Point", "[", 
           RowBox[{"C2rect", "[", 
            RowBox[{"s2C", "[", 
             RowBox[{
              RowBox[{"rot3", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", "Pi"}], "]"}],
               ".", "pentVert2"}], "]"}], "]"}], "]"}]}], "}"}], 
        "\[IndentingNewLine]", ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Magenta", ",", 
          RowBox[{"PointSize", "[", ".01", "]"}], ",", "\[IndentingNewLine]", 
          
          RowBox[{"Point", "[", 
           RowBox[{"C2rect", "[", 
            RowBox[{"s2C", "[", 
             RowBox[{
              RowBox[{"rot3", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", "Pi"}], "]"}],
               ".", "triVert2"}], "]"}], "]"}], "]"}]}], "}"}]}], 
       "\[IndentingNewLine]", "}"}], "]"}], ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Orange", ",", 
          RowBox[{"PointSize", "[", 
           RowBox[{
            RowBox[{".003", "*", "i"}], "+", 
            RowBox[{"j", "/", "300"}]}], "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Point", "[", 
           RowBox[{"C2rect", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"pEpullMid", "[", "1", "]"}], "[", 
             RowBox[{"i", ",", "j"}], "]"}], "\[IndentingNewLine]", "]"}], 
           "]"}]}], "}"}], "\[IndentingNewLine]", "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "pEpushLength0"}], "}"}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", 
         RowBox[{"pEpushMidLength", "[", "i", "]"}]}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Blue", ",", 
          RowBox[{"PointSize", "[", 
           RowBox[{
            RowBox[{".003", "*", "i"}], "+", 
            RowBox[{"j", "/", "300"}]}], "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Point", "[", 
           RowBox[{"C2rect", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"tEpullMid", "[", "1", "]"}], "[", 
             RowBox[{"i", ",", "j"}], "]"}], "\[IndentingNewLine]", "]"}], 
           "]"}]}], "}"}], "\[IndentingNewLine]", "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "tEpushLength0"}], "}"}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", 
         RowBox[{"tEpushMidLength", "[", "i", "]"}]}], "}"}]}], "]"}]}], 
    "\[IndentingNewLine]", "}"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Boxed", "->", "False"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Axes", "\[Rule]", "False"}], "\[IndentingNewLine]", ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", ".1"}], ",", ".5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "rr"}], ",", ".3"}], "}"}]}], "}"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"ImageSize", "\[Rule]", "400"}]}], "\[IndentingNewLine]", 
  "]"}]}], "Input",
 CellChangeTimes->{{3.740773991623945*^9, 3.740774000620761*^9}, 
   3.74077412843491*^9, {3.740775191205741*^9, 3.740775191446814*^9}, {
   3.740775411424519*^9, 3.74077543522258*^9}, 3.740775509437505*^9, 
   3.740779886376218*^9, 3.741355007445841*^9, {3.741355064386917*^9, 
   3.741355080679756*^9}, {3.741357506371196*^9, 3.7413575398594027`*^9}, {
   3.741359469264419*^9, 3.741359518934718*^9}, {3.741362435950206*^9, 
   3.741362463661446*^9}, {3.741381539551405*^9, 3.741381562481379*^9}, 
   3.7413815978219137`*^9, {3.7413816340985527`*^9, 3.741381658383115*^9}, {
   3.74138175624561*^9, 3.74138176276357*^9}, {3.741381804080544*^9, 
   3.741381840984886*^9}, {3.741381873649268*^9, 3.7413820184418373`*^9}, {
   3.741382067427575*^9, 3.741382090449078*^9}, {3.741805505967198*^9, 
   3.741805549925321*^9}, {3.741805597175994*^9, 3.741805677134695*^9}, {
   3.741805725536812*^9, 3.741805778519246*^9}, 3.741805817045801*^9, {
   3.741873954860387*^9, 3.74187397865827*^9}, {3.74187400884938*^9, 
   3.741874043427486*^9}, {3.745522898375985*^9, 3.745523067127684*^9}, {
   3.745873114199834*^9, 3.745873144286501*^9}, {3.745873229507718*^9, 
   3.745873230959989*^9}, {3.745941904709507*^9, 3.7459419166728363`*^9}, {
   3.747061682620611*^9, 3.747061710274742*^9}, {3.748267542076929*^9, 
   3.7482675814166727`*^9}, {3.748875744427431*^9, 3.748875745834264*^9}, {
   3.748990145366012*^9, 3.748990215713292*^9}, 3.748990270282887*^9, 
   3.7502827753849897`*^9, {3.7514819967739983`*^9, 3.751481997964548*^9}, {
   3.751482040366678*^9, 3.751482041511724*^9}, 3.751657898170413*^9, {
   3.751810498316712*^9, 3.751810502106142*^9}},
 CellLabel->
  "In[1469]:=",ExpressionUUID->"c63d9b35-a6a2-420e-94e3-48685a4f1490"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Do", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"pEpullSer", "[", "ii", "]"}], "[", 
      RowBox[{"i", ",", "j"}], "]"}], "=", 
     RowBox[{
      RowBox[{"InverseSeries", "[", 
       RowBox[{"Series", "[", 
        RowBox[{
         RowBox[{"g31C", "[", "mapnum", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"z", ",", 
           RowBox[{
            RowBox[{"pEpullMid", "[", "ii", "]"}], "[", 
            RowBox[{"i", ",", "j"}], "]"}], ",", "5"}], "}"}]}], "]"}], "]"}],
       "//", "Normal"}]}], "\[IndentingNewLine]", ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "pEpushLength0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", 
      RowBox[{"pEpushMidLength", "[", "i", "]"}]}], "}"}]}], "]"}], "//", 
  "Quiet"}], "\n", 
 RowBox[{
  RowBox[{"Do", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"tEpullSer", "[", "ii", "]"}], "[", 
      RowBox[{"i", ",", "j"}], "]"}], "=", 
     RowBox[{
      RowBox[{"InverseSeries", "[", 
       RowBox[{"Series", "[", 
        RowBox[{
         RowBox[{"g31C", "[", "mapnum", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"z", ",", 
           RowBox[{
            RowBox[{"tEpullMid", "[", "ii", "]"}], "[", 
            RowBox[{"i", ",", "j"}], "]"}], ",", "5"}], "}"}]}], "]"}], "]"}],
       "//", "Normal"}]}], "\[IndentingNewLine]", ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "tEpushLength0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", 
      RowBox[{"tEpushMidLength", "[", "i", "]"}]}], "}"}]}], "]"}], "//", 
  "Quiet"}]}], "Input",
 CellChangeTimes->{{3.741383146811165*^9, 3.7413831598428717`*^9}, {
   3.7417230316316147`*^9, 3.741723037270347*^9}, {3.741728028862772*^9, 
   3.7417280295021563`*^9}, {3.741728354868691*^9, 3.74172835656316*^9}, {
   3.741728469454506*^9, 3.741728469548772*^9}, {3.7417371973147507`*^9, 
   3.74173719740944*^9}, {3.741791881166258*^9, 3.741791886780121*^9}, {
   3.741805927032518*^9, 3.741805929127005*^9}, {3.7482694470812893`*^9, 
   3.748269478308454*^9}, 3.748550316923912*^9, {3.748876466376339*^9, 
   3.748876469326024*^9}, {3.748876502608981*^9, 3.748876506145143*^9}, {
   3.748876540185738*^9, 3.7488765441678467`*^9}, {3.748887110638225*^9, 
   3.748887125100239*^9}, {3.7514821246641073`*^9, 3.7514821299753323`*^9}, {
   3.7514823446412573`*^9, 3.751482351696913*^9}},
 CellLabel->
  "In[1471]:=",ExpressionUUID->"dc36161c-ad72-4838-90ee-27d2cb5bc13b"],

Cell[BoxData[{
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"pEpull", "[", "ii", "]"}], "[", 
     RowBox[{"i", ",", "j"}], "]"}], "=", "\[IndentingNewLine]", 
    RowBox[{"funcEval", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"pEpullSer", "[", "ii", "]"}], "[", 
       RowBox[{"i", ",", "j"}], "]"}], ",", 
      RowBox[{"{", "z", "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"pEpush", "[", 
         RowBox[{"ii", "-", "1"}], "]"}], "[", "i", "]"}], "}"}]}], "]"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "pEpushLength0"}], "}"}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", 
     RowBox[{"pEpushMidLength", "[", "i", "]"}]}], "}"}]}], 
  "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"tEpull", "[", "ii", "]"}], "[", 
     RowBox[{"i", ",", "j"}], "]"}], "=", "\[IndentingNewLine]", 
    RowBox[{"funcEval", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"tEpullSer", "[", "ii", "]"}], "[", 
       RowBox[{"i", ",", "j"}], "]"}], ",", 
      RowBox[{"{", "z", "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"tEpush", "[", 
         RowBox[{"ii", "-", "1"}], "]"}], "[", "i", "]"}], "}"}]}], "]"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "tEpushLength0"}], "}"}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", 
     RowBox[{"tEpushMidLength", "[", "i", "]"}]}], "}"}]}], 
  "\[IndentingNewLine]", "]"}]}], "Input",
 CellChangeTimes->{{3.740773991623945*^9, 3.740774000620761*^9}, 
   3.74077412843491*^9, {3.740775191205741*^9, 3.740775191446814*^9}, {
   3.740775411424519*^9, 3.74077543522258*^9}, {3.740775509437505*^9, 
   3.740775520412005*^9}, 3.740780005711754*^9, {3.740944512300273*^9, 
   3.740944512819895*^9}, {3.741359545009523*^9, 3.741359568624301*^9}, {
   3.741359744009235*^9, 3.741359834802388*^9}, {3.741360072140204*^9, 
   3.741360072836685*^9}, {3.741360552969584*^9, 3.741360556800969*^9}, {
   3.7413624798111773`*^9, 3.741362483715693*^9}, {3.7413625177915697`*^9, 
   3.741362634971739*^9}, {3.741362751679118*^9, 3.741362771366188*^9}, 
   3.741362845856311*^9, {3.741382124658543*^9, 3.741382155137156*^9}, {
   3.741383016772509*^9, 3.741383042730113*^9}, {3.741383176132236*^9, 
   3.741383199492197*^9}, {3.741537158957473*^9, 3.741537182843399*^9}, {
   3.741807581671729*^9, 3.741807592239031*^9}, {3.741810666335803*^9, 
   3.74181066958092*^9}, {3.745421599803051*^9, 3.745421605145678*^9}, {
   3.74826956882658*^9, 3.7482695840494633`*^9}, {3.7482701578544207`*^9, 
   3.748270161126573*^9}, {3.7482701957508097`*^9, 3.748270255982196*^9}, {
   3.748887149247398*^9, 3.748887151253097*^9}, 3.751481741943083*^9, {
   3.751482389570116*^9, 3.751482421057914*^9}},
 CellLabel->
  "In[1473]:=",ExpressionUUID->"a587fbac-1d0c-4ce5-b36b-578e2c8a4bb9"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"pEpullPlot", "[", "ii", "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"C2rect", "[", 
          RowBox[{
           RowBox[{"pEpull", "[", "ii", "]"}], "[", 
           RowBox[{"i", ",", "1"}], "]"}], "]"}], "\[IndentingNewLine]", ",", 
         
         RowBox[{"{", 
          RowBox[{"t", ",", "0", "\[IndentingNewLine]", ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "/", "2"}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"pEpushMidLength", "[", "i", "]"}], "+", "1"}], 
             ")"}]}]}], "}"}], "\[IndentingNewLine]", ",", 
         RowBox[{"PlotStyle", "\[Rule]", "Blue"}]}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "pEpushLength0"}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"C2rect", "[", 
          RowBox[{
           RowBox[{"pEpull", "[", "ii", "]"}], "[", 
           RowBox[{"i", ",", "j"}], "]"}], "]"}], "\[IndentingNewLine]", ",", 
         
         RowBox[{"{", 
          RowBox[{"t", ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"j", "-", 
              RowBox[{"1", "/", "2"}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"pEpushMidLength", "[", "i", "]"}], "+", "1"}], ")"}]}],
            "\[IndentingNewLine]", ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"j", "+", 
              RowBox[{"1", "/", "2"}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"pEpushMidLength", "[", "i", "]"}], "+", "1"}], 
             ")"}]}]}], "}"}], "\[IndentingNewLine]", ",", 
         RowBox[{"PlotStyle", "\[Rule]", "Blue"}]}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "pEpushLength0"}], "}"}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", 
         RowBox[{"pEpushMidLength", "[", "i", "]"}]}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"C2rect", "[", 
          RowBox[{
           RowBox[{"pEpull", "[", "ii", "]"}], "[", 
           RowBox[{"i", ",", 
            RowBox[{"pEpushMidLength", "[", "i", "]"}]}], "]"}], "]"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", 
           RowBox[{"1", "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "/", "2"}], ")"}], "/", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"pEpushMidLength", "[", "i", "]"}], "+", "1"}], 
              ")"}]}]}], ",", "1"}], "}"}], "\[IndentingNewLine]", ",", 
         RowBox[{"PlotStyle", "\[Rule]", "Blue"}]}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "pEpushLength0"}], "}"}]}], "]"}]}], 
    "\[IndentingNewLine]", "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"tEpullPlot", "[", "ii", "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"C2rect", "[", 
          RowBox[{
           RowBox[{"tEpull", "[", "ii", "]"}], "[", 
           RowBox[{"i", ",", "1"}], "]"}], "]"}], "\[IndentingNewLine]", ",", 
         
         RowBox[{"{", 
          RowBox[{"t", ",", "0", "\[IndentingNewLine]", ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "/", "2"}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"tEpushMidLength", "[", "i", "]"}], "+", "1"}], 
             ")"}]}]}], "}"}], "\[IndentingNewLine]", ",", 
         RowBox[{"PlotStyle", "\[Rule]", "Black"}]}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "tEpushLength0"}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"C2rect", "[", 
          RowBox[{
           RowBox[{"tEpull", "[", "ii", "]"}], "[", 
           RowBox[{"i", ",", "j"}], "]"}], "]"}], "\[IndentingNewLine]", ",", 
         
         RowBox[{"{", 
          RowBox[{"t", ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"j", "-", 
              RowBox[{"1", "/", "2"}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"tEpushMidLength", "[", "i", "]"}], "+", "1"}], ")"}]}],
            "\[IndentingNewLine]", ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"j", "+", 
              RowBox[{"1", "/", "2"}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"tEpushMidLength", "[", "i", "]"}], "+", "1"}], 
             ")"}]}]}], "}"}], "\[IndentingNewLine]", ",", 
         RowBox[{"PlotStyle", "\[Rule]", "Black"}]}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "tEpushLength0"}], "}"}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", 
         RowBox[{"tEpushMidLength", "[", "i", "]"}]}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"C2rect", "[", 
          RowBox[{
           RowBox[{"tEpull", "[", "ii", "]"}], "[", 
           RowBox[{"i", ",", 
            RowBox[{"tEpushMidLength", "[", "i", "]"}]}], "]"}], "]"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", 
           RowBox[{"1", "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "/", "2"}], ")"}], "/", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"tEpushMidLength", "[", "i", "]"}], "+", "1"}], 
              ")"}]}]}], ",", "1"}], "}"}], "\[IndentingNewLine]", ",", 
         RowBox[{"PlotStyle", "\[Rule]", "Black"}]}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "tEpushLength0"}], "}"}]}], "]"}]}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.745247953928669*^9, 3.745248065005013*^9}, {
   3.745423094337885*^9, 3.745423105259612*^9}, {3.745423966427822*^9, 
   3.74542398065061*^9}, {3.745431334902886*^9, 3.745431335446115*^9}, {
   3.745431378143489*^9, 3.745431378797669*^9}, {3.7459424675522747`*^9, 
   3.745942478287915*^9}, {3.7459425462435293`*^9, 3.745942555880786*^9}, {
   3.7459425916099453`*^9, 3.745942592034377*^9}, {3.745957627068524*^9, 
   3.745957639524005*^9}, {3.745957726165633*^9, 3.7459577513169203`*^9}, {
   3.747075808767425*^9, 3.747075809493723*^9}, {3.747075886887644*^9, 
   3.747075887558303*^9}, {3.747077644851742*^9, 3.7470776557235937`*^9}, {
   3.748271055543643*^9, 3.7482712749988537`*^9}, 3.7485503329592457`*^9, {
   3.7488871764581337`*^9, 3.7488871977585697`*^9}},
 CellLabel->
  "In[1475]:=",ExpressionUUID->"eeba2f1f-1f30-4b9a-8cae-46982ba0f7a3"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rr", "=", ".5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"csCPlot", ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Magenta", ",", 
          RowBox[{"PointSize", "[", ".01", "]"}], ",", "\[IndentingNewLine]", 
          
          RowBox[{"Point", "[", 
           RowBox[{"C2rect", "[", 
            RowBox[{"s2C", "[", 
             RowBox[{
              RowBox[{"rot3", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", "Pi"}], "]"}],
               ".", "pentVert1"}], "]"}], "]"}], "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Magenta", ",", 
          RowBox[{"PointSize", "[", ".01", "]"}], ",", "\[IndentingNewLine]", 
          
          RowBox[{"Point", "[", 
           RowBox[{"C2rect", "[", 
            RowBox[{"s2C", "[", 
             RowBox[{
              RowBox[{"rot3", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", "Pi"}], "]"}],
               ".", "pentVert2"}], "]"}], "]"}], "]"}]}], "}"}]}], 
       "\[IndentingNewLine]", "}"}], "]"}], ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Graphics", "[", 
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"Black", ",", 
           RowBox[{"PointSize", "[", ".01", "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Point", "[", 
            RowBox[{"C2rect", "[", 
             RowBox[{"s2C", "[", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"rot3", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", "Pi"}], 
                "]"}], ".", 
               RowBox[{"pentEdgeImgVert", "[", "i", "]"}]}], 
              "\[IndentingNewLine]", "]"}], "]"}], "]"}]}], "}"}], 
         "\[IndentingNewLine]", "}"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", 
         RowBox[{"Length", "[", "pentEdgeImgTop", "]"}]}], "}"}]}], "]"}], 
     ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Orange", ",", 
          RowBox[{"PointSize", "[", ".01", "]"}], ",", "\[IndentingNewLine]", 
          
          RowBox[{"Point", "[", 
           RowBox[{"C2rect", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"pEpullMid", "[", "1", "]"}], "[", 
             RowBox[{"i", ",", "j"}], "]"}], "\[IndentingNewLine]", "]"}], 
           "]"}]}], "}"}], "\[IndentingNewLine]", "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "pEpushLength0"}], "}"}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", 
         RowBox[{"pEpushMidLength", "[", "i", "]"}]}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Cyan", ",", 
          RowBox[{"PointSize", "[", ".010", "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Point", "[", 
           RowBox[{"C2rect", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"tEpullMid", "[", "1", "]"}], "[", 
             RowBox[{"i", ",", "j"}], "]"}], "\[IndentingNewLine]", "]"}], 
           "]"}]}], "}"}], "\[IndentingNewLine]", "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "tEpushLength0"}], "}"}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", 
         RowBox[{"tEpushMidLength", "[", "i", "]"}]}], "}"}]}], "]"}], 
     "\[IndentingNewLine]", "\[IndentingNewLine]", ",", 
     RowBox[{"pEpullPlot", "[", "1", "]"}], ",", 
     RowBox[{"tEpullPlot", "[", "1", "]"}]}], "\[IndentingNewLine]", "}"}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"Boxed", "->", "False"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Axes", "\[Rule]", "False"}], "\[IndentingNewLine]", ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", ".1"}], ",", ".5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "rr"}], ",", "rr"}], "}"}]}], "}"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"ImageSize", "\[Rule]", "500"}]}], "\[IndentingNewLine]", 
  "]"}]}], "Input",
 CellChangeTimes->{{3.740773991623945*^9, 3.740774000620761*^9}, 
   3.74077412843491*^9, {3.740775191205741*^9, 3.740775191446814*^9}, {
   3.740775411424519*^9, 3.74077543522258*^9}, {3.740775509437505*^9, 
   3.740775528649766*^9}, 3.7407798487845488`*^9, {3.741363240314679*^9, 
   3.7413633028040733`*^9}, {3.741363391078685*^9, 3.741363477574203*^9}, {
   3.741363674411111*^9, 3.741363675574815*^9}, {3.741364166962062*^9, 
   3.741364185628399*^9}, {3.741382241486484*^9, 3.7413823298456717`*^9}, {
   3.741382381023459*^9, 3.741382381733849*^9}, {3.741382422359914*^9, 
   3.741382481574597*^9}, {3.741382568576784*^9, 3.7413825690951567`*^9}, {
   3.7413827264664707`*^9, 3.741382727753707*^9}, {3.741383340878303*^9, 
   3.74138338776549*^9}, {3.741723210336605*^9, 3.741723237392662*^9}, {
   3.741723330261221*^9, 3.74172333085083*^9}, {3.741726625231305*^9, 
   3.741726650423048*^9}, {3.74172682891774*^9, 3.741726834008678*^9}, {
   3.748290758190343*^9, 3.7482908406697817`*^9}, {3.748550361131332*^9, 
   3.748550387432116*^9}, 3.748551057467532*^9, {3.7488758470341787`*^9, 
   3.748875859133801*^9}, {3.748875896152183*^9, 3.748875939844273*^9}, 
   3.7488759703930893`*^9, {3.748887230616847*^9, 3.748887238041232*^9}, 
   3.751050970289887*^9, {3.751482508764485*^9, 3.751482607281136*^9}, 
   3.751746419571698*^9},
 CellLabel->
  "In[1477]:=",ExpressionUUID->"79dace93-cbf6-4b03-b02f-43376972f195"],

Cell[TextData[{
 "verify that the image under ",
 StyleBox["f",
  FontSlant->"Italic"],
 " of the first generation pulled edges closely approximates the pushed \
edges"
}], "Text",
 CellChangeTimes->{{3.790285722934781*^9, 3.790285733348094*^9}, {
  3.7902873645359297`*^9, 3.79028737518073*^9}, {3.790609973223456*^9, 
  3.790610057517906*^9}},
 Background->GrayLevel[
  1],ExpressionUUID->"3b6ab561-5688-4b37-ba57-bfa0297da76a"],

Cell[BoxData[{
 RowBox[{"Do", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"pEtest", "[", 
     RowBox[{"i", ",", "j"}], "]"}], "=", 
    RowBox[{
     RowBox[{"g31Cmap", "[", "mapnum", "]"}], "[", 
     RowBox[{
      RowBox[{"pEpull", "[", "ii", "]"}], "[", 
      RowBox[{"i", ",", "j"}], "]"}], "]"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "pEpushLength0"}], "}"}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", 
     RowBox[{"pEpushMidLength", "[", "i", "]"}]}], "}"}]}], 
  "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Do", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"tEtest", "[", 
     RowBox[{"i", ",", "j"}], "]"}], "=", 
    RowBox[{
     RowBox[{"g31Cmap", "[", "mapnum", "]"}], "[", 
     RowBox[{
      RowBox[{"tEpull", "[", "ii", "]"}], "[", 
      RowBox[{"i", ",", "j"}], "]"}], "]"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "tEpushLength0"}], "}"}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", 
     RowBox[{"tEpushMidLength", "[", "i", "]"}]}], "}"}]}], 
  "\[IndentingNewLine]", "]"}]}], "Input",
 CellChangeTimes->{{3.740773991623945*^9, 3.740774000620761*^9}, 
   3.74077412843491*^9, {3.740775191205741*^9, 3.740775191446814*^9}, {
   3.740775411424519*^9, 3.74077543522258*^9}, {3.740775509437505*^9, 
   3.740775538317618*^9}, 3.7407797820861893`*^9, {3.741379524913806*^9, 
   3.74137953303974*^9}, {3.741379570332801*^9, 3.741379658027494*^9}, {
   3.741379691926465*^9, 3.741379708577407*^9}, {3.741379743394052*^9, 
   3.741379760697777*^9}, 3.741379797363864*^9, {3.7413799862856207`*^9, 
   3.741379994324129*^9}, {3.741380139790551*^9, 3.741380164790064*^9}, {
   3.741380266424838*^9, 3.7413802693063183`*^9}, {3.741383285050378*^9, 
   3.741383293572597*^9}, {3.745422200198865*^9, 3.7454222060456*^9}, {
   3.7454222478533278`*^9, 3.7454222484936113`*^9}, {3.745422704900137*^9, 
   3.745422705513987*^9}, {3.745424020050569*^9, 3.745424025063916*^9}, {
   3.746027360835046*^9, 3.7460274083529778`*^9}, {3.74602754731951*^9, 
   3.746027592863677*^9}, {3.746027792045807*^9, 3.7460278119564*^9}, {
   3.746028061031122*^9, 3.746028074527693*^9}, {3.748291013382905*^9, 
   3.7482910321347017`*^9}, {3.748291078039069*^9, 3.74829113357388*^9}, {
   3.750283850252571*^9, 3.750283853578456*^9}},
 CellLabel->
  "In[1479]:=",ExpressionUUID->"fc267890-bd44-4703-a83e-ec1762d1b895"],

Cell[BoxData[
 RowBox[{
  RowBox[{"pEtestPlot", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"C2rect", "[", 
          RowBox[{"pEtest", "[", 
           RowBox[{"i", ",", "1"}], "]"}], "]"}], "\[IndentingNewLine]", ",", 
         
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "/", "2"}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"pEpushMidLength", "[", "i", "]"}], "+", "1"}], 
             ")"}]}]}], "}"}], "\[IndentingNewLine]", ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Thickness", "[", ".01", "]"}], ",", "White"}], "}"}]}]}],
         "]"}], "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "pEpushLength0"}], "}"}]}], "\[IndentingNewLine]", 
      "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"C2rect", "[", 
          RowBox[{"pEtest", "[", 
           RowBox[{"i", ",", "j"}], "]"}], "]"}], "\[IndentingNewLine]", ",", 
         
         RowBox[{"{", 
          RowBox[{"t", ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"j", "-", 
              RowBox[{"1", "/", "2"}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"pEpushMidLength", "[", "i", "]"}], "+", "1"}], ")"}]}],
            "\[IndentingNewLine]", ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"j", "+", 
              RowBox[{"1", "/", "2"}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"pEpushMidLength", "[", "i", "]"}], "+", "1"}], 
             ")"}]}]}], "}"}], "\[IndentingNewLine]", ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Thickness", "[", ".01", "]"}], ",", "White"}], "}"}]}]}],
         "]"}], "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "pEpushLength0"}], "}"}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", 
         RowBox[{"pEpushMidLength", "[", "i", "]"}]}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"C2rect", "[", 
          RowBox[{"pEtest", "[", 
           RowBox[{"i", ",", 
            RowBox[{"pEpushMidLength", "[", "i", "]"}]}], "]"}], "]"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", 
           RowBox[{"1", "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "/", "2"}], ")"}], "/", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"pEpushMidLength", "[", "i", "]"}], "+", "1"}], 
              ")"}]}]}], ",", "1"}], "}"}], "\[IndentingNewLine]", ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Thickness", "[", ".01", "]"}], ",", "White"}], "}"}]}]}],
         "]"}], "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "pEpushLength0"}], "}"}]}], "\[IndentingNewLine]", 
      "]"}]}], "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.740773991623945*^9, 3.740774000620761*^9}, 
   3.74077412843491*^9, {3.740775191205741*^9, 3.740775191446814*^9}, {
   3.740775411424519*^9, 3.74077543522258*^9}, {3.740775509437505*^9, 
   3.740775538317618*^9}, 3.7407797820861893`*^9, {3.741379524913806*^9, 
   3.74137953303974*^9}, {3.741379570332801*^9, 3.741379658027494*^9}, {
   3.741379691926465*^9, 3.741379708577407*^9}, {3.741379743394052*^9, 
   3.741379760697777*^9}, {3.741379797363864*^9, 3.7413798262747183`*^9}, 
   3.7413801944960737`*^9, 3.741383317252592*^9, {3.741723394876482*^9, 
   3.7417234003946238`*^9}, {3.7417234458207293`*^9, 3.741723491153386*^9}, {
   3.741726975218937*^9, 3.741726976244135*^9}, {3.74515135397608*^9, 
   3.745151383135139*^9}, {3.7451514719329348`*^9, 3.745151592498178*^9}, {
   3.7451516971719418`*^9, 3.745151704642509*^9}, {3.74515173767714*^9, 
   3.745151750376459*^9}, {3.7460274317209806`*^9, 3.7460274365399237`*^9}, {
   3.746027469950945*^9, 3.7460275278026657`*^9}, {3.7460276114699*^9, 
   3.74602771510188*^9}, {3.746027832422759*^9, 3.746027857902912*^9}, 
   3.7482911609130783`*^9, {3.748291293866349*^9, 3.7482913385076838`*^9}, {
   3.748550430422009*^9, 3.748550455125444*^9}, {3.750283889285769*^9, 
   3.750283903852729*^9}},
 CellLabel->
  "In[1481]:=",ExpressionUUID->"fc400bcb-a2f1-4a1b-ab10-8464012c1468"],

Cell[BoxData[
 RowBox[{
  RowBox[{"tEtestPlot", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"C2rect", "[", 
          RowBox[{"tEtest", "[", 
           RowBox[{"i", ",", "1"}], "]"}], "]"}], "\[IndentingNewLine]", ",", 
         
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "/", "2"}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"tEpushMidLength", "[", "i", "]"}], "+", "1"}], 
             ")"}]}]}], "}"}], "\[IndentingNewLine]", ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Thickness", "[", ".01", "]"}], ",", "White"}], "}"}]}]}],
         "]"}], "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "tEpushLength0"}], "}"}]}], "\[IndentingNewLine]", 
      "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"C2rect", "[", 
          RowBox[{"tEtest", "[", 
           RowBox[{"i", ",", "j"}], "]"}], "]"}], "\[IndentingNewLine]", ",", 
         
         RowBox[{"{", 
          RowBox[{"t", ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"j", "-", 
              RowBox[{"1", "/", "2"}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"tEpushMidLength", "[", "i", "]"}], "+", "1"}], ")"}]}],
            "\[IndentingNewLine]", ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"j", "+", 
              RowBox[{"1", "/", "2"}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"tEpushMidLength", "[", "i", "]"}], "+", "1"}], 
             ")"}]}]}], "}"}], "\[IndentingNewLine]", ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Thickness", "[", ".01", "]"}], ",", "White"}], "}"}]}]}],
         "]"}], "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "tEpushLength0"}], "}"}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", 
         RowBox[{"tEpushMidLength", "[", "i", "]"}]}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"C2rect", "[", 
          RowBox[{"tEtest", "[", 
           RowBox[{"i", ",", 
            RowBox[{"tEpushMidLength", "[", "i", "]"}]}], "]"}], "]"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", 
           RowBox[{"1", "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "/", "2"}], ")"}], "/", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"tEpushMidLength", "[", "i", "]"}], "+", "1"}], 
              ")"}]}]}], ",", "1"}], "}"}], "\[IndentingNewLine]", ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Thickness", "[", ".01", "]"}], ",", "White"}], "}"}]}]}],
         "]"}], "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "tEpushLength0"}], "}"}]}], "\[IndentingNewLine]", 
      "]"}]}], "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.740773991623945*^9, 3.740774000620761*^9}, 
   3.74077412843491*^9, {3.740775191205741*^9, 3.740775191446814*^9}, {
   3.740775411424519*^9, 3.74077543522258*^9}, {3.740775509437505*^9, 
   3.740775538317618*^9}, 3.7407797820861893`*^9, {3.741379524913806*^9, 
   3.74137953303974*^9}, {3.741379570332801*^9, 3.741379658027494*^9}, {
   3.741379691926465*^9, 3.741379708577407*^9}, {3.741379743394052*^9, 
   3.741379760697777*^9}, {3.741379797363864*^9, 3.7413798262747183`*^9}, 
   3.7413801944960737`*^9, 3.741383317252592*^9, {3.741723394876482*^9, 
   3.7417234003946238`*^9}, {3.7417234458207293`*^9, 3.741723491153386*^9}, {
   3.741726975218937*^9, 3.741726976244135*^9}, {3.74515135397608*^9, 
   3.745151383135139*^9}, {3.7451514719329348`*^9, 3.745151592498178*^9}, {
   3.7451516971719418`*^9, 3.745151704642509*^9}, {3.74515173767714*^9, 
   3.745151750376459*^9}, {3.7460274317209806`*^9, 3.7460274365399237`*^9}, {
   3.746027469950945*^9, 3.7460275278026657`*^9}, {3.7460276114699*^9, 
   3.74602771510188*^9}, {3.746027832422759*^9, 3.746027857902912*^9}, 
   3.7482911609130783`*^9, {3.748291293866349*^9, 3.7482913385076838`*^9}, {
   3.748550430422009*^9, 3.748550455125444*^9}, {3.7502839357337923`*^9, 
   3.7502839425879803`*^9}, {3.751482654333702*^9, 3.7514826559171343`*^9}},
 CellLabel->
  "In[1482]:=",ExpressionUUID->"0211c5cc-f7bc-4eca-8ce3-cfd488a76b94"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rr", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"csCPlot", "\[IndentingNewLine]", "\[IndentingNewLine]", ",", 
     RowBox[{"pEpullPlot", "[", "1", "]"}], ",", "pEtestPlot", ",", 
     RowBox[{"pEpushPlot", "[", "0", "]"}], "\[IndentingNewLine]", ",", 
     RowBox[{"tEpullPlot", "[", "1", "]"}], ",", "tEtestPlot", ",", 
     RowBox[{"tEpushPlot", "[", "0", "]"}]}], "\[IndentingNewLine]", "}"}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"Boxed", "->", "False"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Axes", "\[Rule]", "False"}], "\[IndentingNewLine]", ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "rr"}], ",", "rr"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "rr"}], ",", "rr"}], "}"}]}], "}"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"ImageSize", "\[Rule]", "400"}]}], "\[IndentingNewLine]", 
  "]"}]}], "Input",
 CellChangeTimes->{{3.740773991623945*^9, 3.740774000620761*^9}, 
   3.74077412843491*^9, {3.740775191205741*^9, 3.740775191446814*^9}, {
   3.740775411424519*^9, 3.74077543522258*^9}, {3.740775509437505*^9, 
   3.740775538317618*^9}, 3.7407797820861893`*^9, {3.741379524913806*^9, 
   3.74137953303974*^9}, {3.741379570332801*^9, 3.741379658027494*^9}, {
   3.741379691926465*^9, 3.741379708577407*^9}, {3.741379743394052*^9, 
   3.741379760697777*^9}, {3.741379797363864*^9, 3.741379804906722*^9}, {
   3.741379934275462*^9, 3.7413799398116093`*^9}, {3.74138281273657*^9, 
   3.741382835831379*^9}, {3.741723429251068*^9, 3.7417234358616247`*^9}, {
   3.741727062269779*^9, 3.7417270813181543`*^9}, {3.7460279835669394`*^9, 
   3.746027997789472*^9}, {3.746028151552289*^9, 3.7460281526391907`*^9}, {
   3.748876021653913*^9, 3.7488760223069077`*^9}, {3.750283953692361*^9, 
   3.750283959307416*^9}, {3.751746498841464*^9, 3.751746504992508*^9}, {
   3.751810553275638*^9, 3.751810566977401*^9}, {3.751810601323461*^9, 
   3.751810610666128*^9}},
 CellLabel->
  "In[1483]:=",ExpressionUUID->"fa7a5d42-c876-4068-8f45-fd77125c99e5"],

Cell[TextData[{
 "repeat the push-pull process using the first-generation pulled edges to \
obtain second-generation pulled edges  ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["P", "2"], TraditionalForm]],ExpressionUUID->
  "3b1eb08c-2170-4d85-8c61-9b80d41dba9d"],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["T", "2"], TraditionalForm]],ExpressionUUID->
  "d963d7cc-490d-4711-b7a6-7a13c83e4c76"],
 ";  dots indicate pushed centers of Taylor expansions on the first \
generation edges (note: the time required to obtain results can be lengthy) "
}], "Text",
 CellChangeTimes->{{3.790285722934781*^9, 3.790285733348094*^9}, {
  3.7902873645359297`*^9, 3.79028737518073*^9}, {3.790610214273769*^9, 
  3.790610252715795*^9}, {3.79061029330894*^9, 3.7906103130875893`*^9}, {
  3.790610353119896*^9, 3.79061035597581*^9}, {3.790610490323283*^9, 
  3.790610541731956*^9}, {3.79063645524575*^9, 3.790636469467124*^9}, {
  3.7906367838438663`*^9, 3.7906367950532703`*^9}, {3.790636975164554*^9, 
  3.790637019517208*^9}, {3.791037166094769*^9, 3.791037184118821*^9}},
 Background->GrayLevel[
  1],ExpressionUUID->"87605daa-0706-41b3-8f5d-68e82198801c"],

Cell[BoxData[
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"pEpushSeq", "[", 
       RowBox[{"[", "i", "]"}], "]"}], "===", "p"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Do", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"pEpushMidLength2", "[", 
          RowBox[{"i", ",", "j"}], "]"}], "=", 
         RowBox[{"pEpushMidLength", "[", "j", "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"pEpushMid", "[", "ii", "]"}], "[", 
          RowBox[{"i", ",", "j", ",", "k"}], "]"}], "=", 
         "\[IndentingNewLine]", 
         RowBox[{"funcEval", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"pEpushTrf", "[", "i", "]"}], ",", 
           RowBox[{"{", "z", "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"pEpullMid", "[", "ii", "]"}], "[", 
             RowBox[{"j", ",", "k"}], "]"}], "}"}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"pEpush", "[", "ii", "]"}], "[", 
          RowBox[{"i", ",", "j", ",", "k"}], "]"}], "=", 
         "\[IndentingNewLine]", 
         RowBox[{"funcEval", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"pEpushTrf", "[", "i", "]"}], ",", 
           RowBox[{"{", "z", "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"pEpull", "[", "ii", "]"}], "[", 
             RowBox[{"j", ",", "k"}], "]"}], "}"}]}], "\[IndentingNewLine]", 
          "]"}]}]}], "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "pEpushLength0"}], "}"}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", 
         RowBox[{"pEpushMidLength", "[", "j", "]"}]}], "}"}]}], "]"}], 
     "\[IndentingNewLine]", ",", "\[IndentingNewLine]", 
     RowBox[{"Do", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"pEpushMidLength2", "[", 
          RowBox[{"i", ",", "j"}], "]"}], "=", 
         RowBox[{"tEpushMidLength", "[", "j", "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"pEpushMid", "[", "ii", "]"}], "[", 
          RowBox[{"i", ",", "j", ",", "k"}], "]"}], "=", 
         "\[IndentingNewLine]", 
         RowBox[{"funcEval", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"pEpushTrf", "[", "i", "]"}], ",", 
           RowBox[{"{", "z", "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"tEpullMid", "[", "ii", "]"}], "[", 
             RowBox[{"j", ",", "k"}], "]"}], "}"}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"pEpush", "[", "ii", "]"}], "[", 
          RowBox[{"i", ",", "j", ",", "k"}], "]"}], "=", 
         "\[IndentingNewLine]", 
         RowBox[{"funcEval", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"pEpushTrf", "[", "i", "]"}], ",", 
           RowBox[{"{", "z", "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"tEpull", "[", "ii", "]"}], "[", 
             RowBox[{"j", ",", "k"}], "]"}], "}"}]}], "\[IndentingNewLine]", 
          "]"}]}]}], "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "tEpushLength0"}], "}"}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", 
         RowBox[{"tEpushMidLength", "[", "j", "]"}]}], "}"}]}], "]"}]}], 
    "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "pEpushLength0"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.745428063715626*^9, 3.74542809177188*^9}, {
   3.745428121908204*^9, 3.745428122460238*^9}, {3.748291815836709*^9, 
   3.7482918921238813`*^9}, {3.748292058451913*^9, 3.74829207507749*^9}, {
   3.748292139173984*^9, 3.748292187229787*^9}, {3.7482922332700577`*^9, 
   3.748292291078149*^9}, 3.748292452830213*^9, {3.748292526017098*^9, 
   3.748292526457165*^9}, {3.7482926658112307`*^9, 3.748292669097508*^9}, {
   3.748361627939444*^9, 3.748361688603301*^9}, {3.748361836252818*^9, 
   3.748361836397217*^9}, {3.748892886324815*^9, 3.748892908509247*^9}, {
   3.748893422529232*^9, 3.748893425083117*^9}, {3.750099289198688*^9, 
   3.750099294780905*^9}, {3.750284063551159*^9, 3.750284068981715*^9}, {
   3.7502841571110163`*^9, 3.7502841625980673`*^9}, 3.7508820820257807`*^9, {
   3.750882225483128*^9, 3.750882228056973*^9}, {3.750887070002594*^9, 
   3.7508870767034388`*^9}, {3.751483204241036*^9, 3.7514832222100573`*^9}, {
   3.7514832553022537`*^9, 3.751483273693448*^9}, {3.751488450228402*^9, 
   3.75148847546852*^9}, {3.751488603844283*^9, 3.751488616581208*^9}},
 CellLabel->
  "In[1486]:=",ExpressionUUID->"1df0e19f-ea63-4de3-9f1a-19fce15d07c7"],

Cell[BoxData[
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"tEpushSeq", "[", 
       RowBox[{"[", "i", "]"}], "]"}], "===", "p"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Do", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"tEpushMidLength2", "[", 
          RowBox[{"i", ",", "j"}], "]"}], "=", 
         RowBox[{"pEpushMidLength", "[", "j", "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"tEpushMid", "[", "ii", "]"}], "[", 
          RowBox[{"i", ",", "j", ",", "k"}], "]"}], "=", 
         "\[IndentingNewLine]", 
         RowBox[{"funcEval", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"tEpushTrf", "[", "i", "]"}], ",", 
           RowBox[{"{", "z", "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"pEpullMid", "[", "ii", "]"}], "[", 
             RowBox[{"j", ",", "k"}], "]"}], "}"}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"tEpush", "[", "ii", "]"}], "[", 
          RowBox[{"i", ",", "j", ",", "k"}], "]"}], "=", 
         "\[IndentingNewLine]", 
         RowBox[{"funcEval", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"tEpushTrf", "[", "i", "]"}], ",", 
           RowBox[{"{", "z", "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"pEpull", "[", "ii", "]"}], "[", 
             RowBox[{"j", ",", "k"}], "]"}], "}"}]}], "\[IndentingNewLine]", 
          "]"}]}]}], "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "pEpushLength0"}], "}"}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", 
         RowBox[{"pEpushMidLength", "[", "j", "]"}]}], "}"}]}], "]"}], 
     "\[IndentingNewLine]", ",", "\[IndentingNewLine]", 
     RowBox[{"Do", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"tEpushMidLength2", "[", 
          RowBox[{"i", ",", "j"}], "]"}], "=", 
         RowBox[{"tEpushMidLength", "[", "j", "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"tEpushMid", "[", "ii", "]"}], "[", 
          RowBox[{"i", ",", "j", ",", "k"}], "]"}], "=", 
         "\[IndentingNewLine]", 
         RowBox[{"funcEval", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"tEpushTrf", "[", "i", "]"}], ",", 
           RowBox[{"{", "z", "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"tEpullMid", "[", "ii", "]"}], "[", 
             RowBox[{"j", ",", "k"}], "]"}], "}"}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"tEpush", "[", "ii", "]"}], "[", 
          RowBox[{"i", ",", "j", ",", "k"}], "]"}], "=", 
         "\[IndentingNewLine]", 
         RowBox[{"funcEval", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"tEpushTrf", "[", "i", "]"}], ",", 
           RowBox[{"{", "z", "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"tEpull", "[", "ii", "]"}], "[", 
             RowBox[{"j", ",", "k"}], "]"}], "}"}]}], "\[IndentingNewLine]", 
          "]"}]}]}], "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "tEpushLength0"}], "}"}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", 
         RowBox[{"tEpushMidLength", "[", "j", "]"}]}], "}"}]}], "]"}]}], 
    "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "tEpushLength0"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.745428063715626*^9, 3.74542809177188*^9}, {
   3.745428121908204*^9, 3.745428122460238*^9}, {3.748291815836709*^9, 
   3.7482918921238813`*^9}, {3.748292058451913*^9, 3.74829207507749*^9}, {
   3.748292139173984*^9, 3.748292187229787*^9}, {3.7482922332700577`*^9, 
   3.748292291078149*^9}, 3.748292452830213*^9, {3.748292526017098*^9, 
   3.748292526457165*^9}, {3.7482926658112307`*^9, 3.748292669097508*^9}, {
   3.748298123922473*^9, 3.748298151197997*^9}, {3.748362459243339*^9, 
   3.748362486738665*^9}, {3.748362540434916*^9, 3.748362541009831*^9}, {
   3.748362858222484*^9, 3.748362858980295*^9}, {3.7483676425394297`*^9, 
   3.748367643002043*^9}, {3.748892917533181*^9, 3.748892922529296*^9}, {
   3.748893227385252*^9, 3.748893232158399*^9}, {3.750100220385166*^9, 
   3.750100223017056*^9}, {3.750882234756143*^9, 3.750882243727064*^9}, {
   3.750884591240522*^9, 3.750884592924738*^9}, {3.750887080712029*^9, 
   3.750887088099923*^9}, {3.751483967160409*^9, 3.751484011208497*^9}, {
   3.751485827754147*^9, 3.751485847065752*^9}, {3.751488490060567*^9, 
   3.751488502243307*^9}, {3.751488624084648*^9, 3.7514886399817667`*^9}},
 CellLabel->
  "In[1487]:=",ExpressionUUID->"b35412f0-7048-4e9c-80ff-01fb23fbf154"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"pEpushPlot", "[", "ii", "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"C2rect", "[", 
          RowBox[{
           RowBox[{"pEpush", "[", "ii", "]"}], "[", 
           RowBox[{"i", ",", "j", ",", "1"}], "]"}], "]"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "/", "2"}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"pEpushMidLength2", "[", 
               RowBox[{"i", ",", "j"}], "]"}], "+", "1"}], ")"}]}]}], "}"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"PlotStyle", "\[Rule]", "Blue"}]}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "pEpushLength0"}], "}"}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", 
         RowBox[{"pEpushMidLength0", "[", "i", "]"}]}], "}"}]}], 
      "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"C2rect", "[", 
          RowBox[{
           RowBox[{"pEpush", "[", "ii", "]"}], "[", 
           RowBox[{"i", ",", "j", ",", "k"}], "]"}], "]"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"k", "-", 
              RowBox[{"1", "/", "2"}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"pEpushMidLength2", "[", 
               RowBox[{"i", ",", "j"}], "]"}], "+", "1"}], ")"}]}], ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"k", "+", 
              RowBox[{"1", "/", "2"}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"pEpushMidLength2", "[", 
               RowBox[{"i", ",", "j"}], "]"}], "+", "1"}], ")"}]}]}], "}"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"PlotStyle", "\[Rule]", "Blue"}]}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "pEpushLength0"}], "}"}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", 
         RowBox[{"pEpushMidLength0", "[", "i", "]"}]}], "}"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", 
         RowBox[{"pEpushMidLength2", "[", 
          RowBox[{"i", ",", "j"}], "]"}]}], "}"}]}], "\[IndentingNewLine]", 
      "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"C2rect", "[", 
          RowBox[{
           RowBox[{"pEpush", "[", "ii", "]"}], "[", 
           RowBox[{"i", ",", "j", ",", 
            RowBox[{"pEpushMidLength2", "[", 
             RowBox[{"i", ",", "j"}], "]"}]}], "]"}], "]"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", 
           RowBox[{"1", "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "/", "2"}], ")"}], "/", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"pEpushMidLength2", "[", 
                RowBox[{"i", ",", "j"}], "]"}], "+", "1"}], ")"}]}]}], ",", 
           "1"}], "}"}], "\[IndentingNewLine]", ",", 
         RowBox[{"PlotStyle", "\[Rule]", "Blue"}]}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "pEpushLength0"}], "}"}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", 
         RowBox[{"pEpushMidLength0", "[", "i", "]"}]}], "}"}]}], 
      "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.7405879306703444`*^9, 3.7405879320991497`*^9}, {
   3.740589044117758*^9, 3.740589110070539*^9}, {3.7405891473441963`*^9, 
   3.7405892305950727`*^9}, {3.740589270912422*^9, 3.740589303425105*^9}, {
   3.740589335144986*^9, 3.740589382705865*^9}, {3.740589424922188*^9, 
   3.740589445042222*^9}, {3.740590371092396*^9, 3.74059038349119*^9}, {
   3.740590414995203*^9, 3.74059042603559*^9}, {3.7405904564211273`*^9, 
   3.7405904611959476`*^9}, {3.74059263147539*^9, 3.740592634761989*^9}, {
   3.740592742572021*^9, 3.740592744539617*^9}, {3.740592872132888*^9, 
   3.740592872244825*^9}, {3.7405940038481293`*^9, 3.740594035638294*^9}, {
   3.740594091403318*^9, 3.7405941039925127`*^9}, {3.740594144433024*^9, 
   3.740594205113769*^9}, {3.740595165403214*^9, 3.740595166172611*^9}, {
   3.740608842172483*^9, 3.740608842266757*^9}, {3.740681542445443*^9, 
   3.740681550028051*^9}, 3.7406816024856*^9, {3.740683557506266*^9, 
   3.7406835591693172`*^9}, {3.740683701347871*^9, 3.7406837199954844`*^9}, {
   3.740683788292307*^9, 3.740683816140383*^9}, 3.740683860070107*^9, {
   3.740683959334951*^9, 3.740683959509618*^9}, {3.740684106194573*^9, 
   3.740684123671784*^9}, {3.740761638220492*^9, 3.7407616448515377`*^9}, {
   3.740762200091877*^9, 3.740762208130501*^9}, {3.740771329431747*^9, 
   3.7407713317994003`*^9}, {3.740771390471946*^9, 3.740771402624496*^9}, {
   3.740774509306134*^9, 3.740774663610997*^9}, {3.740795500018539*^9, 
   3.7407955392621326`*^9}, {3.740795586907669*^9, 3.740795687093956*^9}, {
   3.740795850127431*^9, 3.740795878693993*^9}, {3.740796105930129*^9, 
   3.7407961442029533`*^9}, {3.7407961970597973`*^9, 3.740796223359706*^9}, {
   3.740796282741811*^9, 3.7407963507417717`*^9}, 3.740796513798683*^9, 
   3.740796613096772*^9, {3.740796685064859*^9, 3.7407967158968487`*^9}, {
   3.7407968521174507`*^9, 3.740796917798925*^9}, {3.740797167078702*^9, 
   3.740797169456839*^9}, {3.74079731407102*^9, 3.740797369999383*^9}, {
   3.7407974196093483`*^9, 3.740797430816*^9}, {3.740797519649976*^9, 
   3.740797540361771*^9}, 3.7408371661490107`*^9, {3.7408372213382196`*^9, 
   3.740837226533123*^9}, {3.74083808338941*^9, 3.740838117550535*^9}, {
   3.7408381810308933`*^9, 3.7408381867510138`*^9}, {3.740838537826195*^9, 
   3.740838551490367*^9}, {3.740838591951912*^9, 3.740838611595264*^9}, {
   3.740838784955126*^9, 3.740838795021241*^9}, {3.74083882776719*^9, 
   3.740838884301729*^9}, {3.740838931495618*^9, 3.74083894119874*^9}, {
   3.740839218945964*^9, 3.740839303482072*^9}, {3.740839401515195*^9, 
   3.740839403370669*^9}, {3.740853614104671*^9, 3.740853618165433*^9}, {
   3.740853649712178*^9, 3.740853649942337*^9}, {3.740853990957955*^9, 
   3.740854004403384*^9}, 3.740854056539691*^9, {3.740856235890444*^9, 
   3.740856241527759*^9}, {3.740856414981751*^9, 3.740856419297221*^9}, {
   3.7408565831723967`*^9, 3.740856616628172*^9}, {3.7409302095687838`*^9, 
   3.740930212110573*^9}, {3.7409302728582067`*^9, 3.740930294472026*^9}, {
   3.740930498452726*^9, 3.740930506730218*^9}, {3.7409306800630617`*^9, 
   3.740930682958774*^9}, {3.740930723550417*^9, 3.740930729573358*^9}, {
   3.7414629390060587`*^9, 3.7414629406699123`*^9}, {3.741541013174459*^9, 
   3.7415410517279167`*^9}, {3.7417274828618917`*^9, 
   3.7417275063004017`*^9}, {3.741876415240922*^9, 3.741876416511086*^9}, {
   3.7451518396996517`*^9, 3.745151930181757*^9}, 3.7451519623933887`*^9, {
   3.745152094272016*^9, 3.7451521043188343`*^9}, {3.7451522432419043`*^9, 
   3.7451522536058207`*^9}, {3.7452643479070168`*^9, 3.74526435175492*^9}, {
   3.745427410687183*^9, 3.745427412063155*^9}, {3.748298269054451*^9, 
   3.748298304526379*^9}, {3.748298335526725*^9, 3.748298345284267*^9}, {
   3.7482986472886877`*^9, 3.748298720831216*^9}, {3.748298765933154*^9, 
   3.748298787449725*^9}, {3.748298823161148*^9, 3.748298882241592*^9}, {
   3.748298954042078*^9, 3.74829898105015*^9}, {3.748303223417592*^9, 
   3.748303223922669*^9}, {3.748363802917398*^9, 3.748363828133451*^9}, {
   3.7483660904136543`*^9, 3.748366101629273*^9}, {3.748892932006562*^9, 
   3.748892940037942*^9}, {3.748892990515438*^9, 3.748892992591467*^9}, {
   3.7495065079809227`*^9, 3.749506509613158*^9}, {3.7503508763163853`*^9, 
   3.750350880255706*^9}, {3.750884616303555*^9, 3.750884626791079*^9}, 
   3.7906103491724*^9, {3.791239688288006*^9, 3.791239689288879*^9}},
 CellLabel->
  "In[1488]:=",ExpressionUUID->"c6dd5486-dd68-456a-a190-3c41bd7c3aca"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"tEpushPlot", "[", "ii", "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"C2rect", "[", 
          RowBox[{
           RowBox[{"tEpush", "[", "ii", "]"}], "[", 
           RowBox[{"i", ",", "j", ",", "1"}], "]"}], "]"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "/", "2"}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"tEpushMidLength2", "[", 
               RowBox[{"i", ",", "j"}], "]"}], "+", "1"}], ")"}]}]}], "}"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"PlotStyle", "\[Rule]", "Black"}]}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "tEpushLength0"}], "}"}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", 
         RowBox[{"tEpushMidLength0", "[", "i", "]"}]}], "}"}]}], 
      "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"C2rect", "[", 
          RowBox[{
           RowBox[{"tEpush", "[", "ii", "]"}], "[", 
           RowBox[{"i", ",", "j", ",", "k"}], "]"}], "]"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"k", "-", 
              RowBox[{"1", "/", "2"}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"tEpushMidLength2", "[", 
               RowBox[{"i", ",", "j"}], "]"}], "+", "1"}], ")"}]}], ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"k", "+", 
              RowBox[{"1", "/", "2"}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"tEpushMidLength2", "[", 
               RowBox[{"i", ",", "j"}], "]"}], "+", "1"}], ")"}]}]}], "}"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"PlotStyle", "\[Rule]", "Black"}]}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "tEpushLength0"}], "}"}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", 
         RowBox[{"tEpushMidLength0", "[", "i", "]"}]}], "}"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", 
         RowBox[{"tEpushMidLength2", "[", 
          RowBox[{"i", ",", "j"}], "]"}]}], "}"}]}], "\[IndentingNewLine]", 
      "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"C2rect", "[", 
          RowBox[{
           RowBox[{"tEpush", "[", "ii", "]"}], "[", 
           RowBox[{"i", ",", "j", ",", 
            RowBox[{"tEpushMidLength2", "[", 
             RowBox[{"i", ",", "j"}], "]"}]}], "]"}], "]"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", 
           RowBox[{"1", "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "/", "2"}], ")"}], "/", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"tEpushMidLength2", "[", 
                RowBox[{"i", ",", "j"}], "]"}], "+", "1"}], ")"}]}]}], ",", 
           "1"}], "}"}], "\[IndentingNewLine]", ",", 
         RowBox[{"PlotStyle", "\[Rule]", "Black"}]}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "tEpushLength0"}], "}"}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", 
         RowBox[{"tEpushMidLength0", "[", "i", "]"}]}], "}"}]}], 
      "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.7405879306703444`*^9, 3.7405879320991497`*^9}, {
   3.740589044117758*^9, 3.740589110070539*^9}, {3.7405891473441963`*^9, 
   3.7405892305950727`*^9}, {3.740589270912422*^9, 3.740589303425105*^9}, {
   3.740589335144986*^9, 3.740589382705865*^9}, {3.740589424922188*^9, 
   3.740589445042222*^9}, {3.740590371092396*^9, 3.74059038349119*^9}, {
   3.740590414995203*^9, 3.74059042603559*^9}, {3.7405904564211273`*^9, 
   3.7405904611959476`*^9}, {3.74059263147539*^9, 3.740592634761989*^9}, {
   3.740592742572021*^9, 3.740592744539617*^9}, {3.740592872132888*^9, 
   3.740592872244825*^9}, {3.7405940038481293`*^9, 3.740594035638294*^9}, {
   3.740594091403318*^9, 3.7405941039925127`*^9}, {3.740594144433024*^9, 
   3.740594205113769*^9}, {3.740595165403214*^9, 3.740595166172611*^9}, {
   3.740608842172483*^9, 3.740608842266757*^9}, {3.740681542445443*^9, 
   3.740681550028051*^9}, 3.7406816024856*^9, {3.740683557506266*^9, 
   3.7406835591693172`*^9}, {3.740683701347871*^9, 3.7406837199954844`*^9}, {
   3.740683788292307*^9, 3.740683816140383*^9}, 3.740683860070107*^9, {
   3.740683959334951*^9, 3.740683959509618*^9}, {3.740684106194573*^9, 
   3.740684123671784*^9}, {3.740761638220492*^9, 3.7407616448515377`*^9}, {
   3.740762200091877*^9, 3.740762208130501*^9}, {3.740771329431747*^9, 
   3.7407713317994003`*^9}, {3.740771390471946*^9, 3.740771402624496*^9}, {
   3.740774509306134*^9, 3.740774663610997*^9}, {3.740795500018539*^9, 
   3.7407955392621326`*^9}, {3.740795586907669*^9, 3.740795687093956*^9}, {
   3.740795850127431*^9, 3.740795878693993*^9}, {3.740796105930129*^9, 
   3.7407961442029533`*^9}, {3.7407961970597973`*^9, 3.740796223359706*^9}, {
   3.740796282741811*^9, 3.7407963507417717`*^9}, 3.740796513798683*^9, 
   3.740796613096772*^9, {3.740796685064859*^9, 3.7407967158968487`*^9}, {
   3.7407968521174507`*^9, 3.740796917798925*^9}, {3.740797167078702*^9, 
   3.740797169456839*^9}, {3.74079731407102*^9, 3.740797369999383*^9}, {
   3.7407974196093483`*^9, 3.740797430816*^9}, {3.740797519649976*^9, 
   3.740797540361771*^9}, 3.7408371661490107`*^9, {3.7408372213382196`*^9, 
   3.740837226533123*^9}, {3.74083808338941*^9, 3.740838117550535*^9}, {
   3.7408381810308933`*^9, 3.7408381867510138`*^9}, {3.740838537826195*^9, 
   3.740838551490367*^9}, {3.740838591951912*^9, 3.740838611595264*^9}, {
   3.740838784955126*^9, 3.740838795021241*^9}, {3.74083882776719*^9, 
   3.740838884301729*^9}, {3.740838931495618*^9, 3.74083894119874*^9}, {
   3.740839218945964*^9, 3.740839303482072*^9}, {3.740839401515195*^9, 
   3.740839403370669*^9}, {3.740853614104671*^9, 3.740853618165433*^9}, {
   3.740853649712178*^9, 3.740853649942337*^9}, {3.740853990957955*^9, 
   3.740854004403384*^9}, 3.740854056539691*^9, {3.740856235890444*^9, 
   3.740856241527759*^9}, {3.740856414981751*^9, 3.740856419297221*^9}, {
   3.7408565831723967`*^9, 3.740856616628172*^9}, {3.7409302095687838`*^9, 
   3.740930212110573*^9}, {3.7409302728582067`*^9, 3.740930294472026*^9}, {
   3.740930498452726*^9, 3.740930506730218*^9}, {3.7409306800630617`*^9, 
   3.740930682958774*^9}, {3.740930723550417*^9, 3.740930729573358*^9}, {
   3.7414629390060587`*^9, 3.7414629406699123`*^9}, {3.741541013174459*^9, 
   3.7415410517279167`*^9}, {3.7417274828618917`*^9, 
   3.7417275063004017`*^9}, {3.741876415240922*^9, 3.741876416511086*^9}, {
   3.7451518396996517`*^9, 3.745151930181757*^9}, 3.7451519623933887`*^9, {
   3.745152094272016*^9, 3.7451521043188343`*^9}, {3.7451522432419043`*^9, 
   3.7451522536058207`*^9}, {3.7452643479070168`*^9, 3.74526435175492*^9}, {
   3.745427410687183*^9, 3.745427412063155*^9}, {3.748298269054451*^9, 
   3.748298304526379*^9}, {3.748298335526725*^9, 3.748298345284267*^9}, {
   3.7482986472886877`*^9, 3.748298720831216*^9}, {3.748298765933154*^9, 
   3.748298787449725*^9}, {3.748298823161148*^9, 3.748298882241592*^9}, {
   3.748298954042078*^9, 3.74829898105015*^9}, {3.748303223417592*^9, 
   3.748303223922669*^9}, {3.748363802917398*^9, 3.748363828133451*^9}, {
   3.7483660904136543`*^9, 3.748366101629273*^9}, {3.748367432684739*^9, 
   3.748367440023418*^9}, {3.7483675141549273`*^9, 3.748367528777931*^9}, {
   3.74889344541744*^9, 3.7488934531161327`*^9}, {3.749506503885461*^9, 
   3.7495065057309732`*^9}, {3.7503508363327427`*^9, 3.750350851034176*^9}, {
   3.7508846356628313`*^9, 3.7508846513987637`*^9}},
 CellLabel->
  "In[1489]:=",ExpressionUUID->"14a903cb-3cc9-4769-8380-5981a506f784"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rr", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"csCPlot", "\[IndentingNewLine]", "\[IndentingNewLine]", ",", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Orange", ",", 
          RowBox[{"PointSize", "[", 
           RowBox[{
            RowBox[{"i", "/", "300"}], "+", 
            RowBox[{"j", "/", "400"}], "+", 
            RowBox[{"k", "/", "500"}]}], "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Point", "[", 
           RowBox[{"C2rect", "[", 
            RowBox[{
             RowBox[{"pEpushMid", "[", "1", "]"}], "[", 
             RowBox[{"i", ",", "j", ",", "k"}], "]"}], "]"}], "]"}]}], "}"}], 
        "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "pEpushLength0"}], "}"}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", 
         RowBox[{"pEpushMidLength0", "[", "i", "]"}]}], "}"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", 
         RowBox[{"pEpushMidLength2", "[", 
          RowBox[{"i", ",", "j"}], "]"}]}], "}"}]}], "\[IndentingNewLine]", 
      "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Blue", ",", 
          RowBox[{"PointSize", "[", 
           RowBox[{
            RowBox[{"i", "/", "300"}], "+", 
            RowBox[{"j", "/", "400"}], "+", 
            RowBox[{"k", "/", "500"}]}], "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Point", "[", 
           RowBox[{"C2rect", "[", 
            RowBox[{
             RowBox[{"tEpushMid", "[", "1", "]"}], "[", 
             RowBox[{"i", ",", "j", ",", "k"}], "]"}], "]"}], "]"}]}], "}"}], 
        "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "tEpushLength0"}], "}"}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", 
         RowBox[{"tEpushMidLength0", "[", "i", "]"}]}], "}"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", 
         RowBox[{"tEpushMidLength2", "[", 
          RowBox[{"i", ",", "j"}], "]"}]}], "}"}]}], "\[IndentingNewLine]", 
      "]"}], "\[IndentingNewLine]", ",", "\[IndentingNewLine]", 
     RowBox[{"pEpullPlot", "[", "1", "]"}], ",", 
     RowBox[{"pEpushPlot", "[", "1", "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"tEpullPlot", "[", "1", "]"}], ",", 
     RowBox[{"tEpushPlot", "[", "1", "]"}]}], "\[IndentingNewLine]", "}"}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"Boxed", "->", "False"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Axes", "\[Rule]", "False"}], "\[IndentingNewLine]", ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "rr"}], ",", "rr"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "rr"}], ",", "rr"}], "}"}]}], "}"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"ImageSize", "\[Rule]", "400"}]}], "\[IndentingNewLine]", 
  "]"}]}], "Input",
 CellChangeTimes->{{3.740773991623945*^9, 3.740774000620761*^9}, 
   3.74077412843491*^9, {3.740775191205741*^9, 3.740775191446814*^9}, {
   3.740775411424519*^9, 3.74077543522258*^9}, {3.740775509437505*^9, 
   3.740775538317618*^9}, 3.7407797820861893`*^9, {3.741379524913806*^9, 
   3.74137953303974*^9}, {3.741379570332801*^9, 3.741379658027494*^9}, {
   3.741379691926465*^9, 3.741379708577407*^9}, {3.741379743394052*^9, 
   3.741379760697777*^9}, {3.741379797363864*^9, 3.741379804906722*^9}, {
   3.741379934275462*^9, 3.7413799398116093`*^9}, {3.74138281273657*^9, 
   3.741382835831379*^9}, {3.74146300929521*^9, 3.741463064998629*^9}, {
   3.7415412505380497`*^9, 3.741541250799823*^9}, {3.7415417957931433`*^9, 
   3.741541800213108*^9}, {3.741541833543511*^9, 3.7415418336048403`*^9}, {
   3.741541889395224*^9, 3.741541899307249*^9}, {3.741547625928699*^9, 
   3.7415476544896317`*^9}, {3.7415477025913877`*^9, 3.7415477076258917`*^9}, 
   3.74172743586088*^9, {3.7417275920247087`*^9, 3.741727671852098*^9}, {
   3.741876728723171*^9, 3.741876737897326*^9}, 3.748363904707549*^9, {
   3.748363940018045*^9, 3.7483639410323267`*^9}, {3.7483642705967407`*^9, 
   3.748364270706085*^9}, {3.7483643554375877`*^9, 3.74836436929911*^9}, {
   3.7483660267967167`*^9, 3.7483660414113293`*^9}, {3.748366133573078*^9, 
   3.7483661580685797`*^9}, {3.748367371778015*^9, 3.7483673731519127`*^9}, {
   3.74836745846952*^9, 3.748367461814755*^9}, {3.748367743836048*^9, 
   3.748367744515614*^9}, {3.7483687601661587`*^9, 3.748368787340621*^9}, {
   3.7483688309500103`*^9, 3.748368831029025*^9}, {3.748368864070594*^9, 
   3.748368864148418*^9}, {3.748368905918927*^9, 3.7483690063655376`*^9}, {
   3.748369177890267*^9, 3.748369197744728*^9}, {3.748369276123115*^9, 
   3.748369282279244*^9}, {3.748369317906364*^9, 3.748369318089115*^9}, {
   3.748369365683845*^9, 3.748369438466425*^9}, {3.748369500191909*^9, 
   3.748369506491622*^9}, {3.748369853271639*^9, 3.748369883642*^9}, {
   3.748369935311376*^9, 3.748369943951003*^9}, {3.748374621709214*^9, 
   3.7483746917967453`*^9}, {3.748374728463991*^9, 3.7483747436699533`*^9}, {
   3.748375348483365*^9, 3.748375359546558*^9}, {3.748550486651227*^9, 
   3.748550486706098*^9}, {3.74855494865136*^9, 3.748554948722671*^9}, {
   3.748876145510975*^9, 3.748876146413487*^9}, {3.748893477203203*^9, 
   3.7488934787457943`*^9}, {3.74889417375662*^9, 3.7488941744835367`*^9}, {
   3.748894456500476*^9, 3.7488944579893837`*^9}, {3.74948234493163*^9, 
   3.749482352906901*^9}, {3.7508846857215223`*^9, 3.750884708326686*^9}, {
   3.751484115373912*^9, 3.751484129881456*^9}, {3.751484197403249*^9, 
   3.751484284491145*^9}, {3.751485293579845*^9, 3.7514853181881533`*^9}, {
   3.7514855050140038`*^9, 3.7514855538951197`*^9}, {3.751485930660048*^9, 
   3.751485931082114*^9}, {3.751662372271043*^9, 3.7516623991211042`*^9}, {
   3.75166243094566*^9, 3.75166248557835*^9}, {3.751746537458022*^9, 
   3.751746537847827*^9}},
 CellLabel->
  "In[1490]:=",ExpressionUUID->"54ae7c6d-a64e-4abd-9d3f-40f3067ff90b"],

Cell[TextData[{
 "repeat the push-pull process using the second-generation pulled edges to \
obtain third-generation pulled edges  ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["P", "3"], TraditionalForm]],ExpressionUUID->
  "696bb8cd-4cbc-43b4-b1ae-d5625782cde4"],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["T", "3"], TraditionalForm]],ExpressionUUID->
  "7737ca29-5278-494a-a37c-972525403a3c"],
 "; dots indicate pushed centers of Taylor expansions on the second \
generation edges (lengthy runtime)"
}], "Text",
 CellChangeTimes->{{3.790285722934781*^9, 3.790285733348094*^9}, {
  3.7902873645359297`*^9, 3.79028737518073*^9}, {3.790610214273769*^9, 
  3.790610252715795*^9}, {3.79061029330894*^9, 3.790610347239954*^9}, {
  3.7906364857441998`*^9, 3.790636502355156*^9}, {3.7906368060678473`*^9, 
  3.790636813949567*^9}, {3.791310000689077*^9, 3.7913100081754417`*^9}},
 Background->GrayLevel[
  1],ExpressionUUID->"8f7e60c0-7c01-4589-afc8-db159f18750f"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ii", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Do", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"pEpullMidList", "[", "ii", "]"}], "[", 
      RowBox[{"i", ",", "j", ",", "k"}], "]"}], "=", 
     RowBox[{"z", "/.", 
      RowBox[{"Solve", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"g31C", "[", "mapnum", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"pEpushMid", "[", 
          RowBox[{"ii", "-", "1"}], "]"}], "[", 
         RowBox[{"i", ",", "j", ",", "k"}], "]"}]}], "\[IndentingNewLine]", 
       "]"}]}]}], "\[IndentingNewLine]", ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "pEpushLength0"}], "}"}], "\[IndentingNewLine]", ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", 
      RowBox[{"pEpushMidLength0", "[", "i", "]"}]}], "}"}], 
    "\[IndentingNewLine]", ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", 
      RowBox[{"pEpushMidLength2", "[", 
       RowBox[{"i", ",", "j"}], "]"}]}], "}"}]}], "]"}], "//", 
  "Quiet"}]}], "Input",
 CellChangeTimes->{{3.740773991623945*^9, 3.740774000620761*^9}, 
   3.74077412843491*^9, {3.740775191205741*^9, 3.740775191446814*^9}, {
   3.740775411424519*^9, 3.7407754540642853`*^9}, {3.74135404512638*^9, 
   3.741354052931313*^9}, {3.741354098680603*^9, 3.741354145149066*^9}, {
   3.741354220134181*^9, 3.741354363443994*^9}, {3.741354562178336*^9, 
   3.741354684906056*^9}, {3.741357650628766*^9, 3.7413576602830477`*^9}, {
   3.741359118450185*^9, 3.741359120549417*^9}, 3.7455226752645807`*^9, {
   3.747061335647574*^9, 3.747061336429832*^9}, {3.7482667735609007`*^9, 
   3.748266779551776*^9}, {3.748266838610117*^9, 3.748266849200533*^9}, 
   3.748550140935758*^9, {3.7488867531041822`*^9, 3.748886764763154*^9}, {
   3.751481496507639*^9, 3.751481504281168*^9}, {3.7514818256880302`*^9, 
   3.751481852268259*^9}, {3.75149294467767*^9, 3.7514930145808067`*^9}},
 CellLabel->
  "In[1492]:=",ExpressionUUID->"70cd4d18-ec86-499d-9d3e-2ae05efe7150"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Do", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"tEpullMidList", "[", "ii", "]"}], "[", 
      RowBox[{"i", ",", "j", ",", "k"}], "]"}], "=", 
     RowBox[{"z", "/.", 
      RowBox[{"Solve", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"g31C", "[", "mapnum", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"tEpushMid", "[", 
          RowBox[{"ii", "-", "1"}], "]"}], "[", 
         RowBox[{"i", ",", "j", ",", "k"}], "]"}]}], "\[IndentingNewLine]", 
       "]"}]}]}], "\[IndentingNewLine]", ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "tEpushLength0"}], "}"}], "\[IndentingNewLine]", ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", 
      RowBox[{"tEpushMidLength0", "[", "i", "]"}]}], "}"}], 
    "\[IndentingNewLine]", ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", 
      RowBox[{"tEpushMidLength2", "[", 
       RowBox[{"i", ",", "j"}], "]"}]}], "}"}]}], "]"}], "//", 
  "Quiet"}]], "Input",
 CellChangeTimes->{{3.740773991623945*^9, 3.740774000620761*^9}, 
   3.74077412843491*^9, {3.740775191205741*^9, 3.740775191446814*^9}, {
   3.740775411424519*^9, 3.7407754540642853`*^9}, {3.74135404512638*^9, 
   3.741354052931313*^9}, {3.741354098680603*^9, 3.741354145149066*^9}, {
   3.741354220134181*^9, 3.741354363443994*^9}, {3.741354562178336*^9, 
   3.741354684906056*^9}, {3.741357650628766*^9, 3.7413576602830477`*^9}, {
   3.741359118450185*^9, 3.741359120549417*^9}, 3.7455226752645807`*^9, {
   3.747061335647574*^9, 3.747061336429832*^9}, {3.7482667735609007`*^9, 
   3.748266779551776*^9}, {3.748266838610117*^9, 3.748266849200533*^9}, 
   3.748550140935758*^9, {3.7488867531041822`*^9, 3.748886764763154*^9}, {
   3.751481540816535*^9, 3.751481546247704*^9}, {3.7514818586774397`*^9, 
   3.751481864556293*^9}, {3.751493088556116*^9, 3.751493131892528*^9}},
 CellLabel->
  "In[1494]:=",ExpressionUUID->"e9f6ffdb-88c2-4ce2-88aa-50111015ade7"],

Cell[BoxData[{
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"pEpullMidMin", "[", "ii", "]"}], "[", 
     RowBox[{"i", ",", "j", ",", "k"}], "]"}], "=", 
    RowBox[{"Min", "[", 
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"Abs", "[", 
         RowBox[{"pV1", "-", 
          RowBox[{
           RowBox[{
            RowBox[{"pEpullMidList", "[", "ii", "]"}], "[", 
            RowBox[{"i", ",", "j", ",", "k"}], "]"}], "[", 
           RowBox[{"[", "m", "]"}], "]"}]}], "]"}], "+", 
        "\[IndentingNewLine]", 
        RowBox[{"Abs", "[", 
         RowBox[{"pV2", "-", 
          RowBox[{
           RowBox[{
            RowBox[{"pEpullMidList", "[", "ii", "]"}], "[", 
            RowBox[{"i", ",", "j", ",", "k"}], "]"}], "[", 
           RowBox[{"[", "m", "]"}], "]"}]}], "]"}]}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"m", ",", 
         RowBox[{"Length", "[", 
          RowBox[{
           RowBox[{"pEpullMidList", "[", "ii", "]"}], "[", 
           RowBox[{"i", ",", "j", ",", "k"}], "]"}], "]"}]}], "}"}]}], "]"}], 
     "]"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "pEpushLength0"}], "}"}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", 
     RowBox[{"pEpushMidLength0", "[", "i", "]"}]}], "}"}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", 
     RowBox[{"pEpushMidLength2", "[", 
      RowBox[{"i", ",", "j"}], "]"}]}], "}"}]}], "]"}], "\n", 
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"tEpullMidMin", "[", "ii", "]"}], "[", 
     RowBox[{"i", ",", "j", ",", "k"}], "]"}], "=", 
    RowBox[{"Min", "[", 
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"Abs", "[", 
         RowBox[{"tV1", "-", 
          RowBox[{
           RowBox[{
            RowBox[{"tEpullMidList", "[", "ii", "]"}], "[", 
            RowBox[{"i", ",", "j", ",", "k"}], "]"}], "[", 
           RowBox[{"[", "m", "]"}], "]"}]}], "]"}], "+", 
        "\[IndentingNewLine]", 
        RowBox[{"Abs", "[", 
         RowBox[{"tV2", "-", 
          RowBox[{
           RowBox[{
            RowBox[{"tEpullMidList", "[", "ii", "]"}], "[", 
            RowBox[{"i", ",", "j", ",", "k"}], "]"}], "[", 
           RowBox[{"[", "m", "]"}], "]"}]}], "]"}]}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"m", ",", 
         RowBox[{"Length", "[", 
          RowBox[{
           RowBox[{"tEpullMidList", "[", "ii", "]"}], "[", 
           RowBox[{"i", ",", "j", ",", "k"}], "]"}], "]"}]}], "}"}]}], "]"}], 
     "]"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "tEpushLength0"}], "}"}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", 
     RowBox[{"tEpushMidLength0", "[", "i", "]"}]}], "}"}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", 
     RowBox[{"tEpushMidLength2", "[", 
      RowBox[{"i", ",", "j"}], "]"}]}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.740773991623945*^9, 3.740774000620761*^9}, 
   3.74077412843491*^9, {3.740775191205741*^9, 3.740775191446814*^9}, {
   3.740775411424519*^9, 3.7407754540642853`*^9}, {3.74135404512638*^9, 
   3.741354052931313*^9}, {3.741354098680603*^9, 3.741354145149066*^9}, {
   3.741354220134181*^9, 3.741354363443994*^9}, {3.741354562178336*^9, 
   3.7413546969528017`*^9}, {3.741357629220471*^9, 3.741357632202745*^9}, {
   3.741359245438451*^9, 3.741359247166444*^9}, 3.741794360788785*^9, 
   3.748267099541132*^9, 3.748550151059256*^9, {3.75028271724926*^9, 
   3.7502827230939713`*^9}, {3.751481555033229*^9, 3.751481555759981*^9}, {
   3.751481643921442*^9, 3.751481674737084*^9}, {3.751481883035924*^9, 
   3.751481918811616*^9}, {3.751495702648389*^9, 3.751495755936555*^9}, {
   3.751661726228302*^9, 3.751661778907424*^9}, {3.75166258209974*^9, 
   3.751662611721674*^9}, {3.751662801525765*^9, 3.7516628017250233`*^9}, {
   3.751662971711111*^9, 3.751662991942656*^9}},
 CellLabel->
  "In[1495]:=",ExpressionUUID->"d24ac2a4-42d0-4991-accc-e85df4a5d2e6"],

Cell[BoxData[{
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"pEpullMid", "[", "ii", "]"}], "[", 
     RowBox[{"i", ",", "j", ",", "k"}], "]"}], "=", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Select", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"pEpullMidList", "[", "ii", "]"}], "[", 
        RowBox[{"i", ",", "j", ",", "k"}], "]"}], ",", "\[IndentingNewLine]", 
       
       RowBox[{
        RowBox[{
         RowBox[{"rat", "[", 
          RowBox[{
           RowBox[{"Abs", "[", 
            RowBox[{"pV1", "-", "#"}], "]"}], "+", 
           RowBox[{"Abs", "[", 
            RowBox[{"pV2", "-", "#"}], "]"}], "-", " ", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"pEpullMidMin", "[", "ii", "]"}], "[", 
            RowBox[{"i", ",", "j", ",", "k"}], "]"}]}], "]"}], "\[Equal]", 
         "0"}], "\[IndentingNewLine]", "&"}]}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "pEpushLength0"}], "}"}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", 
     RowBox[{"pEpushMidLength0", "[", "i", "]"}]}], "}"}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", 
     RowBox[{"pEpushMidLength2", "[", 
      RowBox[{"i", ",", "j"}], "]"}]}], "}"}]}], "\[IndentingNewLine]", 
  "]"}], "\n", 
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"tEpullMid", "[", "ii", "]"}], "[", 
     RowBox[{"i", ",", "j", ",", "k"}], "]"}], "=", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Select", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"tEpullMidList", "[", "ii", "]"}], "[", 
        RowBox[{"i", ",", "j", ",", "k"}], "]"}], ",", "\[IndentingNewLine]", 
       
       RowBox[{
        RowBox[{
         RowBox[{"rat", "[", 
          RowBox[{
           RowBox[{"Abs", "[", 
            RowBox[{"tV1", "-", "#"}], "]"}], "+", 
           RowBox[{"Abs", "[", 
            RowBox[{"tV2", "-", "#"}], "]"}], "-", " ", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"tEpullMidMin", "[", "ii", "]"}], "[", 
            RowBox[{"i", ",", "j", ",", "k"}], "]"}]}], "]"}], "\[Equal]", 
         "0"}], "\[IndentingNewLine]", "&"}]}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "tEpushLength0"}], "}"}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", 
     RowBox[{"tEpushMidLength0", "[", "i", "]"}]}], "}"}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", 
     RowBox[{"tEpushMidLength2", "[", 
      RowBox[{"i", ",", "j"}], "]"}]}], "}"}]}], "\[IndentingNewLine]", 
  "]"}]}], "Input",
 CellChangeTimes->{{3.740773991623945*^9, 3.740774000620761*^9}, 
   3.74077412843491*^9, {3.740775191205741*^9, 3.740775191446814*^9}, {
   3.740775411424519*^9, 3.7407754540642853`*^9}, {3.74135404512638*^9, 
   3.741354052931313*^9}, {3.741354098680603*^9, 3.741354145149066*^9}, {
   3.741354220134181*^9, 3.741354363443994*^9}, {3.741354562178336*^9, 
   3.7413546969528017`*^9}, {3.741354756715313*^9, 3.741354899724183*^9}, {
   3.7413576969172688`*^9, 3.7413577256361437`*^9}, {3.7413593679857388`*^9, 
   3.741359392736697*^9}, {3.748267201766481*^9, 3.748267208700086*^9}, {
   3.748267293126384*^9, 3.748267350495636*^9}, 3.7485501605393877`*^9, {
   3.750282732847784*^9, 3.7502827528861*^9}, {3.751481705062263*^9, 
   3.751481705387247*^9}, {3.7514817559353*^9, 3.751481790580414*^9}, 
   3.751481821790175*^9, {3.75148195089948*^9, 3.75148196003586*^9}, {
   3.751662622821217*^9, 3.751662711379874*^9}},
 CellLabel->
  "In[1497]:=",ExpressionUUID->"cf6c7bc2-2d5d-4852-ada4-a0aade8ccc7e"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rr", "=", ".22"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"csCPlot", ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Cyan", ",", 
          RowBox[{"PointSize", "[", ".01", "]"}], ",", "\[IndentingNewLine]", 
          
          RowBox[{"Point", "[", 
           RowBox[{"C2rect", "[", 
            RowBox[{"s2C", "[", 
             RowBox[{
              RowBox[{"rot3", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", "Pi"}], "]"}],
               ".", "pentVert1"}], "]"}], "]"}], "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Magenta", ",", 
          RowBox[{"PointSize", "[", ".01", "]"}], ",", "\[IndentingNewLine]", 
          
          RowBox[{"Point", "[", 
           RowBox[{"C2rect", "[", 
            RowBox[{"s2C", "[", 
             RowBox[{
              RowBox[{"rot3", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", "Pi"}], "]"}],
               ".", "pentVert2"}], "]"}], "]"}], "]"}]}], "}"}], 
        "\[IndentingNewLine]", ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Magenta", ",", 
          RowBox[{"PointSize", "[", ".01", "]"}], ",", "\[IndentingNewLine]", 
          
          RowBox[{"Point", "[", 
           RowBox[{"C2rect", "[", 
            RowBox[{"s2C", "[", 
             RowBox[{
              RowBox[{"rot3", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", "Pi"}], "]"}],
               ".", "triVert2"}], "]"}], "]"}], "]"}]}], "}"}]}], 
       "\[IndentingNewLine]", "}"}], "]"}], ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Orange", ",", 
          RowBox[{"PointSize", "[", 
           RowBox[{
            RowBox[{"i", "/", "300"}], "+", 
            RowBox[{"j", "/", "400"}], "+", 
            RowBox[{"k", "/", "500"}]}], "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Point", "[", 
           RowBox[{"C2rect", "[", 
            RowBox[{
             RowBox[{"pEpullMid", "[", "2", "]"}], "[", 
             RowBox[{"i", ",", "j", ",", "k"}], "]"}], "]"}], "]"}]}], "}"}], 
        "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "pEpushLength0"}], "}"}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", 
         RowBox[{"pEpushMidLength0", "[", "i", "]"}]}], "}"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", 
         RowBox[{"pEpushMidLength2", "[", 
          RowBox[{"i", ",", "j"}], "]"}]}], "}"}]}], "\[IndentingNewLine]", 
      "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Blue", ",", 
          RowBox[{"PointSize", "[", 
           RowBox[{
            RowBox[{"i", "/", "300"}], "+", 
            RowBox[{"j", "/", "400"}], "+", 
            RowBox[{"k", "/", "500"}]}], "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Point", "[", 
           RowBox[{"C2rect", "[", 
            RowBox[{
             RowBox[{"tEpullMid", "[", "2", "]"}], "[", 
             RowBox[{"i", ",", "j", ",", "k"}], "]"}], "]"}], "]"}]}], "}"}], 
        "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "tEpushLength0"}], "}"}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", 
         RowBox[{"tEpushMidLength0", "[", "i", "]"}]}], "}"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", 
         RowBox[{"tEpushMidLength2", "[", 
          RowBox[{"i", ",", "j"}], "]"}]}], "}"}]}], "\[IndentingNewLine]", 
      "]"}]}], "\[IndentingNewLine]", "}"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Boxed", "->", "False"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Axes", "\[Rule]", "False"}], "\[IndentingNewLine]", ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", ".1"}], ",", ".5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "rr"}], ",", ".3"}], "}"}]}], "}"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"ImageSize", "\[Rule]", "400"}]}], "\[IndentingNewLine]", 
  "]"}]}], "Input",
 CellChangeTimes->{{3.740773991623945*^9, 3.740774000620761*^9}, 
   3.74077412843491*^9, {3.740775191205741*^9, 3.740775191446814*^9}, {
   3.740775411424519*^9, 3.74077543522258*^9}, 3.740775509437505*^9, 
   3.740779886376218*^9, 3.741355007445841*^9, {3.741355064386917*^9, 
   3.741355080679756*^9}, {3.741357506371196*^9, 3.7413575398594027`*^9}, {
   3.741359469264419*^9, 3.741359518934718*^9}, {3.741362435950206*^9, 
   3.741362463661446*^9}, {3.741381539551405*^9, 3.741381562481379*^9}, 
   3.7413815978219137`*^9, {3.7413816340985527`*^9, 3.741381658383115*^9}, {
   3.74138175624561*^9, 3.74138176276357*^9}, {3.741381804080544*^9, 
   3.741381840984886*^9}, {3.741381873649268*^9, 3.7413820184418373`*^9}, {
   3.741382067427575*^9, 3.741382090449078*^9}, {3.741805505967198*^9, 
   3.741805549925321*^9}, {3.741805597175994*^9, 3.741805677134695*^9}, {
   3.741805725536812*^9, 3.741805778519246*^9}, 3.741805817045801*^9, {
   3.741873954860387*^9, 3.74187397865827*^9}, {3.74187400884938*^9, 
   3.741874043427486*^9}, {3.745522898375985*^9, 3.745523067127684*^9}, {
   3.745873114199834*^9, 3.745873144286501*^9}, {3.745873229507718*^9, 
   3.745873230959989*^9}, {3.745941904709507*^9, 3.7459419166728363`*^9}, {
   3.747061682620611*^9, 3.747061710274742*^9}, {3.748267542076929*^9, 
   3.7482675814166727`*^9}, {3.748875744427431*^9, 3.748875745834264*^9}, {
   3.748990145366012*^9, 3.748990215713292*^9}, 3.748990270282887*^9, 
   3.7502827753849897`*^9, {3.7514819967739983`*^9, 3.751481997964548*^9}, {
   3.751482040366678*^9, 3.751482041511724*^9}, {3.751663146361771*^9, 
   3.7516631571204567`*^9}, {3.751663268184393*^9, 3.7516632726985197`*^9}, {
   3.7516633863809347`*^9, 3.751663390419833*^9}},
 CellLabel->
  "In[1499]:=",ExpressionUUID->"47363729-8390-4cc4-8f14-200fa08da0f8"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Do", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"pEpullSer", "[", "ii", "]"}], "[", 
      RowBox[{"i", ",", "j", ",", "k"}], "]"}], "=", 
     RowBox[{
      RowBox[{"InverseSeries", "[", 
       RowBox[{"Series", "[", 
        RowBox[{
         RowBox[{"g31C", "[", "mapnum", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"z", ",", 
           RowBox[{
            RowBox[{"pEpullMid", "[", "ii", "]"}], "[", 
            RowBox[{"i", ",", "j", ",", "k"}], "]"}], ",", "5"}], "}"}]}], 
        "]"}], "]"}], "//", "Normal"}]}], "\[IndentingNewLine]", ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "pEpushLength0"}], "}"}], "\[IndentingNewLine]", ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", 
      RowBox[{"pEpushMidLength0", "[", "i", "]"}]}], "}"}], 
    "\[IndentingNewLine]", ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", 
      RowBox[{"pEpushMidLength2", "[", 
       RowBox[{"i", ",", "j"}], "]"}]}], "}"}]}], "\[IndentingNewLine]", 
   "]"}], "//", "Quiet"}], "\n", 
 RowBox[{
  RowBox[{"Do", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"tEpullSer", "[", "ii", "]"}], "[", 
      RowBox[{"i", ",", "j", ",", "k"}], "]"}], "=", 
     RowBox[{
      RowBox[{"InverseSeries", "[", 
       RowBox[{"Series", "[", 
        RowBox[{
         RowBox[{"g31C", "[", "mapnum", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"z", ",", 
           RowBox[{
            RowBox[{"tEpullMid", "[", "ii", "]"}], "[", 
            RowBox[{"i", ",", "j", ",", "k"}], "]"}], ",", "5"}], "}"}]}], 
        "]"}], "]"}], "//", "Normal"}]}], "\[IndentingNewLine]", ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "tEpushLength0"}], "}"}], "\[IndentingNewLine]", ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", 
      RowBox[{"tEpushMidLength0", "[", "i", "]"}]}], "}"}], 
    "\[IndentingNewLine]", ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", 
      RowBox[{"tEpushMidLength2", "[", 
       RowBox[{"i", ",", "j"}], "]"}]}], "}"}]}], "]"}], "//", 
  "Quiet"}]}], "Input",
 CellChangeTimes->{{3.741383146811165*^9, 3.7413831598428717`*^9}, {
   3.7417230316316147`*^9, 3.741723037270347*^9}, {3.741728028862772*^9, 
   3.7417280295021563`*^9}, {3.741728354868691*^9, 3.74172835656316*^9}, {
   3.741728469454506*^9, 3.741728469548772*^9}, {3.7417371973147507`*^9, 
   3.74173719740944*^9}, {3.741791881166258*^9, 3.741791886780121*^9}, {
   3.741805927032518*^9, 3.741805929127005*^9}, {3.7482694470812893`*^9, 
   3.748269478308454*^9}, 3.748550316923912*^9, {3.748876466376339*^9, 
   3.748876469326024*^9}, {3.748876502608981*^9, 3.748876506145143*^9}, {
   3.748876540185738*^9, 3.7488765441678467`*^9}, {3.748887110638225*^9, 
   3.748887125100239*^9}, {3.74889379385849*^9, 3.7488937993049393`*^9}, {
   3.748893918456394*^9, 3.748893921974536*^9}, {3.75166781638128*^9, 
   3.751667899917148*^9}, {3.751668036712286*^9, 3.751668049815124*^9}, {
   3.751725103026836*^9, 3.7517251041452637`*^9}},
 CellLabel->
  "In[1501]:=",ExpressionUUID->"0ecaa1c9-182a-49d6-9e1e-3c397f800e00"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ii", "=", "2"}], ";"}], "\n", 
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"pEpull", "[", "ii", "]"}], "[", 
     RowBox[{"i", ",", "j", ",", "k"}], "]"}], "=", "\[IndentingNewLine]", 
    RowBox[{"funcEval", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"pEpullSer", "[", "ii", "]"}], "[", 
       RowBox[{"i", ",", "j", ",", "k"}], "]"}], ",", 
      RowBox[{"{", "z", "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"pEpush", "[", 
         RowBox[{"ii", "-", "1"}], "]"}], "[", 
        RowBox[{"i", ",", "j", ",", "k"}], "]"}], "}"}]}], "]"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "pEpushLength0"}], "}"}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", 
     RowBox[{"pEpushMidLength0", "[", "i", "]"}]}], "}"}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", 
     RowBox[{"pEpushMidLength2", "[", 
      RowBox[{"i", ",", "j"}], "]"}]}], "}"}]}], "\[IndentingNewLine]", 
  "]"}]}], "Input",
 CellChangeTimes->{
  3.741727707093346*^9, {3.741807803378214*^9, 3.741807805312778*^9}, {
   3.7418079446686573`*^9, 3.741807965682486*^9}, {3.741809775126045*^9, 
   3.7418097833394203`*^9}, {3.7418098229875917`*^9, 3.741809836557356*^9}, {
   3.741811690697693*^9, 3.741811716911137*^9}, {3.741876531509077*^9, 
   3.741876538051017*^9}, {3.745434242159822*^9, 3.745434245806699*^9}, {
   3.746037738950767*^9, 3.746037761901389*^9}, {3.746037794802063*^9, 
   3.746037801021921*^9}, 3.747181706001211*^9, {3.748375449940583*^9, 
   3.748375482932732*^9}, {3.748375729461215*^9, 3.748375845960548*^9}, 
   3.7483759190486717`*^9, 3.748893511973157*^9, {3.751667937197501*^9, 
   3.751667946621887*^9}, 3.751725431989888*^9},
 CellLabel->
  "In[1503]:=",ExpressionUUID->"ab45811b-f19e-4a05-af31-845f6664e2f9"],

Cell[BoxData[
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"tEpull", "[", "ii", "]"}], "[", 
     RowBox[{"i", ",", "j", ",", "k"}], "]"}], "=", "\[IndentingNewLine]", 
    RowBox[{"funcEval", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"tEpullSer", "[", "ii", "]"}], "[", 
       RowBox[{"i", ",", "j", ",", "k"}], "]"}], ",", 
      RowBox[{"{", "z", "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"tEpush", "[", 
         RowBox[{"ii", "-", "1"}], "]"}], "[", 
        RowBox[{"i", ",", "j", ",", "k"}], "]"}], "}"}]}], "]"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "tEpushLength0"}], "}"}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", 
     RowBox[{"tEpushMidLength0", "[", "i", "]"}]}], "}"}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", 
     RowBox[{"tEpushMidLength2", "[", 
      RowBox[{"i", ",", "j"}], "]"}]}], "}"}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{{3.74837607787387*^9, 3.748376089297654*^9}, 
   3.748893521507194*^9, {3.751725273700473*^9, 3.7517252749148693`*^9}, 
   3.751725438414098*^9, {3.751725687327937*^9, 3.751725687534994*^9}},
 CellLabel->
  "In[1505]:=",ExpressionUUID->"9dbab699-7846-47d0-80d6-6f26ce7c4304"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"pEpullPlot", "[", "ii", "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"C2rect", "[", 
          RowBox[{
           RowBox[{"pEpull", "[", "ii", "]"}], "[", 
           RowBox[{"i", ",", "j", ",", "1"}], "]"}], "]"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "/", "2"}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"pEpushMidLength", "[", "i", "]"}], "+", "1"}], 
             ")"}]}]}], "}"}], "\[IndentingNewLine]", ",", 
         RowBox[{"PlotStyle", "\[Rule]", "Blue"}]}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "pEpushLength0"}], "}"}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", 
         RowBox[{"pEpushMidLength0", "[", "i", "]"}]}], "}"}]}], 
      "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"C2rect", "[", 
          RowBox[{
           RowBox[{"pEpull", "[", "ii", "]"}], "[", 
           RowBox[{"i", ",", "j", ",", "k"}], "]"}], "]"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"k", "-", 
              RowBox[{"1", "/", "2"}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"pEpushMidLength2", "[", 
               RowBox[{"i", ",", "j"}], "]"}], "+", "1"}], ")"}]}], ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"k", "+", 
              RowBox[{"1", "/", "2"}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"pEpushMidLength2", "[", 
               RowBox[{"i", ",", "j"}], "]"}], "+", "1"}], ")"}]}]}], "}"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"PlotStyle", "\[Rule]", "Blue"}]}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "pEpushLength0"}], "}"}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", 
         RowBox[{"pEpushMidLength0", "[", "i", "]"}]}], "}"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", 
         RowBox[{"pEpushMidLength2", "[", 
          RowBox[{"i", ",", "j"}], "]"}]}], "}"}]}], "\[IndentingNewLine]", 
      "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"C2rect", "[", 
          RowBox[{
           RowBox[{"pEpull", "[", "ii", "]"}], "[", 
           RowBox[{"i", ",", "j", ",", 
            RowBox[{"pEpushMidLength2", "[", 
             RowBox[{"i", ",", "j"}], "]"}]}], "]"}], "]"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", 
           RowBox[{"1", "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "/", "2"}], ")"}], "/", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"pEpushMidLength2", "[", 
                RowBox[{"i", ",", "j"}], "]"}], "+", "1"}], ")"}]}]}], ",", 
           "1"}], "}"}], "\[IndentingNewLine]", ",", 
         RowBox[{"PlotStyle", "\[Rule]", "Blue"}]}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "pEpushLength0"}], "}"}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", 
         RowBox[{"pEpushMidLength0", "[", "i", "]"}]}], "}"}]}], 
      "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.7405879306703444`*^9, 3.7405879320991497`*^9}, {
   3.740589044117758*^9, 3.740589110070539*^9}, {3.7405891473441963`*^9, 
   3.7405892305950727`*^9}, {3.740589270912422*^9, 3.740589303425105*^9}, {
   3.740589335144986*^9, 3.740589382705865*^9}, {3.740589424922188*^9, 
   3.740589445042222*^9}, {3.740590371092396*^9, 3.74059038349119*^9}, {
   3.740590414995203*^9, 3.74059042603559*^9}, {3.7405904564211273`*^9, 
   3.7405904611959476`*^9}, {3.74059263147539*^9, 3.740592634761989*^9}, {
   3.740592742572021*^9, 3.740592744539617*^9}, {3.740592872132888*^9, 
   3.740592872244825*^9}, {3.7405940038481293`*^9, 3.740594035638294*^9}, {
   3.740594091403318*^9, 3.7405941039925127`*^9}, {3.740594144433024*^9, 
   3.740594205113769*^9}, {3.740595165403214*^9, 3.740595166172611*^9}, {
   3.740608842172483*^9, 3.740608842266757*^9}, {3.740681542445443*^9, 
   3.740681550028051*^9}, 3.7406816024856*^9, {3.740683557506266*^9, 
   3.7406835591693172`*^9}, {3.740683701347871*^9, 3.7406837199954844`*^9}, {
   3.740683788292307*^9, 3.740683816140383*^9}, 3.740683860070107*^9, {
   3.740683959334951*^9, 3.740683959509618*^9}, {3.740684106194573*^9, 
   3.740684123671784*^9}, {3.740761638220492*^9, 3.7407616448515377`*^9}, {
   3.740762200091877*^9, 3.740762208130501*^9}, {3.740771329431747*^9, 
   3.7407713317994003`*^9}, {3.740771390471946*^9, 3.740771402624496*^9}, {
   3.740774509306134*^9, 3.740774663610997*^9}, {3.740795500018539*^9, 
   3.7407955392621326`*^9}, {3.740795586907669*^9, 3.740795687093956*^9}, {
   3.740795850127431*^9, 3.740795878693993*^9}, {3.740796105930129*^9, 
   3.7407961442029533`*^9}, {3.7407961970597973`*^9, 3.740796223359706*^9}, {
   3.740796282741811*^9, 3.7407963507417717`*^9}, 3.740796513798683*^9, 
   3.740796613096772*^9, {3.740796685064859*^9, 3.7407967158968487`*^9}, {
   3.7407968521174507`*^9, 3.740796917798925*^9}, {3.740797167078702*^9, 
   3.740797169456839*^9}, {3.74079731407102*^9, 3.740797369999383*^9}, {
   3.7407974196093483`*^9, 3.740797430816*^9}, {3.740797519649976*^9, 
   3.740797540361771*^9}, 3.7408371661490107`*^9, {3.7408372213382196`*^9, 
   3.740837226533123*^9}, {3.74083808338941*^9, 3.740838117550535*^9}, {
   3.7408381810308933`*^9, 3.7408381867510138`*^9}, {3.740838537826195*^9, 
   3.740838551490367*^9}, {3.740838591951912*^9, 3.740838611595264*^9}, {
   3.740838784955126*^9, 3.740838795021241*^9}, {3.74083882776719*^9, 
   3.740838884301729*^9}, {3.740838931495618*^9, 3.74083894119874*^9}, {
   3.740839218945964*^9, 3.740839303482072*^9}, {3.740839401515195*^9, 
   3.740839403370669*^9}, {3.740853614104671*^9, 3.740853618165433*^9}, {
   3.740853649712178*^9, 3.740853649942337*^9}, {3.740853990957955*^9, 
   3.740854004403384*^9}, 3.740854056539691*^9, {3.740856235890444*^9, 
   3.740856241527759*^9}, {3.740856414981751*^9, 3.740856419297221*^9}, {
   3.7408565831723967`*^9, 3.740856616628172*^9}, {3.7409302095687838`*^9, 
   3.740930212110573*^9}, {3.7409302728582067`*^9, 3.740930294472026*^9}, {
   3.740930498452726*^9, 3.740930506730218*^9}, {3.7409306800630617`*^9, 
   3.740930682958774*^9}, {3.740930723550417*^9, 3.740930729573358*^9}, {
   3.7414629390060587`*^9, 3.7414629406699123`*^9}, {3.741541013174459*^9, 
   3.7415410517279167`*^9}, {3.7417274828618917`*^9, 
   3.7417275063004017`*^9}, {3.741876415240922*^9, 3.741876416511086*^9}, {
   3.7451518396996517`*^9, 3.745151930181757*^9}, 3.7451519623933887`*^9, {
   3.745152094272016*^9, 3.7451521043188343`*^9}, {3.7451522432419043`*^9, 
   3.7451522536058207`*^9}, {3.7452643479070168`*^9, 3.74526435175492*^9}, {
   3.745427410687183*^9, 3.745427412063155*^9}, {3.748298269054451*^9, 
   3.748298304526379*^9}, {3.748298335526725*^9, 3.748298345284267*^9}, {
   3.7482986472886877`*^9, 3.748298720831216*^9}, {3.748298765933154*^9, 
   3.748298787449725*^9}, {3.748298823161148*^9, 3.748298882241592*^9}, {
   3.748298954042078*^9, 3.74829898105015*^9}, {3.748303223417592*^9, 
   3.748303223922669*^9}, {3.748363802917398*^9, 3.748363828133451*^9}, {
   3.7483660904136543`*^9, 3.748366101629273*^9}, {3.748376203718145*^9, 
   3.748376241597134*^9}, {3.7488779852890244`*^9, 3.748877990800227*^9}, {
   3.748878081664942*^9, 3.748878085771644*^9}, {3.748878134615353*^9, 
   3.748878136126874*^9}, {3.7488781704023037`*^9, 3.748878171084671*^9}, {
   3.748878230976822*^9, 3.748878233544939*^9}, {3.748893526521734*^9, 
   3.748893531146353*^9}, 3.751725463271605*^9, 3.751726041061277*^9, 
   3.7517414221503143`*^9},
 CellLabel->
  "In[1506]:=",ExpressionUUID->"3e814b45-917c-40a8-b942-fd4b8b6510d6"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"tEpullPlot", "[", "ii", "]"}], "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"C2rect", "[", 
          RowBox[{
           RowBox[{"tEpull", "[", "ii", "]"}], "[", 
           RowBox[{"i", ",", "j", ",", "1"}], "]"}], "]"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "/", "2"}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"tEpushMidLength", "[", "i", "]"}], "+", "1"}], 
             ")"}]}]}], "}"}], "\[IndentingNewLine]", ",", 
         RowBox[{"PlotStyle", "\[Rule]", "Black"}]}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "tEpushLength0"}], "}"}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", 
         RowBox[{"tEpushMidLength0", "[", "i", "]"}]}], "}"}]}], 
      "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"C2rect", "[", 
          RowBox[{
           RowBox[{"tEpull", "[", "ii", "]"}], "[", 
           RowBox[{"i", ",", "j", ",", "k"}], "]"}], "]"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"k", "-", 
              RowBox[{"1", "/", "2"}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"tEpushMidLength2", "[", 
               RowBox[{"i", ",", "j"}], "]"}], "+", "1"}], ")"}]}], ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"k", "+", 
              RowBox[{"1", "/", "2"}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"tEpushMidLength2", "[", 
               RowBox[{"i", ",", "j"}], "]"}], "+", "1"}], ")"}]}]}], "}"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"PlotStyle", "\[Rule]", "Black"}]}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "tEpushLength0"}], "}"}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", 
         RowBox[{"tEpushMidLength0", "[", "i", "]"}]}], "}"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", 
         RowBox[{"tEpushMidLength2", "[", 
          RowBox[{"i", ",", "j"}], "]"}]}], "}"}]}], "\[IndentingNewLine]", 
      "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"C2rect", "[", 
          RowBox[{
           RowBox[{"tEpull", "[", "ii", "]"}], "[", 
           RowBox[{"i", ",", "j", ",", 
            RowBox[{"tEpushMidLength2", "[", 
             RowBox[{"i", ",", "j"}], "]"}]}], "]"}], "]"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", 
           RowBox[{"1", "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "/", "2"}], ")"}], "/", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"tEpushMidLength2", "[", 
                RowBox[{"i", ",", "j"}], "]"}], "+", "1"}], ")"}]}]}], ",", 
           "1"}], "}"}], "\[IndentingNewLine]", ",", 
         RowBox[{"PlotStyle", "\[Rule]", "Black"}]}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "tEpushLength0"}], "}"}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", 
         RowBox[{"tEpushMidLength0", "[", "i", "]"}]}], "}"}]}], 
      "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.7405879306703444`*^9, 3.7405879320991497`*^9}, {
   3.740589044117758*^9, 3.740589110070539*^9}, {3.7405891473441963`*^9, 
   3.7405892305950727`*^9}, {3.740589270912422*^9, 3.740589303425105*^9}, {
   3.740589335144986*^9, 3.740589382705865*^9}, {3.740589424922188*^9, 
   3.740589445042222*^9}, {3.740590371092396*^9, 3.74059038349119*^9}, {
   3.740590414995203*^9, 3.74059042603559*^9}, {3.7405904564211273`*^9, 
   3.7405904611959476`*^9}, {3.74059263147539*^9, 3.740592634761989*^9}, {
   3.740592742572021*^9, 3.740592744539617*^9}, {3.740592872132888*^9, 
   3.740592872244825*^9}, {3.7405940038481293`*^9, 3.740594035638294*^9}, {
   3.740594091403318*^9, 3.7405941039925127`*^9}, {3.740594144433024*^9, 
   3.740594205113769*^9}, {3.740595165403214*^9, 3.740595166172611*^9}, {
   3.740608842172483*^9, 3.740608842266757*^9}, {3.740681542445443*^9, 
   3.740681550028051*^9}, 3.7406816024856*^9, {3.740683557506266*^9, 
   3.7406835591693172`*^9}, {3.740683701347871*^9, 3.7406837199954844`*^9}, {
   3.740683788292307*^9, 3.740683816140383*^9}, 3.740683860070107*^9, {
   3.740683959334951*^9, 3.740683959509618*^9}, {3.740684106194573*^9, 
   3.740684123671784*^9}, {3.740761638220492*^9, 3.7407616448515377`*^9}, {
   3.740762200091877*^9, 3.740762208130501*^9}, {3.740771329431747*^9, 
   3.7407713317994003`*^9}, {3.740771390471946*^9, 3.740771402624496*^9}, {
   3.740774509306134*^9, 3.740774663610997*^9}, {3.740795500018539*^9, 
   3.7407955392621326`*^9}, {3.740795586907669*^9, 3.740795687093956*^9}, {
   3.740795850127431*^9, 3.740795878693993*^9}, {3.740796105930129*^9, 
   3.7407961442029533`*^9}, {3.7407961970597973`*^9, 3.740796223359706*^9}, {
   3.740796282741811*^9, 3.7407963507417717`*^9}, 3.740796513798683*^9, 
   3.740796613096772*^9, {3.740796685064859*^9, 3.7407967158968487`*^9}, {
   3.7407968521174507`*^9, 3.740796917798925*^9}, {3.740797167078702*^9, 
   3.740797169456839*^9}, {3.74079731407102*^9, 3.740797369999383*^9}, {
   3.7407974196093483`*^9, 3.740797430816*^9}, {3.740797519649976*^9, 
   3.740797540361771*^9}, 3.7408371661490107`*^9, {3.7408372213382196`*^9, 
   3.740837226533123*^9}, {3.74083808338941*^9, 3.740838117550535*^9}, {
   3.7408381810308933`*^9, 3.7408381867510138`*^9}, {3.740838537826195*^9, 
   3.740838551490367*^9}, {3.740838591951912*^9, 3.740838611595264*^9}, {
   3.740838784955126*^9, 3.740838795021241*^9}, {3.74083882776719*^9, 
   3.740838884301729*^9}, {3.740838931495618*^9, 3.74083894119874*^9}, {
   3.740839218945964*^9, 3.740839303482072*^9}, {3.740839401515195*^9, 
   3.740839403370669*^9}, {3.740853614104671*^9, 3.740853618165433*^9}, {
   3.740853649712178*^9, 3.740853649942337*^9}, {3.740853990957955*^9, 
   3.740854004403384*^9}, 3.740854056539691*^9, {3.740856235890444*^9, 
   3.740856241527759*^9}, {3.740856414981751*^9, 3.740856419297221*^9}, {
   3.7408565831723967`*^9, 3.740856616628172*^9}, {3.7409302095687838`*^9, 
   3.740930212110573*^9}, {3.7409302728582067`*^9, 3.740930294472026*^9}, {
   3.740930498452726*^9, 3.740930506730218*^9}, {3.7409306800630617`*^9, 
   3.740930682958774*^9}, {3.740930723550417*^9, 3.740930729573358*^9}, {
   3.7414629390060587`*^9, 3.7414629406699123`*^9}, {3.741541013174459*^9, 
   3.7415410517279167`*^9}, {3.7417274828618917`*^9, 
   3.7417275063004017`*^9}, {3.741876415240922*^9, 3.741876416511086*^9}, {
   3.7451518396996517`*^9, 3.745151930181757*^9}, 3.7451519623933887`*^9, {
   3.745152094272016*^9, 3.7451521043188343`*^9}, {3.7451522432419043`*^9, 
   3.7451522536058207`*^9}, {3.7452643479070168`*^9, 3.74526435175492*^9}, {
   3.745427410687183*^9, 3.745427412063155*^9}, {3.748298269054451*^9, 
   3.748298304526379*^9}, {3.748298335526725*^9, 3.748298345284267*^9}, {
   3.7482986472886877`*^9, 3.748298720831216*^9}, {3.748298765933154*^9, 
   3.748298787449725*^9}, {3.748298823161148*^9, 3.748298882241592*^9}, {
   3.748298954042078*^9, 3.74829898105015*^9}, {3.748303223417592*^9, 
   3.748303223922669*^9}, {3.748363802917398*^9, 3.748363828133451*^9}, {
   3.7483660904136543`*^9, 3.748366101629273*^9}, {3.748376203718145*^9, 
   3.748376241597134*^9}, {3.748376694459222*^9, 3.748376760695572*^9}, {
   3.7488935368606663`*^9, 3.748893543723284*^9}, 3.751726051428143*^9, 
   3.751726096788724*^9, 3.751741430646538*^9},
 CellLabel->
  "In[1507]:=",ExpressionUUID->"8cd62461-f49a-40c1-8ea0-59aeae782ed7"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rr", "=", ".5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"csCPlot", "\[IndentingNewLine]", "\[IndentingNewLine]", ",", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Orange", ",", 
          RowBox[{"PointSize", "[", ".015", "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Point", "[", 
           RowBox[{"C2rect", "[", 
            RowBox[{
             RowBox[{"pEpullMid", "[", "2", "]"}], "[", 
             RowBox[{"i", ",", "j", ",", "k"}], "]"}], "]"}], "]"}]}], "}"}], 
        "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "pEpushLength0"}], "}"}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", 
         RowBox[{"pEpushMidLength0", "[", "i", "]"}]}], "}"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", 
         RowBox[{"pEpushMidLength2", "[", 
          RowBox[{"i", ",", "j"}], "]"}]}], "}"}]}], "\[IndentingNewLine]", 
      "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Blue", ",", 
          RowBox[{"PointSize", "[", ".015", "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Point", "[", 
           RowBox[{"C2rect", "[", 
            RowBox[{
             RowBox[{"tEpullMid", "[", "2", "]"}], "[", 
             RowBox[{"i", ",", "j", ",", "k"}], "]"}], "]"}], "]"}]}], "}"}], 
        "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "tEpushLength0"}], "}"}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", 
         RowBox[{"tEpushMidLength0", "[", "i", "]"}]}], "}"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", 
         RowBox[{"tEpushMidLength2", "[", 
          RowBox[{"i", ",", "j"}], "]"}]}], "}"}]}], "\[IndentingNewLine]", 
      "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"pEpullPlot", "[", "ii", "]"}], ",", 
     RowBox[{"tEpullPlot", "[", "ii", "]"}]}], "\[IndentingNewLine]", "}"}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"Boxed", "->", "False"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Axes", "\[Rule]", "False"}], "\[IndentingNewLine]", ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", ".1"}], ",", ".5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "rr"}], ",", "rr"}], "}"}]}], "}"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"ImageSize", "\[Rule]", "500"}]}], "\[IndentingNewLine]", 
  "]"}]}], "Input",
 CellChangeTimes->{{3.740773991623945*^9, 3.740774000620761*^9}, 
   3.74077412843491*^9, {3.740775191205741*^9, 3.740775191446814*^9}, {
   3.740775411424519*^9, 3.74077543522258*^9}, {3.740775509437505*^9, 
   3.740775538317618*^9}, 3.7407797820861893`*^9, {3.741379524913806*^9, 
   3.74137953303974*^9}, {3.741379570332801*^9, 3.741379658027494*^9}, {
   3.741379691926465*^9, 3.741379708577407*^9}, {3.741379743394052*^9, 
   3.741379760697777*^9}, {3.741379797363864*^9, 3.741379804906722*^9}, {
   3.741379934275462*^9, 3.7413799398116093`*^9}, {3.74138281273657*^9, 
   3.741382835831379*^9}, {3.74146300929521*^9, 3.741463064998629*^9}, {
   3.7415412505380497`*^9, 3.741541250799823*^9}, {3.7415417957931433`*^9, 
   3.741541800213108*^9}, {3.741541833543511*^9, 3.7415418336048403`*^9}, {
   3.741541889395224*^9, 3.741541899307249*^9}, {3.741547625928699*^9, 
   3.7415476544896317`*^9}, {3.7415477025913877`*^9, 3.7415477076258917`*^9}, 
   3.74172743586088*^9, {3.7417275920247087`*^9, 3.741727671852098*^9}, {
   3.741876728723171*^9, 3.741876737897326*^9}, 3.748363904707549*^9, {
   3.748363940018045*^9, 3.7483639410323267`*^9}, {3.7483642705967407`*^9, 
   3.748364270706085*^9}, {3.7483643554375877`*^9, 3.74836436929911*^9}, {
   3.7483660267967167`*^9, 3.7483660414113293`*^9}, {3.748366133573078*^9, 
   3.7483661580685797`*^9}, {3.748367371778015*^9, 3.7483673731519127`*^9}, {
   3.74836745846952*^9, 3.748367461814755*^9}, {3.748367743836048*^9, 
   3.748367744515614*^9}, {3.7483687601661587`*^9, 3.748368787340621*^9}, {
   3.7483688309500103`*^9, 3.748368831029025*^9}, {3.748368864070594*^9, 
   3.748368864148418*^9}, {3.748368905918927*^9, 3.7483690063655376`*^9}, {
   3.748369177890267*^9, 3.748369197744728*^9}, {3.748369276123115*^9, 
   3.748369282279244*^9}, {3.748369317906364*^9, 3.748369318089115*^9}, {
   3.748369365683845*^9, 3.748369438466425*^9}, {3.748369500191909*^9, 
   3.748369506491622*^9}, {3.748369853271639*^9, 3.748369883642*^9}, {
   3.748369935311376*^9, 3.748369943951003*^9}, {3.748374621709214*^9, 
   3.7483746917967453`*^9}, {3.748374728463991*^9, 3.7483747436699533`*^9}, {
   3.748375348483365*^9, 3.748375359546558*^9}, {3.7483764736875257`*^9, 
   3.7483764823093653`*^9}, {3.7483767982336473`*^9, 3.748376798384445*^9}, {
   3.748550893227593*^9, 3.74855089345864*^9}, 3.74855099546078*^9, 
   3.748551039784783*^9, {3.7488768397584457`*^9, 3.748876866570032*^9}, {
   3.748878027752589*^9, 3.7488780571023893`*^9}, {3.748878095152926*^9, 
   3.748878095452962*^9}, {3.74887814622493*^9, 3.748878146364963*^9}, {
   3.7488782570584993`*^9, 3.748878258530031*^9}, {3.748893552078452*^9, 
   3.74889356077767*^9}, {3.748893659558054*^9, 3.748893687096978*^9}, {
   3.751726169037517*^9, 3.7517261965627117`*^9}},
 CellLabel->
  "In[1508]:=",ExpressionUUID->"8631cf9c-73f8-4c07-9447-abc6e0e037fd"],

Cell["\<\
third generation edges, pentagonal (blue) and triangular (black)\
\>", "Text",
 CellChangeTimes->{{3.790285722934781*^9, 3.790285733348094*^9}, {
  3.790636535098852*^9, 3.790636586554912*^9}},
 Background->GrayLevel[
  1],ExpressionUUID->"2004845f-a7ed-4e60-bb6a-dfe832b134c9"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rr", "=", ".5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"csCPlot", ",", "\[IndentingNewLine]", 
     RowBox[{"pEpullPlot", "[", "ii", "]"}], ",", 
     RowBox[{"tEpullPlot", "[", "ii", "]"}]}], "\[IndentingNewLine]", "}"}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"Boxed", "->", "False"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Axes", "\[Rule]", "False"}], "\[IndentingNewLine]", ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", ".1"}], ",", ".5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "rr"}], ",", "rr"}], "}"}]}], "}"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"ImageSize", "\[Rule]", "500"}]}], "\[IndentingNewLine]", 
  "]"}]}], "Input",
 CellChangeTimes->{{3.740773991623945*^9, 3.740774000620761*^9}, 
   3.74077412843491*^9, {3.740775191205741*^9, 3.740775191446814*^9}, {
   3.740775411424519*^9, 3.74077543522258*^9}, {3.740775509437505*^9, 
   3.740775538317618*^9}, 3.7407797820861893`*^9, {3.741379524913806*^9, 
   3.74137953303974*^9}, {3.741379570332801*^9, 3.741379658027494*^9}, {
   3.741379691926465*^9, 3.741379708577407*^9}, {3.741379743394052*^9, 
   3.741379760697777*^9}, {3.741379797363864*^9, 3.741379804906722*^9}, {
   3.741379934275462*^9, 3.7413799398116093`*^9}, {3.74138281273657*^9, 
   3.741382835831379*^9}, {3.74146300929521*^9, 3.741463064998629*^9}, {
   3.7415412505380497`*^9, 3.741541250799823*^9}, {3.7415417957931433`*^9, 
   3.741541800213108*^9}, {3.741541833543511*^9, 3.7415418336048403`*^9}, {
   3.741541889395224*^9, 3.741541899307249*^9}, {3.741547625928699*^9, 
   3.7415476544896317`*^9}, {3.7415477025913877`*^9, 3.7415477076258917`*^9}, 
   3.74172743586088*^9, {3.7417275920247087`*^9, 3.741727671852098*^9}, {
   3.741876728723171*^9, 3.741876737897326*^9}, 3.748363904707549*^9, {
   3.748363940018045*^9, 3.7483639410323267`*^9}, {3.7483642705967407`*^9, 
   3.748364270706085*^9}, {3.7483643554375877`*^9, 3.74836436929911*^9}, {
   3.7483660267967167`*^9, 3.7483660414113293`*^9}, {3.748366133573078*^9, 
   3.7483661580685797`*^9}, {3.748367371778015*^9, 3.7483673731519127`*^9}, {
   3.74836745846952*^9, 3.748367461814755*^9}, {3.748367743836048*^9, 
   3.748367744515614*^9}, {3.7483687601661587`*^9, 3.748368787340621*^9}, {
   3.7483688309500103`*^9, 3.748368831029025*^9}, {3.748368864070594*^9, 
   3.748368864148418*^9}, {3.748368905918927*^9, 3.7483690063655376`*^9}, {
   3.748369177890267*^9, 3.748369197744728*^9}, {3.748369276123115*^9, 
   3.748369282279244*^9}, {3.748369317906364*^9, 3.748369318089115*^9}, {
   3.748369365683845*^9, 3.748369438466425*^9}, {3.748369500191909*^9, 
   3.748369506491622*^9}, {3.748369853271639*^9, 3.748369883642*^9}, {
   3.748369935311376*^9, 3.748369943951003*^9}, {3.748374621709214*^9, 
   3.7483746917967453`*^9}, {3.748374728463991*^9, 3.7483747436699533`*^9}, {
   3.748375348483365*^9, 3.748375359546558*^9}, {3.7483764736875257`*^9, 
   3.7483764823093653`*^9}, {3.7483767982336473`*^9, 3.748376798384445*^9}, {
   3.748550893227593*^9, 3.74855089345864*^9}, 3.74855099546078*^9, 
   3.748551039784783*^9, {3.7488768397584457`*^9, 3.748876866570032*^9}, {
   3.748878027752589*^9, 3.7488780571023893`*^9}, {3.748878095152926*^9, 
   3.748878095452962*^9}, {3.74887814622493*^9, 3.748878146364963*^9}, {
   3.7488782570584993`*^9, 3.748878258530031*^9}, {3.748893552078452*^9, 
   3.74889356077767*^9}, {3.748893659558054*^9, 3.748893687096978*^9}, {
   3.751726169037517*^9, 3.7517261965627117`*^9}, {3.7517373734966583`*^9, 
   3.7517373760703707`*^9}},
 CellLabel->
  "In[1510]:=",ExpressionUUID->"d30fa0ef-50f4-43b1-836f-1e37af37d19c"],

Cell[TextData[{
 "compute and plot icosahedral orbits of  ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["P", "3"], TraditionalForm]],ExpressionUUID->
  "ac78b70b-68ef-48f9-aa4c-757ee51c2acd"],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["T", "3"], TraditionalForm]],ExpressionUUID->
  "297da5fe-b8b3-4a55-a34c-82faa8fc6368"],
 "; obtain a ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["B", "62"], TraditionalForm]],ExpressionUUID->
  "0e4bddee-955e-4ca8-a053-14716c825968"],
 " structure (very lengthy runtime for plots)"
}], "Text",
 CellChangeTimes->{
  3.751830342202794*^9, {3.7906366359977283`*^9, 3.790636696859074*^9}, {
   3.790636832113964*^9, 3.790636922580021*^9}, 3.791241350797535*^9, {
   3.791241382037524*^9, 3.791241387837532*^9}, {3.791310023951583*^9, 
   3.791310024335763*^9}, {3.791843020234933*^9, 3.791843022065399*^9}, {
   3.818008056824656*^9, 3.81800805781013*^9}},
 Background->GrayLevel[
  1],ExpressionUUID->"d0e87805-0640-4168-ba63-6bbf9b6e89ed"],

Cell[BoxData[
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"pEpullOrb", "[", "n", "]"}], "=", "\[IndentingNewLine]", 
    RowBox[{"Table", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"funcEval", "[", 
       RowBox[{
        RowBox[{"icosGAff", "[", "n", "]"}], ",", 
        RowBox[{"{", "z", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"pEpull", "[", "ii", "]"}], "[", 
          RowBox[{"i", ",", "j", ",", "k"}], "]"}], "}"}]}], "]"}], 
      "\[IndentingNewLine]", ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "pEpushLength0"}], "}"}], "\[IndentingNewLine]", ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", 
        RowBox[{"pEpushMidLength0", "[", "i", "]"}]}], "}"}], 
      "\[IndentingNewLine]", ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", 
        RowBox[{"pEpushMidLength2", "[", 
         RowBox[{"i", ",", "j"}], "]"}]}], "}"}]}], "\[IndentingNewLine]", 
     "]"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "60"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7419088372087183`*^9, 3.7419088725382013`*^9}, {
   3.7419089050101233`*^9, 3.7419089125145407`*^9}, {3.741908988430126*^9, 
   3.741909017326418*^9}, {3.741909059504416*^9, 3.741909096255698*^9}, {
   3.7419093676717176`*^9, 3.741909369174179*^9}, {3.741909420165799*^9, 
   3.741909438412443*^9}, {3.741909537915436*^9, 3.741909538913766*^9}, {
   3.741909606403529*^9, 3.741909607130518*^9}, {3.741922092742077*^9, 
   3.741922118664041*^9}, {3.7419225398749*^9, 3.741922546986011*^9}, {
   3.7419227332061777`*^9, 3.74192275601847*^9}, {3.741958711761465*^9, 
   3.741958764146315*^9}, {3.7420031147050877`*^9, 3.7420031241191196`*^9}, {
   3.748877488868186*^9, 3.748877530775577*^9}, {3.7488775955999813`*^9, 
   3.748877607802721*^9}, 3.751740725821369*^9, 3.751740763855109*^9},
 CellLabel->
  "In[1512]:=",ExpressionUUID->"dc25372d-3da6-407b-b104-87bb0b07ce5a"],

Cell[BoxData[
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"tEpullOrb", "[", "n", "]"}], "=", "\[IndentingNewLine]", 
    RowBox[{"Table", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"funcEval", "[", 
       RowBox[{
        RowBox[{"icosGAff", "[", "n", "]"}], ",", 
        RowBox[{"{", "z", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"tEpull", "[", "ii", "]"}], "[", 
          RowBox[{"i", ",", "j", ",", "k"}], "]"}], "}"}]}], "]"}], 
      "\[IndentingNewLine]", ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "tEpushLength0"}], "}"}], "\[IndentingNewLine]", ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", 
        RowBox[{"tEpushMidLength0", "[", "i", "]"}]}], "}"}], 
      "\[IndentingNewLine]", ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", 
        RowBox[{"tEpushMidLength2", "[", 
         RowBox[{"i", ",", "j"}], "]"}]}], "}"}]}], "\[IndentingNewLine]", 
     "]"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "60"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.742003003183962*^9, 3.7420030073742313`*^9}, {
  3.748877626698107*^9, 3.748877644238947*^9}, {3.751740852047851*^9, 
  3.7517408548702374`*^9}},
 CellLabel->
  "In[1513]:=",ExpressionUUID->"d4857a55-4761-4178-b818-bab09d9aa017"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Do", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pEpullOrbPlot", "[", "n", "]"}], "=", "\[IndentingNewLine]", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Table", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"C2rect", "[", 
            RowBox[{
             RowBox[{"pEpullOrb", "[", "n", "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"i", ",", "j", ",", "1"}], "]"}], "]"}], "]"}], 
           "\[IndentingNewLine]", ",", 
           RowBox[{"{", 
            RowBox[{"t", ",", "0", ",", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"1", "/", "2"}], ")"}], "/", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"pEpushMidLength", "[", "i", "]"}], "+", "1"}], 
               ")"}]}]}], "}"}], "\[IndentingNewLine]", ",", 
           RowBox[{"PlotStyle", "\[Rule]", "White"}]}], "]"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "pEpushLength0"}], "}"}], "\[IndentingNewLine]", 
         ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", 
           RowBox[{"pEpushMidLength0", "[", "i", "]"}]}], "}"}]}], 
        "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Table", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"C2rect", "[", 
            RowBox[{
             RowBox[{"pEpullOrb", "[", "n", "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"i", ",", "j", ",", "k"}], "]"}], "]"}], "]"}], 
           "\[IndentingNewLine]", ",", 
           RowBox[{"{", 
            RowBox[{"t", ",", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"k", "-", 
                RowBox[{"1", "/", "2"}]}], ")"}], "/", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"pEpushMidLength2", "[", 
                 RowBox[{"i", ",", "j"}], "]"}], "+", "1"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"k", "+", 
                RowBox[{"1", "/", "2"}]}], ")"}], "/", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"pEpushMidLength2", "[", 
                 RowBox[{"i", ",", "j"}], "]"}], "+", "1"}], ")"}]}]}], "}"}],
            "\[IndentingNewLine]", ",", 
           RowBox[{"PlotStyle", "\[Rule]", "White"}]}], "]"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "pEpushLength0"}], "}"}], "\[IndentingNewLine]", 
         ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", 
           RowBox[{"pEpushMidLength0", "[", "i", "]"}]}], "}"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", 
           RowBox[{"pEpushMidLength2", "[", 
            RowBox[{"i", ",", "j"}], "]"}]}], "}"}]}], "\[IndentingNewLine]", 
        "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Table", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"C2rect", "[", 
            RowBox[{
             RowBox[{"pEpullOrb", "[", "n", "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"i", ",", "j", ",", 
               RowBox[{"pEpushMidLength2", "[", 
                RowBox[{"i", ",", "j"}], "]"}]}], "]"}], "]"}], 
            "\[IndentingNewLine]", "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"t", ",", 
             RowBox[{"1", "-", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "/", "2"}], ")"}], "/", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"pEpushMidLength2", "[", 
                  RowBox[{"i", ",", "j"}], "]"}], "+", "1"}], ")"}]}]}], ",", 
             "1"}], "}"}], "\[IndentingNewLine]", ",", 
           RowBox[{"PlotStyle", "\[Rule]", "White"}]}], "]"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "pEpushLength0"}], "}"}], "\[IndentingNewLine]", 
         ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", 
           RowBox[{"pEpushMidLength0", "[", "i", "]"}]}], "}"}]}], 
        "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "}"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "60"}], "}"}]}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.741922131368102*^9, 3.741922163161941*^9}, {
   3.741922282761817*^9, 3.7419222835285263`*^9}, {3.741922705437566*^9, 
   3.741922709203569*^9}, {3.741922797356552*^9, 3.741922802830118*^9}, {
   3.741922843662899*^9, 3.741922882867671*^9}, {3.741922999126507*^9, 
   3.7419229992004538`*^9}, {3.741961118115265*^9, 3.7419611188826847`*^9}, {
   3.742003144650444*^9, 3.7420031449674883`*^9}, {3.742003188003428*^9, 
   3.742003193964933*^9}, {3.7420033896500053`*^9, 3.742003399717834*^9}, {
   3.74200346728959*^9, 3.742003468738502*^9}, {3.742044828380629*^9, 
   3.742044831136497*^9}, {3.748877743274541*^9, 3.748877798301903*^9}, 
   3.748877832553491*^9, {3.7488783905545177`*^9, 3.7488783945862713`*^9}, 
   3.748878426225608*^9, {3.748878538723432*^9, 3.748878651631193*^9}, {
   3.748878683662619*^9, 3.748878684419689*^9}, 3.751740960769061*^9, {
   3.751741053556566*^9, 3.7517411992901783`*^9}, 3.751741256579805*^9, 
   3.751741354007737*^9, {3.7517415352636127`*^9, 3.751741550006547*^9}, {
   3.75236681701855*^9, 3.752366830690117*^9}},
 CellLabel->
  "In[1514]:=",ExpressionUUID->"a5f5b952-bd21-483c-8a4e-003fe428b7e4"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Do", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"tEpullOrbPlot", "[", "n", "]"}], "=", "\[IndentingNewLine]", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Table", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"C2rect", "[", 
            RowBox[{
             RowBox[{"tEpullOrb", "[", "n", "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"i", ",", "j", ",", "1"}], "]"}], "]"}], "]"}], 
           "\[IndentingNewLine]", ",", 
           RowBox[{"{", 
            RowBox[{"t", ",", "0", ",", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"1", "/", "2"}], ")"}], "/", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"tEpushMidLength", "[", "i", "]"}], "+", "1"}], 
               ")"}]}]}], "}"}], "\[IndentingNewLine]", ",", 
           RowBox[{"PlotStyle", "\[Rule]", "White"}]}], "]"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "tEpushLength0"}], "}"}], "\[IndentingNewLine]", 
         ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", 
           RowBox[{"tEpushMidLength0", "[", "i", "]"}]}], "}"}]}], 
        "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Table", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"C2rect", "[", 
            RowBox[{
             RowBox[{"tEpullOrb", "[", "n", "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"i", ",", "j", ",", "k"}], "]"}], "]"}], "]"}], 
           "\[IndentingNewLine]", ",", 
           RowBox[{"{", 
            RowBox[{"t", ",", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"k", "-", 
                RowBox[{"1", "/", "2"}]}], ")"}], "/", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"tEpushMidLength2", "[", 
                 RowBox[{"i", ",", "j"}], "]"}], "+", "1"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"k", "+", 
                RowBox[{"1", "/", "2"}]}], ")"}], "/", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"tEpushMidLength2", "[", 
                 RowBox[{"i", ",", "j"}], "]"}], "+", "1"}], ")"}]}]}], "}"}],
            "\[IndentingNewLine]", ",", 
           RowBox[{"PlotStyle", "\[Rule]", "White"}]}], "]"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "tEpushLength0"}], "}"}], "\[IndentingNewLine]", 
         ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", 
           RowBox[{"tEpushMidLength0", "[", "i", "]"}]}], "}"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", 
           RowBox[{"tEpushMidLength2", "[", 
            RowBox[{"i", ",", "j"}], "]"}]}], "}"}]}], "\[IndentingNewLine]", 
        "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Table", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
         "ParametricPlot", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          
          RowBox[{
           RowBox[{"C2rect", "[", 
            RowBox[{
             RowBox[{"tEpullOrb", "[", "n", "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"i", ",", "j", ",", 
               RowBox[{"tEpushMidLength2", "[", 
                RowBox[{"i", ",", "j"}], "]"}]}], "]"}], "]"}], 
            "\[IndentingNewLine]", "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"t", ",", 
             RowBox[{"1", "-", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "/", "2"}], ")"}], "/", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"tEpushMidLength2", "[", 
                  RowBox[{"i", ",", "j"}], "]"}], "+", "1"}], ")"}]}]}], ",", 
             "1"}], "}"}], "\[IndentingNewLine]", ",", 
           RowBox[{"PlotStyle", "\[Rule]", "White"}]}], "]"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "tEpushLength0"}], "}"}], "\[IndentingNewLine]", 
         ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", 
           RowBox[{"tEpushMidLength0", "[", "i", "]"}]}], "}"}]}], 
        "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "}"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "60"}], "}"}]}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.741958810194194*^9, 3.7419588124905*^9}, {
   3.741971079606687*^9, 3.741971080901207*^9}, {3.741971326937359*^9, 
   3.741971327270329*^9}, {3.741971759110457*^9, 3.741971761045116*^9}, {
   3.741978982954876*^9, 3.741978983086584*^9}, {3.742003530447319*^9, 
   3.742003530866477*^9}, {3.7420036294421167`*^9, 3.742003630281848*^9}, {
   3.742044837370164*^9, 3.742044840106654*^9}, {3.748878699475341*^9, 
   3.7488787232545977`*^9}, {3.74887935888787*^9, 3.748879362017111*^9}, {
   3.751741515174357*^9, 3.751741522798691*^9}, {3.751741556677272*^9, 
   3.7517416233522873`*^9}, 3.7902861429979773`*^9, 3.790636861101878*^9, 
   3.791240173658743*^9},
 CellLabel->
  "In[1515]:=",ExpressionUUID->"4b1a7532-2869-4b4b-849c-d4b3a4cb18a8"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rr", "=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"pEpullOrbPlot", "[", "n", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"n", ",", "60"}], "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
     
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"tEpullOrbPlot", "[", "n", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"n", ",", "60"}], "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
     "csCPlot"}], "\[IndentingNewLine]", "}"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Boxed", "->", "False"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Axes", "\[Rule]", "False"}], "\[IndentingNewLine]", ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "rr"}], ",", "rr"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "rr"}], ",", "rr"}], "}"}]}], "}"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"ImageSize", "\[Rule]", "400"}]}], "\[IndentingNewLine]", 
  "]"}]}], "Input",
 CellChangeTimes->{{3.740773991623945*^9, 3.740774000620761*^9}, 
   3.74077412843491*^9, {3.740775191205741*^9, 3.740775191446814*^9}, {
   3.740775411424519*^9, 3.74077543522258*^9}, {3.740775509437505*^9, 
   3.740775528649766*^9}, 3.7407798487845488`*^9, {3.741363240314679*^9, 
   3.7413633028040733`*^9}, {3.741363391078685*^9, 3.741363477574203*^9}, {
   3.741363674411111*^9, 3.741363675574815*^9}, {3.741364166962062*^9, 
   3.741364185628399*^9}, {3.741382241486484*^9, 3.7413823298456717`*^9}, {
   3.741382381023459*^9, 3.741382381733849*^9}, {3.741382422359914*^9, 
   3.741382481574597*^9}, {3.741382568576784*^9, 3.7413825690951567`*^9}, {
   3.7413827264664707`*^9, 3.741382727753707*^9}, {3.741383340878303*^9, 
   3.74138338776549*^9}, {3.74154270277108*^9, 3.7415427076888447`*^9}, {
   3.741542738628284*^9, 3.741542748648403*^9}, {3.741546412873007*^9, 
   3.74154643522894*^9}, {3.741546486335698*^9, 3.741546547398302*^9}, {
   3.7415466144651947`*^9, 3.7415466651834583`*^9}, {3.741546833859248*^9, 
   3.741547000594016*^9}, {3.741548075487908*^9, 3.7415480958068657`*^9}, {
   3.741548965552504*^9, 3.7415489773305798`*^9}, {3.7415491809550047`*^9, 
   3.741549200143735*^9}, {3.741549263043837*^9, 3.741549263211977*^9}, {
   3.7415493501641493`*^9, 3.741549372209597*^9}, {3.74154959374258*^9, 
   3.7415495953563747`*^9}, {3.7415497320434427`*^9, 3.741549772245367*^9}, {
   3.741550091515111*^9, 3.7415501265618277`*^9}, {3.741550169875382*^9, 
   3.741550195131022*^9}, {3.74155026798814*^9, 3.741550389029725*^9}, {
   3.7416087546665297`*^9, 3.741608754756833*^9}, {3.741727823494234*^9, 
   3.741727859784813*^9}, {3.7417279123430147`*^9, 3.741727912485876*^9}, {
   3.741728223833827*^9, 3.741728252747047*^9}, {3.741728306893487*^9, 
   3.741728322988833*^9}, {3.7417284401739883`*^9, 3.741728445471142*^9}, {
   3.741736481541988*^9, 3.7417365010075417`*^9}, {3.741736537573403*^9, 
   3.741736537725574*^9}, {3.741736574733739*^9, 3.741736580590382*^9}, {
   3.741736615682086*^9, 3.7417366575621767`*^9}, {3.741736770303393*^9, 
   3.741736858872998*^9}, {3.741736902107759*^9, 3.741736903409816*^9}, {
   3.7417372812131777`*^9, 3.741737283332419*^9}, {3.7417920060666313`*^9, 
   3.741792007720028*^9}, {3.741792038074107*^9, 3.7417921602497253`*^9}, {
   3.741792204610767*^9, 3.741792207349571*^9}, {3.7417924791751328`*^9, 
   3.741792484694059*^9}, {3.741796976156766*^9, 3.741797027814054*^9}, {
   3.741797112685617*^9, 3.741797113130053*^9}, {3.741807715798984*^9, 
   3.741807745489217*^9}, 3.741807780646796*^9, 3.741807836159543*^9, {
   3.741807876560109*^9, 3.741807885568902*^9}, {3.74180808558672*^9, 
   3.741808087228567*^9}, {3.7418864527092257`*^9, 3.7418865464111547`*^9}, {
   3.7418866520505667`*^9, 3.7418866784712667`*^9}, {3.741886899834092*^9, 
   3.74188691201787*^9}, 3.741892793238957*^9, {3.741896947972978*^9, 
   3.741896952597488*^9}, {3.7419229287390347`*^9, 3.741922955395013*^9}, {
   3.74195768448783*^9, 3.741957701423553*^9}, {3.74195792490003*^9, 
   3.7419579252656517`*^9}, {3.741958029052582*^9, 3.741958029843611*^9}, {
   3.741958821226729*^9, 3.741958821681615*^9}, {3.741961132690116*^9, 
   3.741961134562078*^9}, {3.741971245304236*^9, 3.74197125812621*^9}, {
   3.7419713079048557`*^9, 3.7419713082946672`*^9}, {3.741971767322138*^9, 
   3.741971768393693*^9}, {3.741978933929968*^9, 3.741978946343227*^9}, {
   3.741994772952526*^9, 3.7419947901050158`*^9}, 3.742002862557517*^9, {
   3.742003548049754*^9, 3.742003568048635*^9}, {3.7420353214525347`*^9, 
   3.7420353247893257`*^9}, {3.742077719399156*^9, 3.742077737219735*^9}, {
   3.74475777636103*^9, 3.744757776865528*^9}, {3.744846170826618*^9, 
   3.7448461713470383`*^9}, {3.7488787392709827`*^9, 
   3.7488787394756927`*^9}, {3.748879522041333*^9, 3.748879542231435*^9}, {
   3.7488796655670347`*^9, 3.74887966607767*^9}, {3.75180786886931*^9, 
   3.7518078956903057`*^9}, {3.818008171186658*^9, 3.818008179536098*^9}},
 CellLabel->
  "In[1518]:=",ExpressionUUID->"0b7f0765-2345-4215-9af3-dac99dc67a42"]
},
WindowSize->{800, 792},
WindowMargins->{{0, Automatic}, {0, Automatic}},
FrontEndVersion->"12.2 for Linux x86 (64-bit) (December 12, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"09833b47-38d7-47c0-8ca8-09fbd1f67126"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 381, 8, 62, "Text",ExpressionUUID->"f5d4126b-7e68-43ea-a88a-806502ae34af"],
Cell[942, 30, 367, 8, 119, "Input",ExpressionUUID->"aaccf8a9-a638-4ada-b749-c2e3c575f35a"],
Cell[1312, 40, 287, 5, 62, "Text",ExpressionUUID->"e24ddfb8-f1f6-415a-9a77-4172260cf411"],
Cell[1602, 47, 2715, 72, 362, "Input",ExpressionUUID->"765d7549-c3f9-4aea-84af-50d3b6089771"],
Cell[4320, 121, 393, 10, 62, "Text",ExpressionUUID->"8f6e8601-3800-4d89-b013-b3ab95b41d42"],
Cell[4716, 133, 2224, 50, 173, "Input",ExpressionUUID->"7a9253d0-2b30-45d2-bb6b-077196df0d4c"],
Cell[6943, 185, 3629, 84, 254, "Input",ExpressionUUID->"539792b2-531b-4e89-87cd-ad6889eb2fe1"],
Cell[10575, 271, 1598, 39, 200, "Input",ExpressionUUID->"1e8bc674-19cf-427f-a4d9-52a55d0ec602"],
Cell[12176, 312, 304, 5, 62, "Text",ExpressionUUID->"35ee4a62-3bd0-4782-94f9-78de77edd5a6"],
Cell[12483, 319, 3468, 98, 659, "Input",ExpressionUUID->"f83b3d8f-ae0f-4458-bec1-66c28025a6ec"],
Cell[15954, 419, 282, 4, 62, "Text",ExpressionUUID->"74d4f6ba-c59f-4f4a-b41a-8328b0833305"],
Cell[16239, 425, 3071, 62, 524, "Input",ExpressionUUID->"3b619223-9040-4cd4-acb1-fe066972f1a0"],
Cell[19313, 489, 695, 19, 62, "Text",ExpressionUUID->"bf3a8c83-c809-42be-bcb0-bc8a7609692a"],
Cell[20011, 510, 3932, 109, 686, "Input",ExpressionUUID->"e6f0899a-2481-4f6d-95f4-1021393202a5"],
Cell[23946, 621, 6447, 136, 1199, "Input",ExpressionUUID->"f65040fe-e54f-4a69-a74a-49595b2eb29e"],
Cell[30396, 759, 584, 14, 62, "Text",ExpressionUUID->"7e360106-6b72-4ee4-99b3-1a2c7b239427"],
Cell[30983, 775, 5311, 135, 740, "Input",ExpressionUUID->"47484a14-e8ee-462a-949e-f4475519b70c"],
Cell[36297, 912, 1413, 33, 146, "Input",ExpressionUUID->"ca8bf678-3276-440c-b6a1-9e026b5bc28a"],
Cell[37713, 947, 3392, 73, 605, "Input",ExpressionUUID->"e337eef2-ae11-4914-9fab-58eb43f60435"],
Cell[41108, 1022, 505, 13, 62, "Text",ExpressionUUID->"930ec698-b39c-45c8-95ae-b7a589e7cc15"],
Cell[41616, 1037, 1385, 34, 200, "Input",ExpressionUUID->"c2b294cb-248d-4f88-82fd-67d2fdf217ae"],
Cell[43004, 1073, 2146, 61, 362, "Input",ExpressionUUID->"7b8b926f-ac40-4015-a2f1-b0c141792238"],
Cell[45153, 1136, 6405, 137, 1145, "Input",ExpressionUUID->"1d8dbee4-6ffd-47da-a009-0fdcce9daefb"],
Cell[51561, 1275, 1554, 28, 92, "Input",ExpressionUUID->"34efae5c-9985-4362-ad23-2e371d89329e"],
Cell[53118, 1305, 2057, 50, 254, "Input",ExpressionUUID->"ffa1fda1-8f95-4806-8b24-7b956fa8ae55"],
Cell[55178, 1357, 898, 21, 92, "Input",ExpressionUUID->"44a25ec6-32f4-44cd-9742-ebcf200a6518"],
Cell[56079, 1380, 1638, 46, 254, "Input",ExpressionUUID->"ed70268d-065f-46f2-9ab6-6064086d2a4f"],
Cell[57720, 1428, 851, 20, 92, "Input",ExpressionUUID->"ee6bf1f0-3027-4f36-be30-017e42ebc50b"],
Cell[58574, 1450, 1567, 44, 254, "Input",ExpressionUUID->"3b7a727d-5afc-4205-bf0c-77cefe577141"],
Cell[60144, 1496, 651, 18, 92, "Input",ExpressionUUID->"fb2b55d8-9177-4053-a99a-9122fbec26da"],
Cell[60798, 1516, 1542, 44, 254, "Input",ExpressionUUID->"cc7e98ef-96e4-4ffc-a130-6c35cb4c73db"],
Cell[62343, 1562, 625, 17, 92, "Input",ExpressionUUID->"9f8de00e-35a7-45c9-ba1c-f4fc6bad8ba3"],
Cell[62971, 1581, 1209, 30, 146, "Input",ExpressionUUID->"8eb641b3-a080-488f-9b3f-7a8159d9582e"],
Cell[64183, 1613, 3971, 86, 740, "Input",ExpressionUUID->"6988af89-440d-482b-8287-df9b158e2f0a"],
Cell[68157, 1701, 360, 5, 62, "Text",ExpressionUUID->"491a800e-e0a5-44fd-ab30-28bc64ae2bdb"],
Cell[68520, 1708, 842, 22, 119, "Input",ExpressionUUID->"914d5624-e392-4469-af5d-bfd1f9119d02"],
Cell[69365, 1732, 1654, 42, 254, "Input",ExpressionUUID->"02db87cb-f04b-456c-a993-fa283be599d9"],
Cell[71022, 1776, 2382, 56, 146, "Input",ExpressionUUID->"daae84fc-1bbf-4c44-a57a-3c3774475ee7"],
Cell[73407, 1834, 1813, 51, 173, "Input",ExpressionUUID->"2af72f83-0ce6-4255-806f-a6eee88dfe88"],
Cell[75223, 1887, 423, 11, 65, "Input",ExpressionUUID->"fd4f5ec4-c872-4c02-ba16-c2ce037b7252"],
Cell[75649, 1900, 1726, 32, 173, "Input",ExpressionUUID->"9326c057-0d7f-4961-b89b-c1c6e020b3c9"],
Cell[77378, 1934, 1298, 33, 281, "Input",ExpressionUUID->"f1cac8ae-9643-434e-a945-07acc6d7a8cb"],
Cell[78679, 1969, 7615, 160, 1226, "Input",ExpressionUUID->"29f304c5-5965-4afd-a499-a54cd2c62c71"],
Cell[86297, 2131, 7613, 160, 1226, "Input",ExpressionUUID->"7035f417-9509-4091-871d-a4b3c80a67c1"],
Cell[93913, 2293, 2415, 46, 227, "Input",ExpressionUUID->"1539bedb-b994-452e-81f5-da0aca85310e"],
Cell[96331, 2341, 1350, 32, 227, "Input",ExpressionUUID->"4ee2446b-16d3-4489-8519-21400e9d8db1"],
Cell[97684, 2375, 1673, 44, 173, "Input",ExpressionUUID->"22c735a3-566c-4e19-a288-fb2fc49c6eec"],
Cell[99360, 2421, 525, 10, 89, "Text",ExpressionUUID->"82f0523d-e34f-4eb5-96f8-12e4aa3830c4"],
Cell[99888, 2433, 11876, 274, 2036, "Input",ExpressionUUID->"701bad5c-9589-4e3c-b1cd-be62e9b267f5"],
Cell[111767, 2709, 444, 8, 62, "Text",ExpressionUUID->"12303041-0065-4e97-bce5-332ba19df1fb"],
Cell[112214, 2719, 692, 15, 119, "Input",ExpressionUUID->"03fe1fc7-7d03-4b28-911a-1c2fcc3b794d"],
Cell[112909, 2736, 1880, 45, 281, "Input",ExpressionUUID->"474cc022-e8db-448a-ae1a-7707c6e0daa9"],
Cell[114792, 2783, 1568, 39, 173, "Input",ExpressionUUID->"d652c538-a3df-4632-ae1b-2824775d4911"],
Cell[116363, 2824, 6373, 132, 740, "Input",ExpressionUUID->"d7e789c4-07b4-4b60-8dd8-c8d21557aa8a"],
Cell[122739, 2958, 6524, 134, 740, "Input",ExpressionUUID->"904db43b-0ea1-4674-9aca-ef8051abac15"],
Cell[129266, 3094, 4487, 107, 848, "Input",ExpressionUUID->"419eed9f-0d1c-4ff4-bd96-eb488d5eb411"],
Cell[133756, 3203, 906, 24, 89, "Text",ExpressionUUID->"a5852b2f-8b44-45cb-a7a6-f24a02386712"],
Cell[134665, 3229, 1769, 38, 173, "Input",ExpressionUUID->"4125eaaf-1c18-47bb-af4e-a33e5157fe78"],
Cell[136437, 3269, 1698, 36, 146, "Input",ExpressionUUID->"b686a4f8-8ce2-4fd8-9a43-8699a90c235f"],
Cell[138138, 3307, 3570, 89, 335, "Input",ExpressionUUID->"5c182688-da4c-4799-91a5-1ee7e03ba83d"],
Cell[141711, 3398, 3334, 76, 497, "Input",ExpressionUUID->"1253eed7-52b6-487e-ae7a-470f2c1d6abe"],
Cell[145048, 3476, 6207, 137, 1010, "Input",ExpressionUUID->"c63d9b35-a6a2-420e-94e3-48685a4f1490"],
Cell[151258, 3615, 2474, 61, 227, "Input",ExpressionUUID->"dc36161c-ad72-4838-90ee-27d2cb5bc13b"],
Cell[153735, 3678, 3001, 66, 335, "Input",ExpressionUUID->"a587fbac-1d0c-4ce5-b36b-578e2c8a4bb9"],
Cell[156739, 3746, 7694, 191, 1253, "Input",ExpressionUUID->"eeba2f1f-1f30-4b9a-8cae-46982ba0f7a3"],
Cell[164436, 3939, 6272, 140, 1172, "Input",ExpressionUUID->"79dace93-cbf6-4b03-b02f-43376972f195"],
Cell[170711, 4081, 430, 11, 89, "Text",ExpressionUUID->"3b6ab561-5688-4b37-ba57-bfa0297da76a"],
Cell[171144, 4094, 2436, 51, 227, "Input",ExpressionUUID->"fc267890-bd44-4703-a83e-ec1762d1b895"],
Cell[173583, 4147, 4970, 114, 632, "Input",ExpressionUUID->"fc400bcb-a2f1-4a1b-ab10-8464012c1468"],
Cell[178556, 4263, 5022, 114, 632, "Input",ExpressionUUID->"0211c5cc-f7bc-4eca-8ce3-cfd488a76b94"],
Cell[183581, 4379, 2200, 42, 335, "Input",ExpressionUUID->"fa7a5d42-c876-4068-8f45-fd77125c99e5"],
Cell[185784, 4423, 1152, 23, 116, "Text",ExpressionUUID->"87605daa-0706-41b3-8f5d-68e82198801c"],
Cell[186939, 4448, 4982, 113, 794, "Input",ExpressionUUID->"1df0e19f-ea63-4de3-9f1a-19fce15d07c7"],
Cell[191924, 4563, 5049, 114, 794, "Input",ExpressionUUID->"b35412f0-7048-4e9c-80ff-01fb23fbf154"],
Cell[196976, 4679, 8607, 169, 767, "Input",ExpressionUUID->"c6dd5486-dd68-456a-a190-3c41bd7c3aca"],
Cell[205586, 4850, 8597, 169, 767, "Input",ExpressionUUID->"14a903cb-3cc9-4769-8380-5981a506f784"],
Cell[214186, 5021, 6387, 124, 794, "Input",ExpressionUUID->"54ae7c6d-a64e-4abd-9d3f-40f3067ff90b"],
Cell[220576, 5147, 968, 21, 116, "Text",ExpressionUUID->"8f7e60c0-7c01-4589-afc8-db159f18750f"],
Cell[221547, 5170, 2027, 43, 227, "Input",ExpressionUUID->"70cd4d18-ec86-499d-9d3e-2ae05efe7150"],
Cell[223577, 5215, 1955, 41, 200, "Input",ExpressionUUID->"e9f6ffdb-88c2-4ce2-88aa-50111015ade7"],
Cell[225535, 5258, 4218, 102, 443, "Input",ExpressionUUID->"d24ac2a4-42d0-4991-accc-e85df4a5d2e6"],
Cell[229756, 5362, 3782, 89, 551, "Input",ExpressionUUID->"cf6c7bc2-2d5d-4852-ada4-a0aade8ccc7e"],
Cell[233541, 5453, 6667, 148, 983, "Input",ExpressionUUID->"47363729-8390-4cc4-8f14-200fa08da0f8"],
Cell[240211, 5603, 3060, 73, 362, "Input",ExpressionUUID->"0ecaa1c9-182a-49d6-9e1e-3c397f800e00"],
Cell[243274, 5678, 1900, 44, 227, "Input",ExpressionUUID->"ab45811b-f19e-4a05-af31-845f6664e2f9"],
Cell[245177, 5724, 1328, 34, 200, "Input",ExpressionUUID->"9dbab699-7846-47d0-80d6-6f26ce7c4304"],
Cell[246508, 5760, 8728, 171, 821, "Input",ExpressionUUID->"3e814b45-917c-40a8-b942-fd4b8b6510d6"],
Cell[255239, 5933, 8531, 168, 821, "Input",ExpressionUUID->"8cd62461-f49a-40c1-8ea0-59aeae782ed7"],
Cell[263773, 6103, 5757, 111, 740, "Input",ExpressionUUID->"8631cf9c-73f8-4c07-9447-abc6e0e037fd"],
Cell[269533, 6216, 288, 6, 62, "Text",ExpressionUUID->"2004845f-a7ed-4e60-bb6a-dfe832b134c9"],
Cell[269824, 6224, 3802, 64, 281, "Input",ExpressionUUID->"d30fa0ef-50f4-43b1-836f-1e37af37d19c"],
Cell[273629, 6290, 984, 25, 89, "Text",ExpressionUUID->"d0e87805-0640-4168-ba63-6bbf9b6e89ed"],
Cell[274616, 6317, 1966, 41, 254, "Input",ExpressionUUID->"dc25372d-3da6-407b-b104-87bb0b07ce5a"],
Cell[276585, 6360, 1325, 33, 254, "Input",ExpressionUUID->"d4857a55-4761-4178-b818-bab09d9aa017"],
Cell[277913, 6395, 5715, 129, 821, "Input",ExpressionUUID->"a5f5b952-bd21-483c-8a4e-003fe428b7e4"],
Cell[283631, 6526, 5362, 126, 848, "Input",ExpressionUUID->"4b1a7532-2869-4b4b-849c-d4b3a4cb18a8"],
Cell[288996, 6654, 5218, 88, 308, "Input",ExpressionUUID->"0b7f0765-2345-4215-9af3-dac99dc67a42"]
}
]
*)

